2012-01-03  Petr Mladek  <pmladek@suse.cz>  [e978037ae424968fdf72bda03b62c41e211e32fc]

Version 3.4.5.2, tag libreoffice-3.4.5.2 (3.4.5-rc2)


2011-12-23  Thorsten Behrens  <tbehrens@suse.com>  [af45ce4dc9a4b7aea9214b5d74bf60809a4da78d]

Revert "Fix n#653688"

This reverts commit 4481a2fd1a40b27c1f8e784517b79fcc3c3ca196.

Broke password-protected odf document reading.

Signed-off-by: Stephan Bergmann <sbergman@redhat.com>
Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [bb825077ee5bb33db9c518ef9455612aa413a0b8]

Branch libreoffice-3-4-5

This is 'libreoffice-3-4-5' - the stable branch for the 3.4.5 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [343193fb9f773a759bc918524e16b86a847cecc5]

Version 3.4.5.1, tag libreoffice-3.4.5.1 (3.4.5-rc1)


2011-12-14  Thorsten Behrens  <tbehrens@suse.com>  [4481a2fd1a40b27c1f8e784517b79fcc3c3ca196]

Fix n#653688

Seems our Zip package is a bit too strict in checking archive
consistency - surely writing it out correctly is good, but rejecting
otherwise fine odf is not.

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-11-25  Andras Timar  <atimar@suse.com>  [2408d229104c3e198ce79e72bb89ce360575aa36]

change logic of IsOfficeRunning custom action fdo#36677

instead of trying to rename a file or folder in
Program Files directory - which is write protected
anyway normally - installer checks the process list,
if there is a process called "soffice.bin".

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-11-18  Stephan Bergmann  <sbergman@redhat.com>  [c726de0c282cab62b9f1a3b51249e37224325fe9]

Backport reading AES-encrypted ODF 1.2 documents (as genereated by LibO 3.5).

This backports the reading half of CWS mav60 plus <http://cgit.freedesktop.org/
libreoffice/core/commit/?id=2d775f593abd9bc487ccc60f06aa5a3ca9632056> "Produce
correct sha256 uri, consume correct uri and original spec typo."  It spans the
repos components, libs-core, libs-gui, and ure.

2011-11-01  Thorsten Behrens  <tbehrens@suse.com>  [4fc80f9a1dcd3a1705a0e4c2b092a3804ca4b554]

Fix .dmg background image some more.

Signed-off-by: Alexander Thurgood <alex.thurgood@gmail.com>

2011-10-27  Noel Power  <noel.power@novell.com>  [ab802aee181ca6df397ca53e461d5f53808cef9d]

fix handling of SAFEARRAY(s) returned as variant in olebridge (fdo#38441)

Signed-off-by: Michael Stahl <mstahl@redhat.com>

2011-10-25  Petr Mladek  <pmladek@suse.cz>  [4e6f5a0fdf498fa932cde42b3a920e34cd666df2]

Version 3.4.4.1, tag libreoffice-3.4.4.1 (3.4.4-rc1)


2011-10-05  Caolán McNamara  <caolanm@redhat.com>  [242f1bee6e0df3c58c257178058d61a1c349c2ed]

get this building with gcc 4.6.1


2011-09-21  Noel Power  <nopower@suse.com>  [0b3a80adb4df072be76445aff3d065d489f11db9]

fdo#37164 get testtool working


2011-08-31  Caolán McNamara  <caolanm@redhat.com>  [f36134b489f64ff79b1a9db34f611211cddb9844]

Resolves: fdo#36678 move init that depends on parent to post-parent avail

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-08-22  Caolán McNamara  <caolanm@redhat.com>  [87bfbda761a9ac7101310b591964c385e936f702]

Resolves: fdo#39348 toggling grammar checkbox deletes sentence

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-08-16  Petr Mladek  <pmladek@suse.cz>  [cf27f1ca55f9165983bc4cc6328f00d54eca1f54]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-08-05  Eike Rathke  <ooo@erack.de>  [5a64033846b05c160a44a37def133e6b5284fc0d]

fdo#38956 related changes in split components repository to support LCID changes (cherry picked from commit 6e260f61494a21e45513d339688e05c9799a6aa6)


2011-07-12  Petr Mladek  <pmladek@suse.cz>  [4de48205dc3108f7aaaf2aaa937a05c204b8572e]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-11  Laszlo Nemeth  <nemeth@numbertext.org>  [5fc91f492910073f47a3fe646264cbc412905547]

fix wrong capitalization in case of non-standard hyphenation

Signed-off-by: Andras Timar <atimar@suse.com>

2011-07-06  Caolán McNamara  <caolanm@redhat.com>  [532dc8d685fb9aa1319a589b2e0ed77d85563005]

fix --enable-dbgutil build (cherry picked from commit 3764b31aae43883c6b13b91c6ad8d0daa59f4ba5)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-06-21  Andras Timar  <atimar@suse.com>  [6ae96da3506850bb3dac3ede65364887fdc45220]

fix label of Save Keyboard Configuration dialog fdo#31353

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-06-17  Jan Holesovsky  <kendy@suse.cz>  [2a56106f507ae0e13c08e9776f567f71335c0f0b]

Check for updates by default.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-14  Petr Mladek  <pmladek@suse.cz>  [e0ad65bca836c0ae3c47799116498453035dc31f]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-06-07  Andras Timar  <atimar@suse.com>  [91b8d397106e496b80c732d3cceaac734e717ab7]

replace OOo to TDF or %PRODUCTNAME respectively fdo#37998

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-06-01  Jean-Baptiste Faure  <jbf.faure@orange.fr>  [b276cc9c46e6bcc3265a879e578e87896ce7dfcb]

fix for bug fdo 36519

Use human readable format name instead of internal filter names in Load/save options UI

2011-06-01  Andre Schnabel  <andre.schnabel@gmx.net>  [51adaf7fc085fbed4f02d3276dcd36726caab286]

fix for fdo#37761: Keyboard navigation broken in tools - options

prevent that aAutoSaveEdit will grab the focus in options dialog

Signed-off-by: Noel Power <noel.power@novell.com>

2011-05-24  Thorsten Behrens  <tbehrens@novell.com>  [b41854cdbcd0338a99c6d92113d8e9630d5f9a0b]

3rd update to Mac dmg background.

This time, wrong path - now hopefully working everywhere.

Signed-off-by: Christian Lohmaier <lohmaier@googlemail.com>

2011-05-23  Thorsten Behrens  <tbehrens@novell.com>  [44c6333a2b6923add66d70be6329a6ad4f3aa66d]

Polish branding - fix langpack mac installer icon

Fix for fdo#33229 - the lang pack installer icon on mac was still
showing seagulls.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-23  Thorsten Behrens  <tbehrens@novell.com>  [577361cd7aba1e72e6bb0c99c3407dbcdc2a8bb7]

Update Mac dmg background again.

"In Mac OS X Snow Leopard, disk images created with background images
 do not display properly on Mac OS X Leopard and earlier. This is
 because of a change in Finder itself that affects all disk images
 created on Snow Leopard."

So. redid that on Tiger...

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-18  Noel Power  <nopower@novell.com>  [7a385f2256b88c6ee52c0beb1375d0a945f38d51]

Fix 'Ctrl+A' in the Basic IDE - fdo#37211.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-05-17  Petr Mladek  <pmladek@suse.cz>  [133ec1d2569179132efeb09110f5c032c5b84632]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-17  Thorsten Behrens  <tbehrens@novell.com>  [f831b747588e009c844db659b929d7fa1df8fb2d]

Removed en-US duplicate dicts in langpacks.

This reverts commit 995e00694bb38e00f3b2b8decd44c88d56863484, and
f6b3c7c837eec9f79e76c8e8587d9f635ff82203, to fix fdo#36907. It also permits
some user control over which dicts should be there.

Fix for fdo#34910. Also aligns dictionary names with
bootstrap's 838aba9d2f29464ffbecbdd12fa9e39ec7ce6dd6 commit - which
in turn fixes fdo#36926.

Signed-off-by: Andras Timar <timar74@gmail.com>

2011-05-17  Thorstem Behrens  <tbehrens@novell.com>  [8c25b45fa3e1df57b2cc9bf34973f6eeb6f654e2]

Complete revert for native334 #163388#.

The previous revert did not cater for the changed volume name -
the nice libreoffice background image was missing.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-10  Petr Mladek  <pmladek@suse.cz>  [5510a17cb88a6df97c0bb4c9094f4043457ac005]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-08  Andras Timar  <atimar@novell.com>  [995e00694bb38e00f3b2b8decd44c88d56863484]

don't pack en dictionaries to en-US langpack


2011-05-05  Noel Power  <noel.power@novell.com>  [3db1a4235ac588cda2836f99091888583b461810]

fix for #fdo35706 - ( Ctrl-F & Ctrl-Alt-F don't work in basic IDE )


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [5a0c474fd046907aa64c93f7c497925fb2a27454]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-05-03  Tor Lillqvist  <tlillqvist@novell.com>  [57b2103dfe996e6fe29755db94f1c5f109711243]

Remove BrOffice branding


2011-04-30  Thorsten Behrens  <tbehrens@novell.com>  [8339b94de558acc9d7323f9ca9dca5ed26e677ff]

Revert native334 #163388# no more change of DS_Store file

This reverts 96fb1e22387af1cb0888a32fcb267463d64a898a and has
mac .dmg show the nice artwork again.

2011-04-29  Andras Timar  <atimar@novell.com>  [f6b3c7c837eec9f79e76c8e8587d9f635ff82203]

dictionaries belong to main install not to langpacks - fdo#34910


2011-04-28  Jan Nieuwenhuizen  <janneke@gnu.org>  [1cf9f61195fdec798e8f696fc3356f4473eb4750]

build-fix-xulrunner-npapi-inc.diff: build with xulrunner-1.9.1


2011-04-27  Tor Lillqvist  <tml@novell.com>  [1f784b2875580345cc041c5e6c601713de50fbf6]

win32-installer-register-moox-types.diff: associate OOXML filetypes with LO


2011-04-27  Petr Mladek  <pmladek@suse.cz>  [235cd2dd573faa233817a8b8229c2d3572bba1c8]

automation-testtool-oobuildfix.diff: testtool and basic compatability defaults

testtool doesn't like some basic compatability defaults (bnc#145906)

2011-04-27  Petr Mladek  <pmladek@suse.cz>  [b8ed215d8204da0522d12fb039a6f7f8b08c8f3a]

wizards-source-importwizard-filesmodul-xba.diff: document converter fix

document converter wizard fails when compatability is enabled
(bnc#113235, i#56633)

2011-04-26  Petr Mladek  <pmladek@suse.cz>  [452e9e8ecc4a1674a120e77df461a9e06eb1aca5]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-22  Thorsten Behrens  <tbehrens@novell.com>  [8e784936338edeaf20f48c93d5b87bfbf23c5472]

testtool-more-defaults.diff: make testtool work out-of-the-box

tweaked existing defaults such that running testtool from inside a dev install
works out-of-the-box. Additionally passing SRC_ROOT from build env to testtool

2011-04-20  Andras Timar  <atimar@novell.com>  [d1c8185b0d202a4d1faf5b480deaa1230d9a9f6e]

do not ship Letter Wizard templates twice fdo#35722


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [ed8cdebd6ae186eefdf4befee33693d08f2a493c]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-19  Tor Lillqvist  <tlillqvist@novell.com>  [99e0b6fac7f5fa49d47e1943682b6956db312e48]

Export the two UNO component funcions

Fizes zip archive handling which was spectacularly broken in 3.4 beta1
on Windows.

2011-04-18  Jan Holesovsky  <kendy@suse.cz>  [1ea5f37619d412626278e156abde7b1eafbaa002]

Fix build - the same symbol defined on 2 places.


2011-04-18  Christian Dywan  <christian@lanedo.com>  [7eba32f0eacd71fbf2561c9f58f52b89cdd0e86f]

fdo#36230 Remove unused AGotoCallButton and associated RID_IMGBTN_GOTOCALL id


2011-04-13  Noel Power  <noel.power@novell.com>  [cf07a26b571f3d3111577ad1fbdbfecf68029fc7]

fix fdo#36209 ( various vba automation related regressions )


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [735437ebacbf55d16aac91da60424c824cf0d20c]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-08  Tor Lillqvist  <tlillqvist@novell.com>  [74a80997f2d80c48dc3a6eb88e32ce24d84dfd65]

Don't attempt to show release notes after installing, fdo#31023


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [87083427605957c5c31a5537ed1f65e08356078c]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4


2011-04-05  Tor Lillqvist  <tlillqvist@novell.com>  [f323e54028f9c9015dee3d5018838f8c29c181ec]

bnc#530872: Save old associations for MS doc types when installing

Then restore them, if still relevant, when uninstalling LibreOffice.

git log from build repository:
commit 1737ec9b6675cc7e30df03fa5537012a429425bb
Author: Tor Lillqvist <tlillqvist@novell.com>
Date:   Thu Oct 14 15:28:55 2010 +0300

    Make win32-restore-associations.diff apply again

commit 72a25ab4a055cd1d3cf5aec627cfe120113bfb34
Author: Tor Lillqvist <tlillqvist@novell.com>
Date:   Thu May 20 10:34:24 2010 +0300

    Make patches apply for a Windows build

commit d635f716a75d8c1648eab0c1d598b390be8c4f07
Author: Tor Lillqvist <tlillqvist@novell.com>
Date:   Thu Sep 17 22:16:40 2009 +0300

    Add new patch to restore MSO file associations on uninstall

    * patches/dev300/apply: Add it to Win32Only

    * patches/dev300/win32-restore-associations.diff: New file. Save
      previous associations of the MS Office file formats on installation
      of OOo. On uninstallation of OOo, restore them. Still a bit
      experimental, but seems to work.

2011-04-04  Michael Meeks  <michael.meeks@novell.com>  [34a48f3809c534a47c65d22a7db6b52d6ff46dee]

restore the build-id setup code, and clean hrc file


2011-04-04  Michael Meeks  <michael.meeks@novell.com>  [dac9c2c8642c4edeff10a3250f96d1a86e6a2640]

Switch to the LibreOffice about dialog instead


2011-04-04  Andras Timar  <timar@fsf.hu>  [d9084de5a3d5c47a12379313751ba580c1b588d6]

Change Spanish MSID from 0x040a to 0xc0a

so it can appear in the language list of letter wizard
0xc0a is the preferred code anyway (see #i94435#)

2011-04-04  Rob Snelders  <programming@ertai.nl>  [576feba610e92bd31e17573c06fc0242d3465742]

Improvement of adding and removing color charts

(cherry picked from commit b635aad528973bf175aa8a61ad380992448b6f5a)

2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [50b65e0e971869854b8da7465ff642f1a886d873]

remove obsolete component_writeInfo methods


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [ddffbb05759cc84365b8cc8e33a497099b034fd7]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [1895cc58234f318da44d9127bb3ccdd1dfa0f79c]

sync this with STR_ARR_SVT_LANGUAGE_TABLE to get letter wizard working


2011-04-01  David Tardon  <dtardon@redhat.com>  [e268c11222b09b222648f06e2b6d15b855a65acb]

convert DBG_ assertions to OSL_


2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [57c83a2b35f7795f5768289dd14ce483dce4624b]

we only need the java lib path to link bean


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [cbbe899225be263398a6d2ca15fa6bfe60d06516]

sdk-gid-module-name.diff: rename module name to gid_Module_Root_SDK (i#64802)

so the generated list of files does not conflict with the main package

2011-03-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f2c9443ddf5571edc0a9ad98dbe113b1703fde0a]

Deliver the right thing so that Windows builds again


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [277e5ea17b60263ae758de67a273bc0f1f39e70f]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [a8a72485679c51200d132922e5c09424a16e4bad]

drop bogus executable flag from image files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [29bcf56abd3d0611546d03e9b749794c3c1a6ce8]

drop bogus executable flag from odf files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [a7ab0eb156fa23ae360a274a9ca4d5368653cfc0]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [00beb95cd8964165f2d9030b52371eb198619c38]

Fix Windows build of extensions


2011-03-29  Jan Holesovsky  <kendy@suse.cz>  [5c4e1693122808fbf21dce161baa88fca0d7ef64]

Namespace ZipUtils for the Inflater / Deflater classes.


2011-03-29  Peter Jentsch  <pjotr@guineapics.de>  [b713934c0cdb57643f01f32080ff435fb18451ae]

make Inflater and Deflater classes available for other packages to use

Currently, those are used within an extension function used by the
Word 2003 ML XSLT filters

2011-03-29  David Tardon  <dtardon@redhat.com>  [2cf272eea8db2b78f7822f522622b0a16a91301e]

WaE: parentheses around '&&' within '||'


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [0a82c17732927b45b596272de7197b5fe940107d]

add pre/postwin.h to fix windows build


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7064e480207d57062ef6d5ba17881d79e9cbefd3]

remove dupplicate includes


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [5789533aaf1949ff0d8ca378bc74e2891c64fd29]

add in pre/post win in order to build


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [09f955b0b51a15172cfb2cb260ccb2833f9c13f4]

fix a windows build error


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0136211dab62a61ee692751ff9bada39e8fbc98b]

Fix windows build of automation


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dfd33d776b09560708fd729e9909cfc9722d39ce]

Putting back prewin/postwin in accessibility


2011-03-28  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [bcd381ce7da19817867b2f133f863b3cc3d0af47]

Moved SvxBorder* into editeng namespace to avoid duplicate DOUBLE on windows


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [70c135ea253442c4529af32687ceda7aa66017ea]

migrate forms subsequenttests to gbuild


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [c1b17991c45c97b56d9d702d58f93c95bf6474e2]

fd#35728: various forms.OGridControlModel unoapitests fail

* forms.OGridControlModel::com::sun::star::form::component::GridControl
* forms.OGridControlModel::com::sun::star::beans::XMultiPropertySet
* forms.OGridControlModel::com::sun::star::beans::XPropertySet
* forms.OGridControlModel::com::sun::star::beans::XFastPropertySet

2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [b6930bc9fc816fe14823e3e8c750a79995e75dd3]

fd#35693: disable hangin subsequenttests (complex and unoapi tests)

 - chart2/qa/unoapi
 - configmgr/qa/unoapi
 - dbaccess/qa/unoapi
 - forms/qa/complex/forms
 - linguistic/qa/unoapi
 - qadevOOo/qa/unoapi
 - sd/qa/unoapi
 - starmath/qa/unoapi
 - ucb/qa/complex/ucb
 - ucb/qa/unoapi
 - unotools/qa/complex/tempfile

2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ffc1d2fac3310eb11225b3fc6d2543bbcf70ab93]

Adapt the tree to tools/svwin.h removal


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a56892268826985b995b731e66cbbe7beb789e1d]

Wholesale prewin.h/postwin.h removal


2011-03-25  Luboš Luňák  <l.lunak@suse.cz>  [4804f9b778bcebda23637f3fd27b508d2d4a0331]

more sensible SdrObject::Clone() and SdrObject::operator=()

Virtual operator=() is IMO pointless, and especially in a class hierarchy
like SdrObject it's pretty unlikely one could reasonably assign any
SdrObject-based object to any other one. Moreover, it was actually
only used in Clone(), which was almost never reimplemented, so the
more sensible choice is to have non-virtual operator= and virtual
Clone() always being reimplemented and using that.

This commit also fixes various smaller or bigger, er, interesting
details in the various operator= implementations.

2011-03-25  Andras Timar  <timar@fsf.hu>  [f61b017c94c6b3a94bdcebd9e2e0b22e572fb0cc]

add language code 'be'


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [128261d8546e138d0da85fc987af93ece14a49df]

set build depencencies against the new "translations" module


2011-03-25  Rob Snelders  <programming@ertai.nl>  [69cd3c724cea243614cc831db2c463e31244c196]

Added the Adding and removing of color charts


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [ca0087ca4d7ade3cf755617e977a1cb39c73b10c]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	package/source/zippackage/ZipPackageFolder.cxx

2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [940604a607307f6bf6eb706f062eaeb8108bff59]

Missing conversion from Twip to pt


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3b3379e278943ba221841c86d2a01c2e47ab5773]

One LineListBox to rule them all: started improving column sep line


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [7ba3c4cb83e978d916f48bdf73d2c671e0826164]

Fixed units mess in SvxBorderLine and BorderLineImpl


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [697b33e1e85987e72bb5164cf92841b950f155d3]

Fix border selection page to use new width system


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [559c8194fd9bb537d779436a9bd8bd777814f9c1]

Borders: SvxBorderLine widths definition changes


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c0fa20b9b06bca9f13841078f7d3beb2045843ae]

Nicely draw borders using drawinglayer


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [7a336a2f2889ca48ef1bfec2398d32a96233e9d3]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-18  Tor Lillqvist  <tlillqvist@novell.com>  [2cb3d4b1f3344678a58d7390c0df5c7d9757f5ab]

No WIN_ULONG needed any more


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [50428ea8ce78c05701fe4685beae6df145f6c6df]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	automation/source/communi/communi.cxx
	automation/source/server/recorder.cxx
	automation/source/server/server.cxx
	basctl/source/basicide/basobj2.cxx

2011-03-16  obo  <obo@openoffice.org>  [1dce4c03c133f2aa16d822abe7162dda6c4812a6]

CWS-TOOLING: integrate CWS l10n36


2011-03-16  obo  <obo@openoffice.org>  [5e37deb18443f44684aa0f92760b5431592a5f94]

CWS-TOOLING: integrate CWS debuglevels


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [6ed68a9d0336e6c798b863f009db33d85a351c5d]

Remove empty comment fields


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [1fcc737eee5f02fa69d3d7b97e42ed11419fd9c0]

Remove unused macro GETSET


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [9d7057f82fdc7f236906b82338fdd845840a96cf]

Use format string on printf()


2011-03-14  Pantelis Koukousoulas  <pktoss@gmail.com>  [e8d4e64d4b48ca87f225c01f5f2b62993b27d40b]

Support for greek numerals

References:
  http://www.spinellis.gr/blog/20090625/ (Greek Numerals in OpenOffice.org)

  http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=7269
  ([Issue+Workaround] Custom Numbering in Bullets and Numbering)

  http://www.opengr.net/forum/viewtopic.php?f=13&t=51

And the references transitively mentioned in the above.

This functionality was implemented during Greek Coding Camp 2009.

NOTE: the present implementation uses the (modern) two-letter version of '6'
(sigma taf) instead of the ancient greek / katharevousa version that uses
the 'stigma' character.

OTOH, we do use the katharevousa 'qoppa' and 'sampi' because there is no
standard modern version that replaces them. If you have that many bullets
so that these symbols are needed, then you had it comin' anyway :p

Author: Pantelis Koukousoulas <pktoss@gmail.com>
License: LGPLv3 / MPL

Signed-off-by: Pantelis Koukousoulas <pktoss@gmail.com>

2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e476a981e65c98a45e984977a20712129eefd2e7]

debuglevels: pulled and merged DEV300.m102


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [c608f21f9cec7a617786a3a657db9efeb9cc8031]

use boost::unordered_map instead of hash_map


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [5d3fb6af5e2c5ff28e935f3d6445016727d84583]

mis-merge: mostly remove remaining tools types


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [64846268e52ce69b5bbf237e450e2e4e3d4bb039]

fix mis-merge


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [aedd92ffa94b98ca9fc8147eb45158df92de14ff]

OSL_TRACE: Use format string


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [d712a6de3105e1369baef1562c5ca0442469cdac]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [1eaec2e1b03631b14ebc16b5c8356db17bc1e013]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [a2cd4b24d26270db92ed337568f568b457ba33aa]

Move DBG_TRACE to OSL_TRACE for getStr()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [a5c76e8c470eb5d52f9af8d5f4d643556210a269]

Move DBG_TRACE to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [5c94b624f33765ce5114b74bea99ce52090974e5]

Move DBG_TRACE3 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [43160420de5baf6693ce22b068e32f0da0b5429c]

Move #ifdef DBG_UTIL to #if OSL_DEBUG_LEVEL > 1 for OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [2eeb3f091700581a4953be8b3bea94974bc4e018]

Move DBG_ERROR1 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [4849046983319b9ef75d28deaeeb62763198ed97]

Move DBG_ERROR to OSL_FAIL and correct OString usage


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [916adbef625e7a79a053c37239a480c76290ba49]

Move DBG_ERROR to OSL_FAIL (multiline)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [0a01eebf35b4c81192fe710ef3483723e1111427]

Move DBG_ERROR to OSL_FAIL (multiline)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [a3e9d39c1561976782e2db29947449f6c82488db]

Remove dead code


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [5ddae2a28d5d6be8b53e0bf7899e327a86a66dc9]

Move DBG_ERROR to OSL_FAIL and correct OString usage


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [c5b2d45f032c8ef27c03fae8106ab53ff792dfda]

Move DBG_ERROR to OSL_FAIL for getStr()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [9b7bf35aa5575cb4e6e3c542321546593cddd077]

Move DBG_ERROR to OSL_FAIL for strings foo().GetBuffer()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [fdc4c5d387fbbf6900c6e60e2dbc7f614a798f5c]

Move DBG_ERROR to OSL_FAIL for strings GetBuffer()


2011-03-11  Xavier ALT  <dex@phoenix-ind.net>  [3f07aacf639deafae58d65c4be8ca47e3c9329fb]

fdo#34896 color palette size (8x13), only show scrollbar when needed


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [d92c61a405e0b6e4d2875367dadce6588ad90073]

Re-added a method removed during merge.


2011-03-09  Rafael Dominguez  <venccsralph@gmail.com>  [b9be32dd90aecb51341824e510c153f3d715c19d]

Remove List container in components/imgprod


2011-03-09  Norbert Thiebaud  <nthiebaud@gmail.com>  [ab1deb45e8bdfcb406ed40cc279412bfb8ebb7da]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

* commit 'ooo/DEV300_m101': (185 commits)
  masterfix DEV300: #i10000# usage of L10N build_type
  masterfix: #i10000# INT16 -> sal_Int16
  fixed compile errors after resync to m100, part2
  gridsort: post-rebase fixes
  CWS gnumake3: found another tools integer type
  removetooltypes01: Fix build problems after rebase to DEV300m99 in basctl, cui, reportdesign, sw
  native359: #i114398# changing mac langpack icon
  native359: #i115669# fixing package description for solaris packages
  gnumake3: remove comphelper version; fix including extract.hxx
  locales34: #i106785# add Haitian_Haiti [ht-HT] to language list and locale data; locale data contributed by <jcpoulard>
  sb138: #i116659# timely termination of OnLogRotateThread
  accfixes: removed include of obsolete header file
  accfixes: removed obsolete file
  removetooltypes01: #i112600# Fix build problems on non-pro
  accfixes: moved some shared strings to svx part2
  accfixes: moved some shared strings to svx
  accfixes: added more accessibility information and fixed tab orders in multiple dialogs (cui module)
  removetooltypes01: #i112600# Remove tools types for Mac specific parts
  fixed tab order in BasicIDE, Library dialog tab page
  added some accessible names in BasicIDE
  ...

Conflicts:
	UnoControls/source/base/registercontrols.cxx
	accessibility/inc/accessibility/standard/vclxaccessiblelistboxlist.hxx
	automation/inc/automation/communi.hxx
	automation/inc/automation/simplecm.hxx
	automation/source/communi/communi.cxx
	automation/source/inc/rcontrol.hxx
	automation/source/miniapp/servuid.hxx
	automation/source/server/XMLParser.cxx
	automation/source/server/cmdbasestream.cxx
	automation/source/server/profiler.hxx
	automation/source/server/recorder.cxx
	automation/source/server/retstrm.hxx
	automation/source/server/server.cxx
	automation/source/server/sta_list.cxx
	automation/source/server/statemnt.cxx
	automation/source/server/statemnt.hxx
	automation/source/simplecm/packethandler.cxx
	automation/source/simplecm/simplecm.cxx
	automation/source/simplecm/tcpio.cxx
	automation/source/simplecm/tcpio.hxx
	automation/source/testtool/comm_bas.hxx
	automation/source/testtool/cretstrm.hxx
	automation/source/testtool/httprequest.cxx
	automation/source/testtool/httprequest.hxx
	automation/source/testtool/objtest.cxx
	automation/source/testtool/objtest.hxx
	basctl/source/basicide/baside2.cxx
	basctl/source/basicide/baside2.hxx
	basctl/source/basicide/baside2b.cxx
	basctl/source/basicide/baside3.cxx
	basctl/source/basicide/basides1.cxx
	basctl/source/basicide/basides2.cxx
	basctl/source/basicide/basidesh.cxx
	basctl/source/basicide/basidesh.src
	basctl/source/basicide/basobj3.cxx
	basctl/source/basicide/bastype2.cxx
	basctl/source/basicide/bastype3.cxx
	basctl/source/basicide/bastypes.cxx
	basctl/source/basicide/brkdlg.cxx
	basctl/source/basicide/iderdll.cxx
	basctl/source/basicide/macrodlg.cxx
	basctl/source/basicide/moduldl2.cxx
	basctl/source/basicide/moduldlg.cxx
	basctl/source/basicide/objdlg.cxx
	basctl/source/basicide/scriptdocument.cxx
	basctl/source/basicide/tbxctl.cxx
	basctl/source/basicide/tbxctl.hxx
	basctl/source/basicide/tbxctl.src
	basctl/source/dlged/dlged.cxx
	basctl/source/dlged/dlgedfunc.cxx
	basctl/source/dlged/dlgedobj.cxx
	basctl/source/inc/basidesh.hxx
	basctl/source/inc/bastypes.hxx
	basctl/source/inc/dlgedmod.hxx
	basctl/source/inc/dlgedpage.hxx
	crashrep/prj/build.lst
	cui/inc/pch/precompiled_cui.hxx
	cui/source/customize/acccfg.cxx
	cui/source/customize/acccfg.hrc
	cui/source/customize/acccfg.src
	cui/source/customize/cfg.cxx
	cui/source/customize/cfgutil.cxx
	cui/source/customize/macropg.cxx
	cui/source/customize/macropg.src
	cui/source/customize/selector.cxx
	cui/source/dialogs/SpellDialog.cxx
	cui/source/dialogs/commonlingui.cxx
	cui/source/dialogs/cuicharmap.cxx
	cui/source/dialogs/cuifmsearch.cxx
	cui/source/dialogs/cuigaldlg.cxx
	cui/source/dialogs/cuigrfflt.cxx
	cui/source/dialogs/hldocntp.cxx
	cui/source/dialogs/hldoctp.cxx
	cui/source/dialogs/hlinettp.cxx
	cui/source/dialogs/hlmailtp.cxx
	cui/source/dialogs/hlmarkwn.cxx
	cui/source/dialogs/hlmarkwn.src
	cui/source/dialogs/hltpbase.cxx
	cui/source/dialogs/iconcdlg.cxx
	cui/source/dialogs/passwdomdlg.cxx
	cui/source/dialogs/pastedlg.cxx
	cui/source/dialogs/scriptdlg.cxx
	cui/source/dialogs/thesdlg.cxx
	cui/source/dialogs/zoom.cxx
	cui/source/factory/dlgfact.hxx
	cui/source/inc/SpellDialog.hxx
	cui/source/inc/autocdlg.hxx
	cui/source/inc/backgrnd.hxx
	cui/source/inc/bbdlg.hxx
	cui/source/inc/cfg.hxx
	cui/source/inc/cfgutil.hxx
	cui/source/inc/cuigaldlg.hxx
	cui/source/inc/cuigrfflt.hxx
	cui/source/inc/cuitabarea.hxx
	cui/source/inc/cuitabline.hxx
	cui/source/inc/hldocntp.hxx
	cui/source/inc/hltpbase.hxx
	cui/source/inc/iconcdlg.hxx
	cui/source/inc/numpages.hxx
	cui/source/inc/page.hxx
	cui/source/inc/postdlg.hxx
	cui/source/inc/scriptdlg.hxx
	cui/source/inc/transfrm.hxx
	cui/source/inc/zoom.hxx
	cui/source/options/cfgchart.cxx
	cui/source/options/cuisrchdlg.cxx
	cui/source/options/dbregister.cxx
	cui/source/options/dbregister.src
	cui/source/options/fontsubs.cxx
	cui/source/options/internationaloptions.cxx
	cui/source/options/optasian.cxx
	cui/source/options/optchart.cxx
	cui/source/options/optcolor.cxx
	cui/source/options/optcolor.src
	cui/source/options/optfltr.cxx
	cui/source/options/optfltr.src
	cui/source/options/optgdlg.cxx
	cui/source/options/optgdlg.src
	cui/source/options/optgenrl.cxx
	cui/source/options/opthtml.cxx
	cui/source/options/optimprove.cxx
	cui/source/options/optinet2.cxx
	cui/source/options/optinet2.hxx
	cui/source/options/optjava.cxx
	cui/source/options/optlingu.cxx
	cui/source/options/optsave.cxx
	cui/source/options/optsave.hxx
	cui/source/options/treeopt.cxx
	cui/source/options/webconninfo.cxx
	cui/source/tabpages/autocdlg.cxx
	cui/source/tabpages/backgrnd.cxx
	cui/source/tabpages/border.cxx
	cui/source/tabpages/chardlg.cxx
	cui/source/tabpages/dstribut.cxx
	cui/source/tabpages/grfpage.cxx
	cui/source/tabpages/macroass.cxx
	cui/source/tabpages/measure.cxx
	cui/source/tabpages/numfmt.cxx
	cui/source/tabpages/numpages.cxx
	cui/source/tabpages/page.cxx
	cui/source/tabpages/paragrph.cxx
	cui/source/tabpages/swpossizetabpage.cxx
	cui/source/tabpages/tabarea.src
	cui/source/tabpages/textanim.cxx
	cui/source/tabpages/textattr.cxx
	cui/source/tabpages/tparea.cxx
	cui/source/tabpages/tpbitmap.cxx
	cui/source/tabpages/tpcolor.cxx
	cui/source/tabpages/tpgradnt.cxx
	cui/source/tabpages/tphatch.cxx
	cui/source/tabpages/tpline.cxx
	cui/source/tabpages/tplnedef.cxx
	cui/source/tabpages/tplneend.cxx
	cui/source/tabpages/tpshadow.cxx
	cui/source/tabpages/transfrm.cxx
	embedserv/source/embed/register.cxx
	extensions/inc/pch/precompiled_extensions.hxx
	extensions/inc/propctrlr.hrc
	extensions/source/abpilot/abpservices.cxx
	extensions/source/bibliography/bibload.cxx
	extensions/source/bibliography/datman.cxx
	extensions/source/bibliography/general.cxx
	extensions/source/dbpilots/dbpservices.cxx
	extensions/source/inc/componentmodule.cxx
	extensions/source/nsplugin/source/so_env.cxx
	extensions/source/ole/oleobjw.cxx
	extensions/source/ole/oleobjw.hxx
	extensions/source/oooimprovement/invite_job.cxx
	extensions/source/oooimprovement/onlogrotate_job.cxx
	extensions/source/plugin/base/service.cxx
	extensions/source/plugin/inc/plugin/unx/mediator.hxx
	extensions/source/plugin/inc/plugin/unx/plugcon.hxx
	extensions/source/plugin/unx/mediator.cxx
	extensions/source/plugin/unx/nppapi.cxx
	extensions/source/plugin/unx/plugcon.cxx
	extensions/source/preload/services.cxx
	extensions/source/propctrlr/formmetadata.cxx
	extensions/source/propctrlr/pcrservices.cxx
	extensions/source/resource/resource.cxx
	extensions/source/scanner/sane.hxx
	extensions/source/scanner/sanedlg.cxx
	extensions/source/scanner/scanunx.cxx
	extensions/source/scanner/scanwin.cxx
	extensions/source/scanner/twain.cxx
	extensions/source/scanner/twain.hxx
	extensions/source/update/check/updatecheckconfig.cxx
	extensions/test/stm/datatest.cxx
	extensions/test/stm/marktest.cxx
	extensions/test/stm/pipetest.cxx
	extensions/test/stm/testfactreg.cxx
	extensions/workben/testpgp.cxx
	forms/qa/complex/forms/CheckOGroupBoxModel.java
	forms/qa/makefile.mk
	forms/source/component/Button.cxx
	forms/source/component/Button.hxx
	forms/source/component/ListBox.cxx
	forms/source/inc/forms_module_impl.hxx
	forms/source/misc/services.cxx
	forms/source/solar/control/navtoolbar.cxx
	javainstaller2/prj/build.lst
	javainstaller2/src/JavaSetup/org/openoffice/setup/Util/ModuleCtrl.java
	lingucomponent/prj/build.lst
	lingucomponent/source/hyphenator/altlinuxhyph/hyphen/hyphenimp.cxx
	lingucomponent/source/spellcheck/spell/sreg.cxx
	lingucomponent/source/spellcheck/spell/sspellimp.cxx
	package/source/manifest/ManifestExport.cxx
	package/source/manifest/UnoRegister.cxx
	package/source/xstor/owriteablestream.cxx
	package/source/xstor/owriteablestream.hxx
	package/source/xstor/xstorage.hxx
	package/source/zippackage/ZipPackageFolder.cxx
	package/source/zippackage/ZipPackageStream.cxx
	setup_native/source/mac/ooo/DS_Store
	setup_native/source/win32/customactions/shellextensions/registerextensions.cxx
	xmlsecurity/prj/build.lst
	xmlsecurity/source/component/registerservices.cxx
	xmlsecurity/source/dialogs/stbcontrl.cxx
	xmlsecurity/source/framework/xsec_framework.cxx
	xmlsecurity/source/xmlsec/xsec_xmlsec.cxx
	xmlsecurity/tools/demo/util.hxx
	xmlsecurity/workben/signaturetest.cxx

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [0bdca5ef30f83883eb038e3c84828e0dc5a873b8]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-08  Ivo Hinkelmann  <ihi@openoffice.org>  [24303a2b518755f017b8489d6655926b25a441c5]

l10n36: #i117281# add isocodes fur jbo kab nso ny so


2011-03-08  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [8d39bcae009afc1022974a6b0efdbbdb5b057ad4]

Added shadow option to appearance dialog.


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [d250239870bd9a2c63f466b15befdb4e7072d310]

CWS-TOOLING: integrate CWS os146


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [9bece331b05f224d8936b16b4a383f97c88e35c7]

CWS-TOOLING: integrate CWS fwk165


2011-03-05  J. Graeme Lingard  <jgraeme+git@gmail.com>  [019bb4b6486d9767f6d91bb971d27d1c1504fcde]

Remove 'added by' comments


2011-03-05  Christina Rossmanith  <ChrRossmanith@web.de>  [9dd4a4006b13f4861e7eada0a5b6bc41d0877fb6]

Removed /* ### ACHTUNG: Neuer Text in Resource? - lines from components


2011-03-04  Guillaume Poussel  <gpoussel@gmail.com>  [96c30a255232468e53ab66a3cab9c176e5cb480f]

Remove various useless comments in components.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [2532f1680cc8753205e9161a0a5dc7d44565c91b]

findbar: Add the findbar to the menus above the Search dialog.


2011-03-03  Andras Timar  <timar@fsf.hu>  [98abfb3b8ca07e23708907a3fb5ed464c89498b3]

l10n: Updated oc_FR spelling dictionary


2011-03-03  Andras Timar  <timar@fsf.hu>  [2b3b78977da058300905c3863c4444b929a0b554]

l10n: add Breton spelling dictionary


2011-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [b3bf07a60f2c24706c73b361b72751387452a354]

masterfix DEV300: MinGW fix


2011-03-02  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1a5613cab61da0564053586e796402c3bd66fe5e]

fdo#34872, ODF 1.2 manifest export: missing version fixed


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [461a425d646526699ad2a56e67bd1446e18a517c]

Add osl/diagnose.d includes


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [d0a313b279ec4e9be3bd859d8a420fff9ddd8bc7]

Replace one DBG_UTIL with OSL_DEBUG_LEVEL

And remove the other one, as OSL_FAIL is executed only on
OSL_DEBUG_LEVEL > 0 (in diagnose.h).

2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [ab7005a89db017b36a66c4509edaee88cf9fbda1]

Remove DBG_UTILx


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [fcfd8b64c4e427d4599dd9da4148860f732b6ec6]

Move DBG_ERROR to OSL_FAIL


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [f6e0b00643e252001768e0b2e19de070654e9afe]

Remove TF_SDBAPI


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [9e16bde5ab7d0333c707a21d2bc3265511ae3fa4]

Remove MY_DEBUG


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [29bdb45819bbe5ede48ed8ee4a260493040bc85d]

Remove USE_SAVE_STATE


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [241ad440cdd57b112fe1080f93ea960a7b746ec9]

Remove SAVE_ALL_STATES


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [503391d026671833bd9e2296e18c0f5b8180b868]

Remove AS_DBG_SWITCH


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [4a177c01c81c2277f1a83d1560eb865a557ec78f]

Remove TEST_IMPLEMENTATION_DIRECTLY


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [a71b066d80d67edefd8f1bfb68863f2f781f0470]

Remove VERBOSE_DEBUG_OUTPUT


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [d898e6ff0182e3c6274bc7a13f9fa70c3ff6661c]

Remove OWN_DEBUG_PRINT


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [6f6316ebb9a9e33e1d8f492083849aad62d0b9f1]

Remove FILTER_WARNING_ENABLED


2011-03-02  Kalman Szalai - KAMI  <kami911@gmail.com>  [03b720f9be65745ce3ec8115f733e792f03c5814]

Refine compression of Windows installer

I increased the efficiency of LZM compression of makecab. I found that we can use .Set CompressionMemory=21 setting. This setting produces 83,91% of original installer size and if we combine it with a simple zip compression the download size can reduce to 83,54%.

Reference:
http://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg07068.html

2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [01517bd118521ce0b87f5ddc0214327417143b23]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [f60dd30c0e109ed70cd9c4e5a7e1b4f6af8b5138]

pointless to go from char* to OString to char*


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [b85f821043063474f3489f2119ed3ebd2bab34fe]

pointless cast


2011-03-01  Jean-Baptiste Faure  <jbf.faure@orange.fr>  [9ef59fd595e16dd1b40ae17cddac80313852ab27]

Changed label size and/or position for BTN_AUTOSAVE, ED_AUTOSAVE and FT_MINUTE

The size of BTN_AUTOSAVE is too small for corresponding FR string.
I needed to move to the right ED_AUTOSAVE and FT_MINUTE

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-01  Michael Lefevre  <lefevre00@yahoo.fr>  [abbb9d2731afd6c41b7b1015ecbbab92eccf071c]

Remove dead code

ACCESSIBLE_EVENT_NOTIFICATION_ENABLED was never define. So the #ifdef #endif "brackets" could go away.

2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [13de95aed5f8d29c7004d987c6f2f028aee19b70]

CWS-TOOLING: integrate CWS ab81


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [2c63f131bf43a6c110c94a6592578742adab30ab]

CWS-TOOLING: integrate CWS sw34bf03


2011-02-28  Steven Butler  <sebutler@gmail.com>  [3ad0208c0d8ca0c8d22206962aa3185b03e9bae3]

MSI: ensure thesaurus indexer custom action is built


2011-02-28  Steven Butler  <sebutler@gmail.com>  [d51fd84dd4ff19d2d9c2abd138b8c102f7ae5ff4]

Add MSI custom action capable of generating thesaurus index


2011-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [83ca3f3a12e615ee12eb47a9c86e08f57daf0728]

Fix Windows build


2011-02-27  Francois Tigeot  <ftigeot@wolfpond.org>  [5f56788af3b0ab5099e70958fd92aa3ed590c4ad]

Handle DragonFly like the other BSDs in more cases.


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [167fd71b2e2225963a3d371ede147ebef02dbc40]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [7333df71a42d1f68d4706f8797ae28510cdd0766]

Remove "using namespace ::rtl"


2011-02-25  Joseph Powers  <jpowers27@cox.net>  [582f61a3f4d658aff04faca58abea74aeb301945]

Fix issue with removal of "using namespace rtl"

OStringBuffer is only used in the debug code and the correct #include is
located with it. We don't really need the "using ::rtl::OStringBuffer".

2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [33f74a75cdeb329d9795f2c04cb957cc172e528f]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [f9d358439a0d2a851184edadf810a2a7ca4ad306]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [2e6a4b559c06a00722a0caa1bb396023a29e5e35]

Remove "using namespace ::rtl"


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [d7f4a4a91ab88a116a98fa4b714c5f95b3eee5f4]

Remove "using namespace ::rtl"


2011-02-23  Andras Timar  <timar@fsf.hu>  [95e2cbfb11e8343b7a5ee9a87f8cf06c0b09b262]

l10n: Updated oc_FR spelling dictionary


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b222fc371ccce73fda67ada22f50a169811bd048]

debuglevels: pulled and merged latest changes from DEV300_next


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [93a30070a2a7188496cbecca7a0969e74e4da8fb]

debuglevels: merged to-be-m101


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [e887a292fa3a7662fea0fc682d41f55e9e170a33]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Andras Timar  <timar@fsf.hu>  [62dcbbf1dec39dea6f29c6d19b0fdd3619fdd463]

l10n: add Breton spelling dictionary


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [af875df329d7b59f21d737f27c4c925bd257e5c0]

remove javainstaller2


2011-02-20  Joseph Powers  <jpowers27@cox.net>  [768a646d7cc98d43be27c02db5b2f83b364a7438]

Cleanup some #include <tools/list.hxx>


2011-02-20  Thomas Arnhold  <thomas@arnhold.org>  [3e39bb8d56c5f3e0fd1d83a0c445f060a11a21c8]

Remove hard-coded debug stuff


2011-02-20  Thomas Arnhold  <thomas@arnhold.org>  [6c6b8a45a379b2579f60471efdb7970ce4ad96c6]

Remove dead code


2011-02-19  Thomas Arnhold  <thomas@arnhold.org>  [71ad6e3a4136451183ed437eba206b6fa59ab668]

Remove bogus registry files


2011-02-19  Thomas Arnhold  <thomas@arnhold.org>  [e9e4d4828daedbace88b4e882e5d43c026c4522c]

Remove WTC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"WTC - watcom compiler (OS2, WNT?) - obsolete"

2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [17bacb4affe4b7dbb449354a74147b8106acabf1]

Method always returns true and contents are pure const

So removing it, I can't see the point of it.

2011-02-18  Release Engineering  <releng@openoffice.org>  [d7aedca7733546a828326d4b4a554f1f330832e1]

merged DEV300


2011-02-18  Andreas Bregas  <ab@openoffice.org>  [fb800468e556a8d99a09e04f517766ba14217a29]

ab81: resync to m100


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [ec6f2addea5621404625d28fe8bc0f1f2281dbf7]

masterfix: #i10000# INT16 -> sal_Int16


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [26fd4d199bfcf685cde76ce7004115567237e93f]

CWS-TOOLING: integrate CWS native359


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [b43ff14ce2f096312cc394c7c61c95504683edfc]

CWS-TOOLING: integrate CWS gridsort


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [d11c3ec869e024d99097839b2980277e6e5fcbbb]

CWS-TOOLING: integrate CWS locales34


2011-02-17  Andreas Bregas  <ab@openoffice.org>  [22f9eba01dfe448413e80c8195129e490820c72e]

ab81: #i115671# Fixed Save button handling in Basic IDE


2011-02-17  Andreas Bregas  <ab@openoffice.org>  [7d97d71560ae2d00af0e8b45e9fdb6c3c2694301]

ab81: #i108119# Fixed undo slot handling


2011-02-17  David Tardon  <dtardon@redhat.com>  [fe6790df853047716e87f9ffffc7e434f64a0ed5]

WaE: unused variable


2011-02-17  David Tardon  <dtardon@redhat.com>  [e6251896d2bfe140e441f9acd7abfcfc3ca5abc5]

WaE: unused variable


2011-02-17  David Tardon  <dtardon@redhat.com>  [062f686b2292c5a7121156735c87690d76a639a9]

WaE: unused variable


2011-02-17  David Tardon  <dtardon@redhat.com>  [6aaddb126fec8bc8a2cf3932b463464146dee87d]

WaE: unused variable


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [ae8037bdc2911c14ebb9067ce55e16d2ec9bf13c]

Remove SCO support


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [137c43ccca589eede95428e08c568755d39d3c80]

Remove HPUX support


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [92a7a255dbf28679c57f19b4b1644116c5afe702]

CWS-TOOLING: integrate CWS accfixes


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [d4f53aa87bafaa6fa8c06c15290038cfdc3d7c0d]

CWS-TOOLING: integrate CWS sb138


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [4c7491c4670e7a90139678323985d7af2afa1b6c]

CWS-TOOLING: integrate CWS mongolianlayout


2011-02-16  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [8d9a0e83fa4c904ac24e98491689d6408bd31cac]

fixed compile errors after resync to m100, part2


2011-02-16  os  <os@openoffice.org>  [d52796551a11684136b34a6eed1cd470faec47e7]

USHORT removed


2011-02-16  Andreas Bregas  <ab@openoffice.org>  [a38e508534cc814788793de5c36264fd2d3d500a]

ab81: #i86628# BasicTreeListBox::ImpCreateLibSubEntries(): Refer to right LibraryContainer in dialog mode


2011-02-16  Carsten Driesner  <cd@openoffice.org>  [0fcf7651825df914672c7c5c42b6e5c4cc3dd6ee]

fwk165: Rebase to DEV300m100


2011-02-15  Mathias Bauer  <mba@openoffice.org>  [4bb246fc3101b066bad044855cbde3e3d22f666d]

CWS mongolianlayout: resync to m100


2011-02-15  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [15b95702ce49ff2427c1840e92ea6600d2d9e1e7]

accfixes: merged to m100


2011-02-15  os  <os@openoffice.org>  [aee7923651770cac9fffde1e8116edf78c156239]

m100 merged


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [48ae12e36f69bc34cc34c9b1c99ceb3ecf5bee8d]

chart52: merge with DEV300_m100


2011-02-15  Francois Tigeot  <ftigeot@wolfpond.org>  [fee6519c1563cf2e108c9d6fc0dcb0d4023689a6]

dragonfly stuff


2011-02-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f05c3669cbcc131162f459bdb5b0c979e93d9dc6]

gridsort: post-rebase fixes


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3fc6dc381b070c2d533c2eb7da84ed0f1f33c179]

debuglevels: pulled and merged DEV300.m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [63b43cf6f8c7470f9d42a608bd58ffc2778cf4e1]

gridsort: pulled and merged DEV300_m100


2011-02-14  Kevin Hunter  <hunteke@earlham.edu>  [df41230804b01b27f4b09f8f1fb82991e8ff0846]

cppcheck: post- to pre- *crement change


2011-02-14  Joseph Powers  <jpowers27@cox.net>  [85add01f882a537e1c9a8497d6098edf6c4e15e7]

Removed some commented out code

It referenced PRV_SV_DECL_REF_SIGNATURE which I'm looking at removing; thus,
it was showing up in my reports.

2011-02-13  Caolán McNamara  <caolanm@redhat.com>  [42211c341238f4e6bebe11ab54b93d89fd20bf54]

WaE: unused return val


2011-02-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f873ed2597c0cb4667e6c1a660e78262d1078682]

debuglevels: silence unxsoli4.pro+debug warning


2011-02-13  Guillaume Poussel  <gpoussel@gmail.com>  [606835775a2cdaf48b61bf958671ab8f0daa26fc]

Remove bogus comments


2011-02-12  Joseph Powers  <jpowers27@cox.net>  [903ec9fa5a4b4034e751f39620ba0407e3c72c1e]

Remove precompiled header support.

The precompiled header has already been disabled via #if 0. I just deleted
the precompile header code and removed the include from all the files.

A make clean works fine on CUI.

2011-02-12  Joseph Powers  <jpowers27@cox.net>  [f6651c5ae34c9580ea167e31ae2f3f2f60ae7b6d]

Remove #include "bootstrp/sstring.hxx"

This file is no longer needed outside of tools.

2011-02-12  Joseph Powers  <jpowers27@cox.net>  [9d4ca81e87fe482dd8de439db4f2b501ae514065]

Remove DECLARE_LIST( UniStringList, UniString* )

I converted the DECLARE_LIST() into a vector<> and moved it to the .hxx
file. This also means I no longer have to reference /bootstrp/sstring.hxx.

2011-02-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c893784f9f7379335417c2a93895071aba06f4f]

Avoid confusion between boost::vector and std::vector


2011-02-11  Michael Stahl  <mst@openoffice.org>  [d1b66c7cbee4019b38cb47a9aeb81d3ceb4b47d7]

sw34bf03: merge to-be-m100 DEV300_next


2011-02-11  Kevin Hunter  <hunteke@earlham.edu>  [52205f3d026ab5517fd76ed1740f7f1c0ee28958]

cppcheck: post- to pre- *crement change


2011-02-11  sb  <sb@openoffice.org>  [7bb94aa874745463489c3d74bfe2e9c5b7a8243d]

sb138: merged in re/DEV300_next towards DEV300_m100


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [6f4e1dbf06ab27afedb6aa03a34c6335ee2d45f6]

Describe fonts the same way as the default font dialogs on each platform do

i.e.
Windows: Font, Style, Size
http://msdn.microsoft.com/en-us/library/ms646958%28v=vs.85%29.aspx

MacOsX: Family, Typeface, Size
http://sketchup.google.com/crimages/layout-set-ShowFonts-mac-en.jpg

GNOME: Family, Style, Size
http://live.gnome.org/Design/GTKFontDialog/UsabilityEvaluations

2011-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3d6534718c82da66a482c07e442e2a26269b03b5]

Internal hunspell is static


2011-02-10  Carsten Driesner  <cd@openoffice.org>  [81436d3a10a6841c3683f7e4ef762753c551b3d5]

fwk165: #i116290# Fixed build breaker with gcc


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [c9fb7e6fccac220dd578d79694fc26a47259f5b7]

new gcc warnings, variable set but unused


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [bcdd2c57b318ff7598b7ee584e61d190a7114006]

Remove static if-statement


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [508bd33f343828526c7b66f7486ac8db6d74f5de]

Trying to remove the stlport mention from the code


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [eeeb9819259b2bbc99dbac9082fbde0cdefd3d44]

Remove some dead code


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [596d7646b77b800fa4a3dd3294c8e823ebc21705]

make test -> make check


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [933fcb29202c184c58fdeac57f7998f7725a5e9c]

prewin.h already includes <windows.h>


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [06aba799d89a56e082644f7ae93f5ffe5ef00d58]

fix build breakage


2011-02-08  Eike Rathke  <erack@openoffice.org>  [882fb63657553347b3023943fb83125e3d5136fb]

locales34: merge m99


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [c612232fd98d7b19be6e97c290022e4dbdab78a2]

more std:: -> o3tl:: build fixes


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [3e151a33b48dfce7ab2e9255921ad7e8c6e73bea]

std:: -> o3tl:: fixes


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [2521c0adf5a3de3c7572ca6cf0813cbe817847c4]

Remove useless comments in components.


2011-02-08  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [c1d45fdb7f6380a0e6640a336cd790027e903b4f]

lp#696527: enable human icon theme in LibreOffice (cherry picked from commit cfa7e88f5959a8b3b729107d61351410be80f49b)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-08  Mathias Bauer  <mba@openoffice.org>  [9648a577f081b0468702fb7f0db69b2582b96e72]

CWS gnumake3: found another tools integer type


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [6345859b26ac7d1e9f7599b8d55de84d090e0d64]

Adapt to move of prewin.h and postwin.h


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [e945e89a1aa7c6f8d84197244911aab0ae6be9a6]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Carsten Driesner  <cd@openoffice.org>  [1915cec6a9c84c0d0a16e69b81b9ab136d3b0277]

removetooltypes01: Fix build problems after rebase to DEV300m99 in basctl, cui, reportdesign, sw


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ef8229edf906243ab2dccc10f112cbc315dc113a]

std::bit_vector -> ::std::vector<bool, std::allocator<bool> >


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [279464d98f93b839c79e90135ec83d6c540c9153]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	cui/source/tabpages/swpossizetabpage.cxx

2011-02-07  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [cfa7e88f5959a8b3b729107d61351410be80f49b]

lp#696527: enable human icon theme in LibreOffice


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [1020364a2265ed696f6a40a3bef61c3bb72cfb08]

WaE: format not a string literal and no format arguments


2011-02-07  Mikhail Voytenko  <mav@openoffice.org>  [3a666335473104fa1de28bc235757b2dd57bab58]

fwk165: #i116290# let mimetype stream be zipped as the first one


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [9cba3a831aa9b86b663eada70eb89f6a581f9ee1]

removetooltypes01: Rebase to DEV300m99


2011-02-06  Julien Nabet  <serval2412@yahoo.fr>  [dfda11c7f9b8681b4ad427b25e7a3df9ba1e8a20]

Some cppcheck cleaning


2011-02-06  Petr Mladek  <pmladek@suse.cz>  [94a2ea07194893531b93b78c2903d96bbc5526ce]

add Ukrainian also into packinfo_office.txt


2011-02-06  Petr Mladek  <pmladek@suse.cz>  [e6e8d8ebbe2ef54704a467cf4930494fdf3be6ff]

add Occitan also into packinfo_office.txt

build fails witout it

2011-02-06  Karsten Gerloff  <gerloff@fsfe.org>  [22ebf4ead44c2896a3fcc13b798176d9207af678]

translate some comments


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [03ba01048f0ad3170aa17b2e651ae1ccab86a1ac]

Remove OWN_DEBUG and WRITEDEBUGINFO


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [277c6210fbf8ee377621a608e475d7b21078a078]

Use OSL_DEBUG_LEVEL > 1 instead of > 2


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [c710e982117b49893f1fc2be7fe96a51cc5dd6d0]

Remove lots of dead code


2011-02-06  David Tardon  <dtardon@redhat.com>  [93997fb7fa58ef343e9ac8bdc39eb761695114f6]

make (hopefully) more understandable


2011-02-06  David Tardon  <dtardon@redhat.com>  [529b35cdd05bb07b65275d20832a154ce366c817]

use the right paragraph for notification


2011-02-05  Joseph Powers  <jpowers27@cox.net>  [13bec817e3e5bb1b2a5cfa27f4c6f93c02a1b49e]

Two more missing #include <vector>


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3ca828cc9048205d0a93a1e03ba22ea3ea8ca4f1]

move components to boost unordered containers


2011-02-06  Julien Nabet  <serval2412@yahoo.fr>  [014d3582652f4014fcf65cc3023962c7f74bf75e]

Some cppcheck cleaning


2011-02-05  Thorsten Behrens  <tbehrens@novell.com>  [7754d67735a8e698d2b7106cae4c6e35eaf3b75b]

New mimetype icons for LibreOffice

Update from design team, source svg is
http://wiki.documentfoundation.org/cgi_img_auth.php/d/d4/LibreOffice_Initial_Icons-pre_final.svg

2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [adbc618d68569d5b63d1ec87c5d7a9d7f5ba5761]

Resolves: rhbz#673819 crash on changing position of drawing object in header

The header/footer objects are cunning wrappers to pretend to some parts
of the drawing stuff that there are multiple objects, while in reality
there is only one. So call HasText actually gets a totally different
object from the cast :-(

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-03  Jesús Corrius  <jesus@softcatala.org>  [207c1e1ae0eb30ab9d5007b8f36f258890847630]

Revert: Reg4allmsdoc updated to use the new registry file extension IDs


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [b2b747f8ab65f05ff55c5277d7c88f8b4735eba7]

CWS gnumake3: resync to m99


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e44b0a3094f8e43135b0a57c5d9ae9215f9c6118]

chart52: merge with DEV300_m99


2011-02-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [467afb3e0691a38fdb000da8071e7cf51ff6f83a]

pulled and merged DEV300.m99


2011-02-03  Rene Engelhard  <rene@debian.org>  [13519789cd6c9f86067251c5566f29a96bdaac44]

another s/OpenOffice.org/LibreOffice/ in nsplugin


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [d0b62c27f45258e02227f5e858cb44f500af14f3]

Clean up makefiles


2011-02-02  Jesús Corrius  <jesus@softcatala.org>  [2c32579a3045f446d46b583cb00799b8cbf55eaa]

Fix compilation of crashrep in pre-Vista Windows systems


2011-02-02  os  <os@openoffice.org>  [0f6ac374bbb565a631e10588ccd67184c3998820]

os146: gnumake3 merged


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [9a9dfb826f92a1a051c973be4e249845c90f1c99]

Clean up makefiles


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [7227cc124eea65ec2fe7aaadf925d6e97ca79287]

Remove empty makefiles and their references.


2011-02-01  Ingo Schmidt  <is@openoffice.org>  [9802833f478a064617c9b54c9bdc69509463e997]

native359: #i114398# changing mac langpack icon


2011-02-01  os  <os@openoffice.org>  [ca7ce06f8fdf7fc01f3b50db017e8c6b296b0a18]

m98 merged


2011-02-01  Andras Timar  <timar@fsf.hu>  [c0c2964c3ad1a42a5cd3548b9fcdd1c256c077bf]

Added Occitan dictionary


2011-02-01  Andras Timar  <timar@fsf.hu>  [eacd19b0e2eeba91aa1b2387d93e99996c0efae2]

Added Ukrainian dictionaries


2011-02-01  Tor Lillqvist  <tlillqvist@novell.com>  [ecf859006048314ef1c4a4202a642e74a443ebce]

Fix overflow problem in the custom action for UI language de-selection

In the _all_ installer we have slightly over 100 LibreOffice UI
languages. The code in the custom action that de-selects UI languages
based on the Windows UI language(s) and the user's locale had a limit
of 100.

The consequence was that a few of the alphabetically last LibreOffice
UI languages: Ukrainan, Urdu, Uzbek, Venda and Xhosa, were not
de-selected even if none of those languages was used by the user or
Windows, and thus got installed in a "quick" install and also in a
"custom" install unless the person running the installer noticed.

Reported by aseques_ on IRC, no bug filed yet.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-02-01  Ingo Schmidt  <is@openoffice.org>  [e76b3733e9c9f70e674ad1e6e2085747cf66af6b]

native359: #i115669# fixing package description for solaris packages


2011-02-01  Tor Lillqvist  <tlillqvist@novell.com>  [f06328c85528f5df734b3150801fb943659dcf80]

Fix overflow problem in the custom action for UI language de-selection

In the _all_ installer we have slightly over 100 LibreOffice UI
languages. The code in the custom action that de-selects UI languages
based on the Windows UI language(s) and the user's locale had a limit
of 100.

The consequence was that a few of the alphabetically last LibreOffice
UI languages: Ukrainan, Urdu, Uzbek, Venda and Xhosa, were not
de-selected even if none of those languages was used by the user or
Windows, and thus got installed in a "quick" install and also in a
"custom" install unless the person running the installer noticed.

Reported by aseques_ on IRC, no bug filed yet.

2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [795fe04b1a5b1fecd3a61af88d99d1ca85488c72]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [c5deec186acf8de760f11f9bfe1fa383bd06b31f]

WaE: various new gcc 4.6.0 warnings


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [a0e5380a3c131bcd37a049f46f45826ae4c3f608]

Remove RCS lines.


2011-01-31  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c83959b680fa39a5722f2505bfb8a238b1df281c]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2011-01-30  Andy Holder  <andy.m.holder@gmail.com>  [c488bbf762fd6cf610c53082754765e4e26225c5]

cppcheck: variable never used


2011-01-30  Caolán McNamara  <caolanm@redhat.com>  [69aadc54a50352f69457899c176286d3ac66ca7d]

Resolves: rhbz#673819 crash on changing position of drawing object in header

The header/footer objects are cunning wrappers to pretend to some parts
of the drawing stuff that there are multiple objects, while in reality
there is only one. So call HasText actually gets a totally different
object from the cast :-(

2011-01-30  Jesús Corrius  <jesus@softcatala.org>  [35ebcf0ac8befdbee7afa9860266327cab99ab08]

Reg4allmsdoc updated to use the new registry file extension IDs


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [94087d09d35e37a98b7bb17139ae5716e230b81d]

WaE: various new gcc 4.6.0 warnings


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [a202fdfbad44088ed79936b3a206aaf06a836e73]

remove dangerously broken >>= operator


2011-01-29  Andras Timar  <timar@fsf.hu>  [6659716d187b34431ca69332187df96e0f83f987]

Added Occitan dictionary


2011-01-29  Andras Timar  <timar@fsf.hu>  [6105bf45dcbfc154802c95e9e24aff650cf55a51]

Added Ukrainian dictionaries


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [ff13461b875f26cffa339f55b269bf70ae03306e]

Remove double line spacing and make long virtuals readable.


2011-01-28  Tor Lillqvist  <tlillqvist@novell.com>  [22a47236c0436ee2593130e85adc577fc6adc50e]

Remove superfluous empty lines at end


2011-01-28  Tor Lillqvist  <tlillqvist@novell.com>  [1c5b33577a536b120b37857fbad009a9c5cd34ca]

Bypass if no SOLAR_JAVA


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [6f3191fc75c89613f4d1b37eeaf44cdc2751606a]

Replace empty equalsAscii() with getLength().


2011-01-28  Hans-Joachim Lankenau  <hjs@openoffice.org>  [92e50a5ccef9046108eeff2943302ad2137602ae]

gnumake3: remove comphelper version; fix including extract.hxx


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [043a2cdf62ad9a16a9e585b324a497d84d35418a]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5383249e41269ce77b18e0e103ef44fd4ef058d0]

undoapi: pulled and merged DEV300.m98


2011-01-27  Eike Rathke  <erack@openoffice.org>  [b415ec66c073906954146e9b85ba4e1f23ab3eb4]

locales34: #i106785# add Haitian_Haiti [ht-HT] to language list and locale data; locale data contributed by <jcpoulard>


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [9923c5f5606383b386e81640aaa5f2b7a3908ec0]

WaE: gcc 4.6.0 various warnings


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [419131b8d542a9d34296f80401bbecaf7b6eb6e6]

CWS-TOOLING: integrate CWS tl84


2011-01-27  sb  <sb@openoffice.org>  [31e39528c76c9cdeb532c8e2974653400daab162]

sb138: #i116659# timely termination of OnLogRotateThread


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [279eb5ea419757f1ad5c7116cf5e5c876be22f32]

WaE: gcc 4.6.0 various warnings


2011-01-26  Kenneth Venken  <kenneth.venken@gmail.com>  [ea96281176b32e7091d2348e6a8ba0f8a2ffb1ad]

Cpp cleanliness: redundant assignment to self


2011-01-26  An Leenders  <an@Fluffy.(none)>  [2e2cebc360976fd16e6d64b5462ec9aad7cd8b53]

cpp cleanliness: check for assignment to self


2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [9adab3dff1403f8d1d65760425532af9589e64dd]

Use SetWindowLongPtr


2011-01-26  Thorsten Behrens  <tbehrens@novell.com>  [a73c1cff1b27dbef84f0d85d594f9628bb48a827]

Revert "Initial LibO mimetype icon design"

This reverts commit bf7cc5f6751d566bccb45b09fb15f82e56fe3333.

2011-01-26  Alexander Thurgood  <alex.thurgood@gmail.com>  [88a6c07dc231ed3508ffe81ec624a753f4c49e75]

Fix window focus for langpack installation on Mac fdo# 33056

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [cea69b77976783d1991ce9deae20db6bac2eb7fe]

WaE: gcc 4.6.0 various warnings


2011-01-26  Thomas Arnhold  <thomas@arnhold.org>  [628eb9b7e783023c49191178c181c39770fccc62]

Remove some dead code.


2011-01-25  Thomas Arnhold  <thomas@arnhold.org>  [dc70f40fe1356e73fc2da6c4b5e8a8bc360b39bc]

Remove FUTURE.


2011-01-25  Thomas Arnhold  <thomas@arnhold.org>  [75618786f31a5e0a8b167488a8c6f5fb19255e1c]

Remove FS_PRIV_DEBUG directive.


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c33e5beea14a4c45428c2f34932420e2584fa86f]

gridsort: pulled and merged DEV300m98


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [6528457fe05b699a11983656b4d363d112366378]

Fix minor ULONG glitch


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [1adbf20894e3b3768b85be9bce25415bb98d7e01]

CWS gnumake3: resync to m98


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [24f6617c789de3798f819272ebcb29e5a972af31]

WaE: gcc 4.6.0 various warnings


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [963e32eb1eaac471aaea47a6c37b35b76d070241]

WaE: gcc 4.6.0 various warnings


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [03b2888c27cd1302e8b457e8911e2ec72a912559]

#i10000# #i10000# changes from OOO330 m20


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [83fcfd2555e45a1159575f5bbb86c87ef3d84594]

gridsort: pulled CWS dba34b


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [bafa185bec55ce11a3693fe70486cd99fb8eb865]

Fix fallout of WIN_ULONG change in pre/postsys.h


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [57530bd4b407d1dfc1ba258996f4fff14a6e3cea]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [97cfbe46e6e8e553106b008435df31640145a4a7]

WaE: gcc 4.6.0 various warnings


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [b9108e5994abc4c99b81466968f5171926988726]

Include the wntmscx build directories


2011-01-23  Thomas Arnhold  <thomas@arnhold.org>  [e59c7d18697f27f9ef4183275e9b3d8b3f5a51f8]

Hopefully this will fix mac build.


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [2854486252da1cc9e26b94d22358dfe8b579f3b6]

Remove some dead code.


2011-01-22  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [bea3e72005e86cdde5bd8fa848f75e2901d69c44]

accfixes: removed include of obsolete header file


2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [044d11057923144cb694cb4128d9eedb0632b1b0]

Split WNT case into INTEL and X86_64


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [8efc1ebb0c94d9c9a9056f1021515a7e348de698]

Remove empty description and dates.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [801345866bd5870751002f27a5faac566fc7d782]

Move header includes to the top.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [6f3bc040936e5707f8d4d86116fab90c7109f861]

Remove one more RCS line.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [6ea1497263e15e212d6c42c23e9e8b76d6dc1470]

Remove doubled headers.


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [dac106bfe3725a03812d114d75310b79db1b4d0a]

removetooltypes01: Rebase to DEV300m98


2011-01-21  sb  <sb@openoffice.org>  [5f85b4a7ea9c43500655b2124df26603a51c0802]

sb139: merged in DEV300_m98


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [e34ac65d6d59bf4d524e8507c24c85fbeab7b85f]

accfixes: removed obsolete file


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [ef1d49eb3a17ea8939d36b896a883ce9bf45ed62]

removetooltypes01: #i112600# Merge changes


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [7d3d532296471381627fdd82aabca6b7e7e300bd]

removetooltypes01: #i112600# Fix build problems on non-pro


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [748c38857d27eb97cfc21df5bdcf3713b5fff81c]

accfixes: moved some shared strings to svx part2


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [f7a31b73291392fd554d724220947d1aec07244e]

accfixes: moved some shared strings to svx


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [16e8a78d5f47971ed3689aa477032da81c730a40]

Remove old RCS lines.


2011-01-20  Thorsten Behrens  <tbehrens@novell.com>  [bf7cc5f6751d566bccb45b09fb15f82e56fe3333]

Initial LibO mimetype icon design

As per http://luxate.blogspot.com/2011/01/libreoffice-initial-icons-milestone.html
updating the LibO mimetype and app icons (and the installer icon, for coherence).

2011-01-20  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [eedb7870004fb9e336a938bdf91fe00583b42f79]

accfixes: added more accessibility information and fixed tab orders in multiple dialogs (cui module)


2011-01-20  Carsten Driesner  <cd@openoffice.org>  [aac13890c99b92b0a03e8a284528223d4a641936]

removetooltypes01: #i112600# Remove tools types for Mac specific parts


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [8823731c29d74f4c17f2e6cf3e101513681795eb]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [59c75c0d036c2e9b304768d903c506b9ed6f9445]

fixed tab order in BasicIDE, Library dialog tab page


2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [4ead5ec05f882eaf6d053f90a2f9af0f5c7d8cae]

added some accessible names in BasicIDE


2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [34fe259bdde5288541c5345105c73a6c3916b7b5]

added some accessible releations in extensions/source/dbpilots/groupboxwiz


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [97b188c5fd8669731a95cd1a9de1225d4448b88f]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a185cac799df883b8184bb481095ed21ceb59d54]

gridsort: TableControl API adjustments


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [064fff2dd1cc50211cea54b4fafd99d60a2b997f]

CWS-TOOLING: integrate CWS fwk162


2011-01-17  Mathias Bauer  <mba@openoffice.org>  [be2199dd189f18e9987571cdb75931bae9d2febd]

cws mongolianlayout: resync to m97


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [05e4d958220f33cf58faa7a36eb0d1ff25bae424]

removetooltypes01: #ii12600# Exchange tools types in extensions


2011-01-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [fbcf8afa6f3f0548140c748a509a6957fc03f365]

gridsort: ClearSelection -> SelectAllRows (forgot this client during a previous change)


2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [f7d7948cbe9e38e2e219f6024c0add130a5f6480]

Remove pesky on-line registration menu entry. (fdo#33112)


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [eaba4785053da1a910f5fe6ea3ce5b475de94cd5]

removetooltypes01: #i112600# remove tooltypes from xmlsecurity


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [2b18c5b0ac957dd73f0de66b2a8120254e3daaa4]

removetooltypes01: #i112600# remove tooltypes from cui


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [f3f6a989fd14e39924649a97e80e0e0abc15806c]

removetooltypes01: #i112600# remove tooltypes from extensions


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [45274845e84c9c84bf6ee403c097c5011ba09d60]

removetooltypes01: #i112600# fix TRUE/FALSE autodoc tags


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [1e03f9a5bfa9951343e890aaa8310e363f1da796]

removetooltypes01: #i112600# remove tooltypes from basctl


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2d725c358525b711ef901a513975c5d34c93ada5]

gridsort: ouch. Removed IAccessibleTable::GetSelectedRows. It exposed an internal implementation detail, and in fact some clients (the A11Y API implementation) exploited this, e.g. by simply adding elements to the array, without the owner (the TableControl/_Impl) ever noticing it. Replaced that with a working API.

In this course, removed XGridSelection::getMin/MaxSelectionIndex. Pretty useless IMO, unused, and ugly to
implement.
2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a1be05eb6bccdbb02c4546f8a7ad2740c13f8fa8]

gridsort: replaced RemoveSelectedRow by ClearSelection - the first implementation was buggy, anyway, and ClearSelection is the same as SelectAll( false ) (which was the only use case)


2011-01-13  Mikhail Voytenko  <mav@openoffice.org>  [41295f88e2b7dab7911fb31a100249e00608039d]

removetooltypes01: #i112600# remove tooltypes from slideshow and forms


2011-01-13  Carsten Driesner  <cd@openoffice.org>  [1b52bbb6361c10773f50c1b299a2e0d36dd39a75]

removetooltypes01: #i112600# Exchange misleading sal_uIntPtr with sal_uLong in accessibility


2011-01-13  os  <os@openoffice.org>  [682d59aedcfa3c7f791de38108ed60b0b9c6f260]

m97 merged


2011-01-12  Mathias Bauer  <mba@openoffice.org>  [6f8587f13b4fc8a2b75e28584f505dbac16de228]

CWS gnumake3: #i116422#: convert svx to new build system


2011-01-12  Mathias Bauer  <mba@openoffice.org>  [0e5dd33d561dc2b33b753251ffc93ce8c895c30b]

CWS gnumake3: #i86790#: clean up mess with ooo+iso resource files


2011-01-12  Mikhail Voytenko  <mav@openoffice.org>  [82ac0ee09e198ef8009b0e0eea153ccb2296525b]

removetooltypes01: #i112600# remove tooltypes from automation


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [3097feb2f56b19a1b10b167f5c5869e2c7920be9]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [1b83f908126d09ef6e0015eb531bbd8c4cf57034]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Julien Nabet  <serval2412@yahoo.fr>  [42324023bf033b1cd4dee857136b12f1b2067d64]

Some cppcheck cleaning


2011-01-11  sb  <sb@openoffice.org>  [acf428ef3d41ec70bc75e60aac03980c8fcc4e08]

sb139: merged in DEV300_m97


2011-01-11  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c888869e0cc087430dc6de13b380d79e3be2081f]

gridsort: IAbstractTableControl renamed to ITableControl, added a few more methods previously found at the TableControl_Impl only


2011-01-11  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [17f1f4207ec2057ddd4a6d9d62b8374e003194ce]

gridsort: removed XGridControl::setTooltip. It had a rather strange semantics, seems to be unused in the current OOo code base, and would belong to the model, if at all. Still one thing to do: do not unconditionally display the cell content as tooltip, but make this dependent on whether or not the cell content fits into the cell.


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [ccb6459c4e16693c8416a5ac21269491f539f1a8]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  os  <os@openoffice.org>  [c0d205e44e9418de5a9c21e303ace1570cf6b783]

m96 merged


2011-01-09  Rene Engelhard  <rene@debian.org>  [53f53717db2106313507d9c4c9d222d5c0b18179]

fix nsplugin for LibreOffice name

- OpenOffice path -> LibreOffice path
- only split "LibreOffice path [...] out with OSL_DEBUG_LEVEL > 0

Signed-off-by: Caolan McNamara <caolanm@redhat.com>

2011-01-09  Anders Jonsson  <anders.jonsson@norsjonet.se>  [418b8e155a8d2d1e3f87018ae884803fe59a7a67]

Remove commented code


2011-01-09  Miklos Vajna  <vmiklos@frugalware.org>  [3d2ae7ead17df27a2d356497525038b88340ee10]

cui: make it possible to bind F13/F14/F15/F16 to a function


2011-01-07  Petr Mladek  <pmladek@suse.cz>  [46bf8d4d5e0e45ce632330289516db4af4729d33]

Micro optimization of the last commit

nBufSize was set by aBuffer.getLength() and had not been used in the end

2011-01-07  Petr Mladek  <pmladek@suse.cz>  [f2d22b6bb9c7cbd7573f23b116c2082224b4f0fd]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3


2011-01-07  Mikhail Voytenko  <mav@openoffice.org>  [e24ecb469ce35d2ed49051c6d40b30477d43ddf0]

removetooltypes: #i112600# remove tooltypes


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [1e2e88a302c22a556ce6aacc6a1e16848574079d]

cppcheck: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [ce722cd28ec92a1fcbaa149aa7f9a551aa513281]

cppunit: prefer prefix variant


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [2aa1dc9a47787f2e499a22c901a52939e77a27bc]

CWS-TOOLING: integrate CWS impress208


2011-01-06  Mikhail Voytenko  <mav@openoffice.org>  [139b7c0ed3299d70fc1ea22d13444bec053503c2]

removetooltypes01: rebase to DEV300_m96


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [6725f11e69570d5ff8b70f2a93c7247d01b01cd1]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [87edd3b3553834de89f9ae46df94fbf94cc61484]

cppunit: prefer prefix variant


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [3053a9b2b84681009d5a3cb50fec809663557806]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [def9eef8646f31c3f5eb3145aa77c0439fbe6c5a]

rebase to DEV300_m96


2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [ebb12eddef74076d9e2559359b21aaa7f0bf5661]

Make the Reset help agent button wider for Italian text. (fdo#32133)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [f785a4af182c5f864fe43b97c6ac643ee0594bd5]

Fixed layout breakage for KDE, X11 and (possibly) Mac. (fdo#32133)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [30321960a424fb71d51172cbbc017998b92388d3]

Make the Reset help agent button wider for Italian text. (fdo#32133)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [6b281dac164c8f71b987bdb6f79e25b6c522064a]

Fixed layout breakage for KDE, X11 and (possibly) Mac. (fdo#32133)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [f8dfad41b718c790b640488bebcdfed61ed25c0c]

CWS-TOOLING: integrate CWS jl160


2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [79834eb59b274d4736bbfcef3bead4445734f1f8]

CWS-TOOLING: integrate CWS oooimprovement7


2011-01-05  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [7ab62b39393c773f23d9b54ad4446a61630b1342]

gnumake3: resync to DEV300_m96


2011-01-05  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [2c230853f4941b87edc438a6ac0021d1f16730b0]

impress208: #i115944# fixing large ooxml files


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4b7268ad97c20d4f26589b08c8a395a6a54785a7]

dba34b: merged DEV300m96


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [d7b48d2e4e0e048ddc70defe3844430d86a0438d]

use RTL_CONSTASCII_USTRINGPARAM


2011-01-04  Joachim Lingner  <jl@openoffice.org>  [2cbeec4713ddaa3a331b53e1e61bf48780761e65]

jl160 merge with DEV300m96


2011-01-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [80f5b602c71db044c931277be13131607303c292]

gridsort: getCellContent: (col,row) instead of (row,col) parameters


2011-01-03  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [3e36a47e3877299b34e7e7677f9ca2c4510f1e0a]

impress208: #i115944# fixing large ooxml files


2011-01-03  Mikhail Voytenko  <mav@openoffice.org>  [283dfc7cf7853d4d9dd3cf008865486f5272d9ca]

fwk162: merge to DEV300_m96


2011-01-03  sb  <sb@openoffice.org>  [02d69956fe7f0c7aaf39492612057458fe7b8190]

sb135: merged in DEV300_m96


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [53ac0034c8a0094f8f21331a393a12a4a2fdd7a5]

fix weird preprocessing syntax, probably meant this


2011-01-02  Rene Engelhard  <rene@debian.org>  [2789699b06626b37e010a0ba1a4a0a0f387caba5]

Merge remote branch 'origin/libreoffice-3-3'


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [dba5ef1b8aaf04ff879e81c4df54e4d4be95a664]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [0e9f0b5aecd6557a514620568762dc6d477d80cf]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [507f6705b825c05ac08eb5396cec7a7b04d80f7b]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [57b0e8dc3319ea7ceac2db8ebbf2dfba49f94dca]

cppcheck: prefer prefix variant


2011-01-01  Joseph Powers  <jpowers27@cox.net>  [659475842406d948bb08a6af44a50b2af3e2b058]

Remove DECLARE_LIST( TargetList, String* )


2011-01-01  Joseph Powers  <jpowers27@cox.net>  [fc2990161c803ac82f15bb25ae6ab5e2c0d2302f]

Remove DECLARE_LIST( _SfxEventNamesList, SfxEventName* )


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [2705d571e822eb347ba1fdec0f2993888eefcd5b]

fix build error


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [723d963a2c202dda920f4940b54c7e900d4ec8d8]

cppcheck: this can be const


2010-12-28  os  <os@openoffice.org>  [e260e504e46126202cf86fcb608250ff92d712ee]

#i115915# paper size box needs valid selection


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [400ea527b31e5c4bd6817ba3b1f064b5924f5003]

dr77: rebase to DEV300m96


2010-12-27  Julien Nabet  <serval2412@yahoo.fr>  [ad4846a914ba00c4163626af0a4611b0a6ff64f9]

cppcheck prefix operator in components


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [e690b0a89629ab5c1ebccdf95d7501ccb24fe331]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [71097b8c2964bcbe380eaa05d5a0dcf6372b75a7]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [470794051cf11f5dfa279b2b90f4db1b90eacb46]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [dedfb5d6ee5adb1a6044976c19934cb32c3bcabd]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [d95b8ed94f2eb10260fd7ed56f7d469830df58cd]

cppcheck: can reduce the scope of these variables


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8314508b77ba1cb21f7fadad64bc00ed1d5c0251]

gridsort: re-factoring the column-resizing thingie, step 1 In the current implementation, this is rather complex, and hardly maintainable. Also, it all happens in TableControl_Impl and TableDataWindow, while in the original design, the InputHandler was intended to care for this kind of tasks (one class - one responsibility).


2010-12-23  David Tardon  <dtardon@redhat.com>  [81c12328d6d5ff65497d15eb6f7bb5313b7f389c]

suppress compiler warning


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c45c304c2da08eca9c600b9fb88d3892cd450b38]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-22  serval  <serval@ilapharm.com>  [236c46bc71edf973aa1f8c0c133fee39e5c88b82]

RTL_CONSTASCII_USTRINGPARAM


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [53a9a6c3bccb49bf1a71eaabcb9bcb4181fd6d19]

quieten this down a bit


2010-12-21  John LeMoyne Castle  <jlc@mail2lee.com>  [e4eb4d35379236db6d00382ebc3a9dd66e715938]

68bit currency enhancement


2010-12-21  Noel Power  <noel.power@novell.com>  [e1a9d50ddb32cb15d07bf9ae6275b0468d9f07d8]

revert  Merge remote branch origin/feature/currency-64bit


2010-12-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [9256c6a9879b23a24301d0c7c502e13aacd83973]

oooimprovement7: #i116158# catching exceptions around whole block


2010-12-21  Noel Power  <noel.power@novell.com>  [3e344241c94ac920fa1021ec3cbc1897917ee878]

Merge remote branch 'origin/feature/currency-64bit'


2010-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5ce6a2ff8d87baf740b91850698eb3d0f3eb8c72]

adding copyright owner to Croatian dictionary package


2010-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f60707e1a236177548f2351d4d84da35d144b45a]

adding copyright owner to Croatian dictionary package


2010-12-20  Hans-Joachim Lankenau  <hjs@openoffice.org>  [7a17f37ee62c3cd806fd3cff6e07e561dcd9f0f1]

#i10000# avoid warnings


2010-12-20  Hans-Joachim Lankenau  <hjs@openoffice.org>  [00da70e784a68f7bb42feb22a363254a04c62985]

#i10000# use sal_Int32 instead of size_t


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [99ea2c07b814880930c7e04c4e0a846865b715e6]

Merge commit 'libreoffice-3.3.0.2'


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [92af49f10a88ec1bf8aea1a5f17b8821e9d8abc7]

prefix prefix variant


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [21e5de234d8fba461fad8efcdc2a80854186c40d]

cppcheck: the scope of this variable can be reduced


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [b67926ba6bd659390b18351cf0795198ea7cdfd0]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-18  Caolán McNamara  <caolanm@redhat.com>  [1830edb5023447de28bff83e77ccbc30f43e794b]

cppcheck: the scope of this variable can be reduced


2010-12-17  Petr Mladek  <pmladek@suse.cz>  [5de9a4a1aef05c2510b4d9e966fb56743f6abb98]

fix langpack dependencies after move to helppack

draw, impress langapckages does not lonegr exist; they included
just help

help package is optional, so there should not be hard dependency

2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [50fb44b0b9c9a4603745e44b67b3221f6b71fc02]

CWS-TOOLING: integrate CWS native347


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [5bd9e50c884240183f0a7804a4d8ebf5410d1788]

CWS-TOOLING: integrate CWS fwk160


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [4c73de07a2e90007c49414cc2f88a046c0b34fab]

CWS-TOOLING: integrate CWS dv22


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [1622c437f205c375456d974955b16e47f949b488]

CWS-TOOLING: integrate CWS sb131


2010-12-17  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [ce29affc9206dbd532a4a994bc31dd214fea6a14]

oooimprovement7: #i116158# catching all uno exceptions when logrotating


2010-12-17  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [a6f1cf7b8cac44e64fd99c41202fd7bf876bcfd0]

oooimprovement7: #i116126# join logrotate thread upon terminate


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [fb35d627a7a0e319edbcbd5c6d89dc765ab794a8]

CWS-TOOLING: integrate CWS ause128


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [fc7b015c2571e16d674bc0adb1cdeb1c80281000]

CWS-TOOLING: integrate CWS mib19


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [4b9f3a8db720d5ab8d635e7ef626a7303964252f]

CWS-TOOLING: integrate CWS gnumake2


2010-12-17  Michael Stahl  <mst@openoffice.org>  [bf6fdfbdb5835fba08178ab19b9707a89a48d2c9]

sw34bf03: #i93908#: ODF: fix bogus style:num-suffix on bullet lists:  Svx{Bullet,Num}PickTabPage, SwAutoFormat, SwWrtShell::NumOrBulletOn():   clear suffix when bullet lists are created.  xmlnumi.cxx: ignore style:num-suffix written by defective OOo versions.


2010-12-16  Thomas Klausner  <wiz@NetBSD.org>  [1657522be2a1395a5c55ac2d4bdbd330d778a285]

Handle NetBSD like the other BSDs in more cases.


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [5c1a762777df596c9f2cc3f042dd876b0d0d059f]

cppcheck: can be const


2010-12-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8839c1092af1e83607ad2583f14fa1897a4eb9e4]

undoapi: merged DEV300m95


2010-12-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c873a850ea9c5c3ecde17af6a728e91a4f5fc86d]

put helppack packinfo in a separate file


2010-12-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [62ec5368d43ae47500921b43571ebede8ac0422e]

put helppack packinfo in a separate file


2010-12-15  Julien Nabet  <serval2412@yahoo.fr>  [3652a062811dcfb6562329cd6404c6629ef7e983]

RTL_CONSTASCII_USTRINGPARAM in extensions


2010-12-15  Thorsten Behrens  <tbehrens@novell.com>  [d2723c5dbddaa1045cef0b9f47cc33ff535a2844]

Fix dbgutil build


2010-12-14  Michael Meeks  <michael.meeks@novell.com>  [bb54d860e5c52823132fd2fc3c8d168228ec2ae1]

Use BrOffice branding on Windows keyed to locale/country-code not exename


2010-12-14  Michael Meeks  <michael.meeks@novell.com>  [70b0313d28bda1b3c594809eba15c7369a2484ec]

Use BrOffice branding on Windows keyed to locale/country-code not exename


2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [9de83dc28c0f024d9e0a16fa8ec99d8f2aadf74b]

remove non-existent URL button


2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [32c7056d87623c6fbd7cc134e4fd7c061ed7ce9c]

remove icon from invisible button


2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [8a30ca4fd5203cd4c2fca294fa7077fb931ebd15]

remove obsolete img_s in list


2010-12-13  Thomas Lange [tl]  <tl@openoffice.org>  [1719fcc5d3295d475fff5931af61e5f9d6124c3d]

cws tl84: merge with DEV300_m95


2010-12-12  Gert Faller  <gertfaller@aliceadsl.fr>  [a7e1112f7bc21ac58dd260dde7bd6a819903679e]

change of __READONLY_DATA define to const


2010-12-11  Gert Faller  <gertfaller@aliceadsl.fr>  [c5d5ff22dd7394ebfca5654da06839b771c91af4]

cleaning of __EXPORT define


2010-12-11  Joseph Powers  <jpowers27@cox.net>  [c85774853dd803fe52e751ea6fbf0c9241998323]

Remove DECLARE_LIST( IconChoicePageList, IconChoicePageData * )


2010-12-11  Joseph Powers  <jpowers27@cox.net>  [ed76ffd5644a42bbba2a18faaace9934d4c97311]

remove DECLARE_LIST( BreakPL, BreakPoint* )

Also simplify the prior patch & make sure the list is in the right order.

2010-12-11  Miklos Vajna  <vmiklos@frugalware.org>  [74eecabdd5fe23732aa5726f77c41da54eaa10a9]

BaseContainerControl::dispose: fix memory leak


2010-12-10  Joseph Powers  <jpowers27@cox.net>  [eb25b726257745ffbb7bf3f0cc451155f2902863]

Remove DECLARE_LIST( MacroList, SbMethod* ) & Cleanup previous patch


2010-12-10  Joseph Powers  <jpowers27@cox.net>  [f407951728fdd56ce019f7269bc0da69105d339b]

Remove DECLARE_LIST( StringList, String * )


2010-12-10  Joseph Powers  <jpowers27@cox.net>  [9c7a458b4d990a4f6f6b98517fc30e16a44aecc5]

Remove DECLARE_LIST( IMPL_Textlist, IMPL_TextlistItem* )


2010-12-11  Miklos Vajna  <vmiklos@frugalware.org>  [25ece88d3a4e559d27f05fbd86652f465c330071]

BaseContainerControl::removeControl: advance() is in the std namespace


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [e0f0a26da104269535e3b8b3be1f8856fd761492]

propogate exit code out to main


2010-12-10  Joseph Powers  <jpowers27@cox.net>  [8b67e0258013d2353ecb543dd6badc33549b6422]

Removed DECLARE_LIST( IMPL_ControlInfoList, IMPL_ControlInfo* )

Also fixed a memory leak...
	BaseContainerControl::impl_cleanMemory
	The old code would delete object[0] size() times :(

2010-12-09  Andy Holder  <andy.m.holder@googlemail.com>  [184eb5aed96063bb0c8145357b1e00ac7d117bac]

Change unnamespaced file.hxx macro


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [0306a22c81c999199935a783e409dcd022457cfb]

cppcheck: uninit member variables


2010-12-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [843c771098b5e59ec220e10aacd926bddeb61b2c]

mib19: rebase to DEV300m95


2010-12-08  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [d1bb82a592b7cefea467df49e94a09e6b7a19c24]

gnumake2: resync to DEV300_m95


2010-12-08  os  <os@openoffice.org>  [840a65db80c1c96bee612b1042f7b21bef8908de]

DEV300 m95 merged


2010-12-07  Kohei Yoshida  <kyoshida@novell.com>  [9a14ab77f2437812c48f7c221f18a4f3d2ed8271]

Put the ODMA dialog check box on its own row.

* Put the ODMA dialog check box on its own row, and push everything
  downward to make some room.

* Remove the Help Formatting controls to make more room. Without this
  the enable experimental check box would go outside the visible area
  on Mac.

This fixes fdo#32133.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-07  sb  <sb@openoffice.org>  [3099849c3c34cc6fccd2a645e824bc6eace355ac]

sb135: merged in DEV300_m95


2010-12-06  Kohei Yoshida  <kyoshida@novell.com>  [76debb82e9bf4c520febb86f5390052e4b8a545e]

Make the ODMA check box clickable again. (fdo#32132)


2010-12-06  Kohei Yoshida  <kyoshida@novell.com>  [a8fc429c6f0a19d7bf8e7aee2a9614498dd89c95]

Make 'Reset help agent' button clickable again. (fdo#32132)


2010-12-06  Noel Power  <noel.power@novell.com>  [f9ab635f3595452bbd248fe8480b5f925b88ac01]

John LeMoyne Castle's currency improvements


2010-12-06  Mikhail Voytenko  <mav@openoffice.org>  [dbc49695c01e2cefb50388cca8597da5353171bb]

fwk162: #i115743# directories withou mediatype should not have entries in manifest.xml


2010-12-06  Mikhail Voytenko  <mav@openoffice.org>  [324ab165af15c694e05691171b86e962fb3565a5]

fwk162: #i115789# write manifest:version in manifest:manifest element for ODF1.2 and later


2010-12-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [decce0a85cc991e994d8f9483d27c2c3dc01de96]

gridsort: give the UnoControl(Model/Base) classes a ctor taking a service factory, so we have access to the factory which created us, and don't need to resort to the process'es service factory


2010-12-06  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [2ee7476ada9a75e67c0fd5b99ebe8bc4fff4f617]

rebased to OOO330m17


2010-12-06  Michael Callahan  <callahan@xmission.com>  [55db13042971ded0333c93fb1e58b24641102007]

remove obsolete __FAR_DATA


2010-12-06  Caolán McNamara  <caolanm@redhat.com>  [e83930c5dbed08170ff43d26d5870f28f3482ad2]

fix this up


2010-12-05  Takeshi Abe  <tabe@fixedpoint.jp>  [6d15557d6e1c386d0269828c318313b106e10545]

Replace all occured, occurance etc.


2010-12-05  Caolán McNamara  <caolanm@redhat.com>  [3ba851798a2ab060a64a3e5b4974c5016e40f881]

cppcheck: the scope of this variable can be reduced


2010-12-03  Kenneth Venken  <kenneth.venken@gmail.com>  [a8b7484b3349aec30884bd05b8dd9a0daabcf052]

more Sal n elements


2010-12-03  Ivo Hinkelmann  <ihi@openoffice.org>  [e65508eddbb54f7e5cee2da8114bb97dd5ed57e2]

CWS-TOOLING: integrate CWS native349


2010-12-02  Tor Lillqvist  <tlillqvist@novell.com>  [30ecc12182664d475cd70b6dd3228d04302acbaf]

Revert one broken string initialisation change


2010-12-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f46d24b09eca8a01caacd80d3ca9fe27e1cb97c0]

Automated merge with ssh://hg.services.openoffice.org/cws/gridcontrol07


2010-12-01  Kohei Yoshida  <kyoshida@novell.com>  [117ea10a00ab0dad44c6968ddd5c04e2325d083d]

Fixed the sizes of Tips and Extended tips check boxes.

The Tips check box control was too wide and it was overlapping with
the Extended tips check box, which prevented it from being clickable.
(fdo#32028)

2010-12-01  Petr Mladek  <pmladek@suse.cz>  [5a392ae6dca41d9bd32eb874d32aee16c649649b]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-12-01  Mikhail Voytenko  <mav@openoffice.org>  [4f5f320dfe175079ba45f04555fecf66a54d71f3]

fwk160: #i59788# use standard InteractionHandler to store documents


2010-11-30  Ivo Hinkelmann  <ihi@openoffice.org>  [3a5e0d19b3b02cd865bb8194147aad929438f18a]

CWS-TOOLING: integrate CWS pl08


2010-11-30  Michael Meeks  <michael.meeks@novell.com>  [7f88095c37714f83261adb1992368bcf182813de]

first pass at BrOffice artwork branding


2010-11-30  Michael Meeks  <michael.meeks@novell.com>  [2b5db33874526d1a42f5d7f1fc945621d09dec33]

first pass at BrOffice artwork branding


2010-11-30  Kalman Szalai - KAMI  <kami911@gmail.com>  [5c39508219d79f84289f6e79ac72a618274da0ef]

Adds OxygenOffice extras as configurable optional

 Introduces:
 --enable-extra-gallery  - for additional galleries
 --enable-extra-template - for additional templates
 --enable-extra-sample   - for additional samples
 --enable-extra-font     - for additional fonts
 configure options.

2010-11-30  Kalman Szalai - KAMI  <kami911@gmail.com>  [df15008007ae9e70f0f069afe008811bb578d5de]

Adds OxygenOffice extras as configurable optional

 Introduces:
 --enable-extra-gallery  - for additional galleries
 --enable-extra-template - for additional templates
 --enable-extra-sample   - for additional samples
 --enable-extra-font     - for additional fonts
 configure options.

2010-11-29  Joseph Powers  <jpowers27@cox.net>  [87f6f02721468ee08408c9818c1ee36ec529b9e2]

White space cleanup


2010-11-30  Thorsten Behrens  <tbehrens@novell.com>  [6fad93e9b6c856c24befa88f17a30def9f304022]

Updated artwork for rc


2010-11-29  Gert Faller  <gertfaller@aliceadsl.fr>  [6a36010f7848a9649890b352411adc48653cea98]

RTL_CONSTASCII_USTRINGPARAM in components 7


2010-11-29  Gert Faller  <gertfaller@aliceadsl.fr>  [73393647bbac1757bf9cf2e8eead960cd3763d85]

RTL_CONSTASCII_USTRINGPARAM in components 6


2010-11-29  Gert Faller  <gertfaller@aliceadsl.fr>  [395cfb4a43c527323a707cb2565377db1a851aab]

RTL_CONSTASCII_USTRINGPARAM in components 5


2010-11-29  Gert Faller  <gertfaller@aliceadsl.fr>  [744f5a6bbd54ae34ac490bb811b67034d966292f]

RTL_CONSTASCII_USTRINGPARAM in components 4


2010-11-29  Hans-Joachim Lankenau  <hjs@openoffice.org>  [9b1b7dd38fbc5e4ec37ba6a4d89c327b8b2c75ac]

ause128: #i115689# guard additional dependencies of ZIPnTARGETN


2010-11-29  J. Graeme Lingard  <jgraeme+git@gmail.com>  [e6b40295f764503adef776a74e150e24af6c6d82]

Remove empty comments


2010-11-28  J. Graeme Lingard  <jgraeme+git@gmail.com>  [2957149ba01a6484b2d6df7cee26154f5590e6d0]

Remove dated comments


2010-11-28  Gert Faller  <gertfaller@aliceadsl.fr>  [3c3ebcf0d0d9e91f4b94197b795df6b2465cd1f1]

RTL_CONSTASCII_USTRINGPARAM in components 3


2010-11-28  Caolán McNamara  <caolanm@redhat.com>  [db67aa335d566ff014ebd7d8ae444f01e0974bd0]

cppcheck: use prefix variant


2010-11-28  Caolán McNamara  <caolanm@redhat.com>  [49979ae7a13e3809fbae26f516e707294e4d3d5c]

cppcheck: scope of variable can be reduced


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [d735aaedf93e686f9ee6bacf8709cabcd34c8db6]

cppcheck: use prefix variants


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [bcdaee3492ff5449ca567abf001d4df4be012a2d]

Resolves: rhbz#657628# divide by zero (cherry picked from commit cde18c8978d2c680dbee88159246024960cdc705)


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [64e3a1bcb53d7080f31692952ec99b345cf690d3]

Resolves: rhbz#657628# divide by zero


2010-11-27  Gert Faller  <gertfaller@aliceadsl.fr>  [5d57e7bc80ec0624a1b234efccb2ceacaca31b95]

RTL_CONSTASCII_USTRINGPARAM in components 2 (build problem in sal ?)


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [1f8a04654177f715116e84ec481acc083831febb]

cppcheck: use prefix form


2010-11-27  Gert Faller  <gertfaller@aliceadsl.fr>  [48e0a0c286d9264e79573f7417ac268ae629ef1d]

RTL_CONSTASCII_USTRINGPARAM in components 1


2010-11-26  Caolán McNamara  <caolanm@redhat.com>  [5a64624a0af3a2a4f437f08ebe41a215d70dee4b]

cppcheck: use prefix variant


2010-11-26  Caolán McNamara  <caolanm@redhat.com>  [f503f3afb0b4f02700b1be0618c4c584a5857c7e]

cppcheck: use prefix variant


2010-11-26  Rene Engelhard  <rene@debian.org>  [8c8e5b2dea7b298f88e4fb901785093db57867e3]

Merge branch 'libreoffice-3-3'


2010-11-26  Mathias Bauer  <mba@openoffice.org>  [6bb8eb19bdf5e1d633bf9d9b5fe8190c36649237]

CWS gnumake2: resync to m94


2010-11-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9fa15256f8104074fdbefbd7ae4e4d77aed85a0c]

undoapi: removed unused TextUndo IDs, for purpose of simplification


2010-11-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [309129495fad0b4c1ba056dfe23f36dcf7ff8dcc]

dba34b: added missing import


2010-11-26  Robert Roth  <robert.roth.off@gmail.com>  [ee808ae42dd80d298ca9b3c1a6fde647f83dd55a]

Some more dead code removed from the extensions.


2010-11-25  Thorsten Behrens  <tbehrens@novell.com>  [d707ff8a7e63b1821b65b0ff8681021a47419658]

Put show credits entry into all app ui configs


2010-11-25  Jan Holesovsky  <kendy@suse.cz>  [c7a8885a72be237bd479266cca02bb201719805f]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/components


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [9b4ade0c0b740726ff5ede70021b0e68700327c5]

Resolves: rhbz#656191 Catch bad alloc and convert to ZipIOException (cherry picked from commit 047a986e3af855cdb4c27274da5a10fb5da37fb6)


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [047a986e3af855cdb4c27274da5a10fb5da37fb6]

Resolves: rhbz#656191 Catch bad alloc and convert to ZipIOException


2010-11-25  Michael Stahl  <mst@openoffice.org>  [62824fb2abbd013cb4e71b46524b7ba24312657c]

udoapi: merge sw refactoring with undoapi stuff


2010-11-25  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [21489f73c5d84c8d153e7367a3b4adb2699199f2]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-11-25  Jan Holesovsky  <kendy@suse.cz>  [c6c7f01890c729d7ad2f773d285850240f4ba0f0]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [7423374fb7ce124ccf97b02015c8981ff4cc580a]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [142677027d1c4c86f5083fd87f03ba10c05ae1d7]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [8c81c961ba796fc0e15d3dc17661fb3949c633e3]

cppcheck: method can be const


2010-11-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [ad00b720ee38cad16442b2224f1ebcbd9e4b88c9]

merge with DEV300_m94


2010-11-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [cb01508cabfbe92ffee1017b75deb9aae5decf21]

vcl117: header cleanup


2010-11-24  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [ab4317cca7bd6a6a497a2a146339d8d9acc55892]

dba34b: #i114617# test_for_null: wrong child asked for


2010-11-24  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [0b97861a52e66bd3d72dff49ee41f1859eb46afb]

dba34b: make often used vars static


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [6402c137e28735ace0fc9fe46e16b9f8d4b7f709]

xmllint: convert entity name to unicode index


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [a04814e45e3c074cadaf480e216817e8195f08c3]

cppcheck: Redundant null pointer check


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [2a12b730800cf59978c9222b4498ded42faea911]

cppcheck: Redundant null pointer check


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [eefa4af6cd549ab18547ebd07e660818bdf42356]

cppcheck: Redundant null pointer check


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [b9207a4215e53e81a8ba95b19e1eec336055e714]

cppcheck: Redundant null pointer check


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [a446987352a7b1c952d7425f5930e6c24fd7291a]

cppcheck: Redundant null pointer check


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [2a8d5bddcf6258885ddf3f077079929fcc5ae45c]

cppcheck: Redundant null pointer dereference


2010-11-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [da692506317f645d1380ad37b2cbd913be9cbdfe]

dba34b: #i109534# don't let the query wizard display queries to select from, if the database does not support queries in queries


2010-11-24  Julien Nabet  <serval@ilapharm.com>  [d255df37862a3b72029f68b8f3b4b342caecb071]

RTL patch


2010-11-24  Julien Nabet  <serval@ilapharm.com>  [2448cfe1de708e82c7b33a454763ddf596c7b6d2]

RTL patch for cui


2010-11-23  Caolán McNamara  <caolanm@redhat.com>  [a737f4b13f0a9e5568c46ebcd2783ef536bd9cf1]

cppcheck: The scope of the variable nTmpSz can be reduced


2010-11-23  Caolán McNamara  <caolanm@redhat.com>  [3f47da02667d293a571b78afa8076642debbf430]

cppcheck: dstFile' is never used


2010-11-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1d8fabf58fe282b393d8746bac55ef65a7dbd0ff]

dba34b: #i115250# DBTypeConversion::getValue: do not use the target format to determine how to obtain the column value, instead, use the column type


2010-11-23  Petr Mladek  <pmladek@suse.cz>  [94cd4c4eda4116b048fbe11c5dc21d908fbcc0e1]

show the control geometric propertis correctly (bnc#610921)

fix by Noel

2010-11-23  Petr Mladek  <pmladek@suse.cz>  [0fc8da254b882907c252478f6ad0b2bee6a968af]

show the control geometric propertis correctly (bnc#610921)

fix by Noel

2010-11-23  Petr Mladek  <pmladek@suse.cz>  [b9f13a55999290a3cfb3152a2d55919f582c12ce]

show the really used default icon theme in options (bnc#603169)

check also the icon theme prefered by the native widget plugin

backport from ooo-build-3-2-1

2010-11-23  Petr Mladek  <pmladek@suse.cz>  [26767cad1deb335b31bb21f9f8e4e1cd86701e7b]

show the really used default icon theme in options (bnc#603169)

check also the icon theme prefered by the native widget plugin

backport from ooo-build-3-2-1

2010-11-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [defa0dec1ddc1e1f35c9dbd89c63f32e496c4972]

vcl117: removed obsolete header


2010-11-22  Joseph Powers  <jpowers27@cox.net>  [7a518205104fcb6e4a6d7642bae6efe3d1812ca2]

Remove the last of the HC icons


2010-11-22  Mikhail Voytenko  <mav@openoffice.org>  [af508f26fe36fbc18874c09ce1c4bbca19877938]

fwk160: #i106223# replace pkg: protocol with zip: if necessary


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b745287642ab21e1de50a58baa93924367bf690f]

dba34b: merge after pulling DEV300.m94


2010-11-22  Michael Meeks  <michael.meeks@novell.com>  [df464b48863fe2e0229a0f4bf1076405ff3cb204]

cleanup floating comments


2010-11-22  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [3569d198e4f37041a2e83ff6897accac2b96a374]

further removing of dead code

Hello,
here in components some other pieces to delete. Again some small parts
in case  I was to generous in deleting.

regards

>From 1535d5e774e7d1ef08696344be8fcdfc6828f2c3 Mon Sep 17 00:00:00 2001
From: pjacquod <pjacquod@alumni.ethz.ch>
Date: Sun, 21 Nov 2010 12:10:15 +0100
Subject: [PATCH 1/5] remove dead code components workben

2010-11-22  Mikhail Voytenko  <mav@openoffice.org>  [2cce7fa809717564b0caf193a187073f90a2ad48]

fwk160: #i59788# use standard InteractionHandler to store documents


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b23fcf48f0abd63d88dccb1d2a8082a2abf34d4c]

undoapi: merge after pulling DEV300.m94


2010-11-21  Norbert Thiebaud  <nthiebaud@gmail.com>  [af36bdde9d2383550559c7cee7f7dea96db19866]

micro-optimization suggested by cppcheck


2010-11-21  Norbert Thiebaud  <nthiebaud@gmail.com>  [f56ab3b477c5aee059f38655b6d47a24e2c01611]

adjust .gitignore for MacOS


2010-11-20  Andras Timar  <timar@fsf.hu>  [9f7852a1b7182060f77210d70a6fd46f7a0d949c]

fixing overlapping controls


2010-11-20  Andras Timar  <timar@fsf.hu>  [f68ec336ba19a6278438720714415d0e0d20d025]

fixing overlapping controls


2010-11-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [4b6920317d5bfe12aae2fa3800a772cecece32a0]

gnumake2: merging minibranches


2010-11-19  Hans-Joachim Lankenau  <hjs@openoffice.org>  [c4f994ee95134e0bf7a49b329f12fdb0bb1b4800]

gnumake2: undo toolpanel header move


2010-11-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [20d87e637aa972fe23adb41055d275b545c54ce7]

gnumake2: merging minibranches


2010-11-19  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2c32541287a5e8ada42b7ea61159bcaf7b9f74dd]

dba34b: #i115430# properly check for existence of secondary browse button


2010-11-19  Hans-Joachim Lankenau  <hjs@openoffice.org>  [5869e1c95932a299727d5ade87e03da762423b22]

gnumake2: move svtools toolpanel header


2010-11-19  sb  <sb@openoffice.org>  [8a62044c7498dfb6418d9fcfe8f5a38fc08ae112]

sb131: merged in re/DEV300_next towards DEV300_m94


2010-11-19  Mikhail Voytenko  <mav@openoffice.org>  [6b1086c0ee17350a28dfb378bb95b1951893fd31]

fwk160: #i109943# fix warnings, that could cause problems


2010-11-19  Thomas Lange [tl]  <tl@openoffice.org>  [b216d5cf24e737e60d1184aaac0f5aabbeffb316]

cws tl84: merge with DEV300_m93


2010-11-18  Caolán McNamara  <caolanm@redhat.com>  [c88534f8eec9416e2467f41caa5f05622eef19ed]

fix 64 bit warnings in --enable-debug mode


2010-11-18  Ingo Schmidt  <is@openoffice.org>  [6f3cc3e029a0adad6332c39d1ae9f5eb11e57fc2]

native349 #i115652# language independent Wizard bitmaps


2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [b1b971b45ccb01bcf83f69db8680eadf2da3fe52]

RTL_CONSTASCII_USTRINGPARAM in components - xmlsecurity- helpd

remove rtl::oustring::createfromascii("foo") and code clean up:
suppression of commented out code

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [c7ef8601fb8997d6fc0d138482bf2eb6ffb2265a]

RTL_CONSTASCII_USTRINGPARAM components - zipapi

components/package/source/zipapi should be OK now

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [60b78df2c090dd25d63c2e0de23e8aa1eb55bb13]

RTL_CONSTASCII_USTRINGPARAM components - zippackage

components/package/source/zippackage should be OK now

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [738d0c50f8ed0c8b58ab92efd79093608c8b91e5]

RTL_CONSTASCII_USTRINGPARAM in components - xstor

components/package/source/xstor should be OK now

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [323dd4a9f75c58f5521c96a3d00847004f7ca58e]

RTL_CONSTASCII_USTRINGPARAM in components misc

components/forms/source/misc should be OK now

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [ecb9a0e115cffd8511823365cf77a8afefc21a33]

RTL_CONSTASCII_USTRINGPARAM components in runtime

components/forms/source/runtime should be OK now

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [8ee70c68fb2b876cfc639ecc3da308f16f9da0c3]

RTL_CONSTASCII_USTRINGPARAM components xpathlib

components/forms/source/xforms/xpathlib should now be OK

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [d42b3f11d50d754468043ecda8c928168f712f93]

RTL_CONSTASCII_USTRINGPARAM in components .. submission

components/forms/source/xforms/submission should be OK now

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [1f1ab222bdb2996f835cd1115afc5b2c7802943b]

RTL_CONSTASCII_USTRINGPARAM in components - inc

components/forms/source/inc should be OK now

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [b0526ecb335aa325175ef0c5a5fd3e4e17139f69]

RTL_CONSTASCII_USTRINGPARAM in components - forms

the whole directory components/forms/source/component
should now be OK

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [34578654be1da9e70d34c7420b51ef30a847444a]

RTL_CONSTASCII_USTRINGPARAM in components cui options

this time options should be cleared

2010-11-17  pjacquod  <pjacquod@alumni.ethz.ch>  [654f9bef119c6e589c008a6b8ab208854479aad3]

RTL_CONSTASCII_USTRINGPARAM in components/cui/...option


2010-11-17  Caolán McNamara  <caolanm@redhat.com>  [6ccc120909cba4f9c0be0eb7d5703e04605f881b]

remove archaic SGI header guards


2010-11-17  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [a85e7c6b61ee55affb7f38829340d82cb10e80cf]

Various code cleanup and translations

Translate some German comments, do some minor code cleanup and
simplify one function a bit.

2010-11-17  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [868e8f13a0051dddb26ec8cffe81bbae40b6e001]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-11-16  Joseph Powers  <jpowers27@cox.net>  [500024ad95030f773931e53518198a6be8afd416]

HC Cleanup - components


2010-11-16  Caolán McNamara  <caolanm@redhat.com>  [9ccb10ffefe7bd52bc269a133929a1c75b9dd6c9]

get this to build again


2010-11-16  Ingo Schmidt  <is@openoffice.org>  [ae58757918e74e4a1de707f06c9ebb550d408830]

native347 #i115537# mac langpack offers no longer mounted volumes


2010-11-16  Ingo Schmidt  <is@openoffice.org>  [a6f8bbdda0450552d8b7042b331533789fc9283f]

native347 #163968# Java Installer with products in different versions


2010-11-16  Caolán McNamara  <caolanm@redhat.com>  [4dc069c92fc7620aa172da099490eafeadf8673a]

get this building again


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [d370961ff6547cb061193f7c09c24492fce8153f]

More _HC removal in CUI. cui builds now again


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [3f693695cd5d24be637ebb311af07d53d1fb4004]

Remove more _HC references


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [3ebe15b7e85d3e4717d3905325341f8c2ffbe3c2]

Remove _HC usage in cui


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [f4e05437481c79b98fa7b376e833d661c7759e1d]

Remove High contrast from bibliography extension


2010-11-16  Jan Holesovsky  <kendy@suse.cz>  [aad84abd0681c053f919fc5e1c7eb04ad5af6fa2]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-15  Carsten Driesner  <cd@openoffice.org>  [aa981c1cf4bb055111e7869f681f5e53bfbb6a71]

Rebase to DEV300m93


2010-11-15  sb  <sb@openoffice.org>  [a7214d1f2fd9d58668992dd4045bd6499bd45efb]

sb135: merged in DEV300_m93


2010-11-15  Thomas Lange [tl]  <tl@openoffice.org>  [e0b095e1cb2ac16fb5b9ce9c98152f90d0816a81]

cws tl84: #ii71192# paper size A6 adde to Format/Page


2010-11-15  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [0788a276ac4a3fd97182cb6d753a5e6b5f2767a4]

RTL_CONSTASCII_USTRINGPARAM cleaing in components - dialogs

/home/pjacquod/LibO_dev/build/clone/components/cui/source/dialogs
and some dead code cleaned up

2010-11-15  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [415ba877402ea99f7136ff77cd44c1b8a9699a36]

RTL_CONSTASCII_USTRINGPARAM in components

cleaning in components/cui/source/customize

2010-11-14  Caolán McNamara  <caolanm@redhat.com>  [63bcae3a051ee3cbeb7d5187c903cebc80280782]

Misuse of RTL_CONSTASCII_STRINGPARAM instead of RTL_CONSTASCII_USTRINGPARAM


2010-11-13  Caolán McNamara  <caolanm@redhat.com>  [649ba448497d9f2752807b2694f95ba60741eb72]

remove hicontrast stuff


2010-11-13  David Tardon  <dtardon@redhat.com>  [a117ee0f222a74dcbd8d54bc9f4de9e029a16b4d]

remove no-effect stmt


2010-11-13  David Tardon  <dtardon@redhat.com>  [94e7cf5509e00e4f5ae0e554a009e6a5a67ea0f5]

m_pDbgWin exists only if OSL_DEBUG_LEVEL > 1


2010-11-13  Joseph Powers  <jpowers27@cox.net>  [a856eb89984b2fabe7c7242e9069b7008860ebec]

Purged BmpColorMode from libs-gui - components


2010-11-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ba63fa12edcf6ad30f86f9d16a61806631b08cf3]

Add "ti" without sublang into the encoding list


2010-11-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f0fcaa9c29adfe24bd048e61f350d62eb88d75e0]

Add "ti" without sublang into the encoding list


2010-11-12  J. Graeme Lingard  <jgraeme+git@gmail.com>  [82f8bfca539f59cf2178b790de8712a0388419dd]

Remove empty Beschreibung (Description) comments


2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [d811e1f144c66248ed7d9c59f129a7ae608eb2eb]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/components


2010-11-12  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [f68e925d20bb326789e940e6edb445a05652d693]

Remove two more _HC instances


2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [2ed0afa072c780d073dd7037a6055ba11ae27399]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-12  Caolán McNamara  <caolanm@redhat.com>  [90531f25698e2b861bf761607eaf0798d3935a0d]

WaE, fix member init order


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [352052e41e42815345eabc87c68643b6de3fbb1b]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-11  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [0758c9ee56539634dbb1f15aad33567b8ee0ef78]

Removal of Hi-contrast image definitions

These definitions are only ever referenced in one place, so they can
safely be removed. Found this by removing the hi-contrast icons and
trying to compile.

2010-11-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [d5fba9cbdbe9618c6da87420b0db3d54e5d7729a]

rebase to DEV300_m92


2010-11-10  Joseph Powers  <jpowers27@cox.net>  [1c9cb65c30b77ce3471db9dd73a8ab2fd7f12763]

Bitmap Tree Cleanup - components

Removed all references to HIGHCONTRAST mode from svtools classes:
	SvImpLBox
	SvTreeListBox

The reset is just fall out.

2010-11-10  Xiaofei Zhang  <Zhangxiaofei@openoffice.org>  [49f40e69f5a85acee24c06cff88593c8c36ef447]

 removetooltypes01: #i112600# resync to DEV300_m92; remove tooltypes from xmloff, linguistic, vcl, svtools, accessibility, fpicker, uui and framework


2010-11-09  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [e19d41454b12b5ae342a79d407774cae9c3e3632]

vcl117: #i115493# check index for validity


2010-11-09  Vladimir Glazunov  <vg@openoffice.org>  [77fea6c32233915a1852b53f799233e92858cc63]

CWS-TOOLING: integrate CWS fwk149


2010-11-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [d1471652efc9aa3caa6391ed09148e9bc54d7809]

dr77: rebase to DEV300m92


2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [2962b50c700f0964399312895f21f8d92c73dd6d]

EasyHack: createAsciiFrom -> RTL_CONST...


2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [a976b82f57dd3f7c60a2470f2340d546a1ce7d6c]

Remove comment blocks, and other unnecessaries.


2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [ae2b1db421544c95532d73e5c1b5f6a9d2b3be29]

Comment block removal, and other minor comments


2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [715896ee65daad45d2129ab877b8946dc7a746b5]

Random tab replacement with space characters


2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [ac173b86574e9b14a0ac309ea5f642efd5efbeb4]

EOL whitespace removal

Don't clutter further commits with unimportant whitespace.

2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [97b52d261792f52ca53472c6a08c0f256eafb84a]

Remove commented out #ifdef/#endif


2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [8af3482dc8197f32260d341052dc48b04c3200b2]

EOL whitespace removal

Don't clutter other patches with silly whitespace changes.

2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [6cc8c6280a066f964e9059e4994761237464b93e]

Large swathes of dead code removed


2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [706f8e8b7d3f533f60e21072b682e16837d69375]

remove commented out code


2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [995cfe3a076fb04b06884c646ea46a6d618866f8]

use RTL_CONSTASCII_USTRINGPARAM


2010-11-08  Caolán McNamara  <caolanm@redhat.com>  [6fffe9e2adf9eae09471788e56f8e60ab7a906e0]

whitespace foo


2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [a4dc5f2e12153626849174cdfa685b694da2c04d]

use RTL_CONSTASCII_USTRINGPARAM


2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [63444dad0741c92d758889a07c347eee06edeb21]

Remove unnecessary comment lines


2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [4e77f5272cdbd392af3d1d38cd51ebc6ce3a2758]

EOL whitespace removal

To not clutter other patches.

2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [cf73fbedea9d9558c1bff08890d6dc941f4585d7]

use RTL_CONSTASCII_USTRINGPARAM


2010-11-08  Vladimir Glazunov  <vg@openoffice.org>  [6852907c749c74b533b6c3b0ddd4380c7f7836ee]

CWS-TOOLING: integrate CWS sb132


2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [d038d14816f05bd07cac82fa2c7640932553ee40]

EasyHack: RTL macro conversion (createFromAscii)


2010-11-08  Kevin Hunter  <hunteke@earlham.edu>  [5a014af1f9302534502b1d46c9f1bd9055a76314]

EasyHack: createFromAscii -> RTL_CONST... macro


2010-11-08  Vladimir Glazunov  <vg@openoffice.org>  [6ddcd92e8abc0bbf4672810f5d90c1c8292e3b4e]

CWS-TOOLING: integrate CWS dba34a


2010-11-08  Robert Nagy  <robert@openbsd.org>  [3edc480907b0d9f55156cdbe0917933f9e032fdb]

add OPENBSD ifdefs where needed


2010-11-08  Thomas Klausner  <wiz@NetBSD.org>  [b0c197cca1c93dee9ed9b7131c556c473efac249]

Improve f3d4826fe53173d0f50d53b11cd2b4402b2a286d: avoid duplicate numbers.


2010-11-08  Robert Nagy  <robert@openbsd.org>  [dfd0c5d162adfc92ff4951cef50821e36ec1b693]

Do not use -ldl on OpenBSD and tidy up the .IF block a bit


2010-11-08  Robert Nagy  <robert@openbsd.org>  [065da7e6ed5ca943613d3ab3dfcebb4cf3188cbe]

add OpenBSD platforms


2010-11-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [48805b7b59780096a7b8de29934593b67d41e03b]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2010-11-08  Alexander O. Anisimov  <alenyashka@gmail.com>  [27130d37bb35834aef0782c078530e1da222c4ea]

further date-comment cleanup

Signed-off-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>

2010-11-08  Alexander O. Anisimov  <alenyashka@gmail.com>  [5c2cb70711fe1b2d1f316407eb64ab674fb6cfc9]

remove useless comments (empty/just specifying dates) & dead code (//CHINA001)

Signed-off-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>

2010-11-06  Robert Nagy  <robert@openbsd.org>  [4a2e3f7e4f0059084ef335a0c0927aab891d264a]

add OPENBSD ifdefs where needed


2010-11-06  David Tardon  <dtardon@redhat.com>  [4ac90ea256a4c8d645695f181efc63f596197b26]

transform script providers into extensions


2010-11-06  Thomas Klausner  <wiz@NetBSD.org>  [f98bb36a62554a55df96280fd9104c464950f2b8]

Improve f3d4826fe53173d0f50d53b11cd2b4402b2a286d: avoid duplicate numbers.


2010-11-06  Thomas Klausner  <wiz@NetBSD.org>  [9c1cce6f1b34f4b4a2359975d3fd94df8c09dc75]

If passed in MOZ_NSS_LIBS, use them.


2010-11-05  Thorsten Behrens  <tbehrens@novell.com>  [c462380ca120d400498629ff28ec302bf7fd4b42]

Use org.libreoffice.script for Mac preferences

This fixes fdo#30568
(cherry picked from commit 78a103ca881d0175d0a3a1bbca2df64cbe63ea77)

2010-11-05  Noel Power  <noel.power@novell.com>  [694d57bb816b7b783de027d3cc1ee632f7c80c61]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/components


2010-11-05  Robert Nagy  <robert@openbsd.org>  [f3a9e0d65ad6e813ebc55b63dc8d32fbad0aa242]

Do not use -ldl on OpenBSD and tidy up the .IF block a bit


2010-11-05  Thorsten Behrens  <tbehrens@novell.com>  [9461ad4a3d6e01c23445bb21ac04626071ae8423]

Use org.libreoffice.script for Mac preferences

This fixes fdo#30568

2010-11-05  Robert Nagy  <robert@openbsd.org>  [f3d4826fe53173d0f50d53b11cd2b4402b2a286d]

add OpenBSD platforms


2010-11-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7802404afbfb6fe277166d69013976154a8b000c]

undoapi: unxlngi6 WaE


2010-11-04  Niko Rönkkö  <ronkko@iki.fi>  [856ca6840478cc279777d1f26b03f3280f6697da]

Elide all "SO:" and "OOo:" build.lst prefixes


2010-11-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [342cf84940c4b27abb438052ccee5a0784744db9]

merge with DEV300_m92


2010-11-04  Mikhail Voytenko  <mav@openoffice.org>  [d725fb4c4071ff95622540290f924b07f57c8ce1]

pl08: #163778# use EncryptionData from MediaDescriptor


2010-11-04  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [9f4895bfb4521fa24d338519cd308156ddb8d0e3]

dba34b: #i110536# remove extra order by for grouping fields


2010-11-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8c15cb3471a7d410a116ca3acba2b119997bef14]

undoapi: attempt to fix broken Undo contexts after executing a script


2010-11-04  julien  <serval2412@yahoo.fr>  [3aa60e9d6f7cd3874804d8c2ccc465cfcb9db3b1]

Use SAL_N_ELEMENTS in clone/components directory


2010-11-04  sb  <sb@openoffice.org>  [0186826c7a785a608b0e8b76ddb117802fb4cf78]

sb135: merged in DEV300_m92


2010-11-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [cd3debf50bea3f1dd0fe65cd676ee748d4722b30]

undoapi: GCC WaE


2010-11-03  Petr Mladek  <pmladek@suse.cz>  [4f946bd0de4d8de80dab1dcc48ee6c786d40c81b]

Update BROffice branding for Windows and MAC installer (fdo#31089)


2010-11-03  Thorsten Behrens  <tbehrens@novell.com>  [5f4c40d73fb2bd7655c722d61798bd8350b3a754]

Changing a few more strings to read "LibreOffice" (cherry picked from commit da9762a0da84a061fd2adadfdb51295357d5e270)


2010-11-03  Thorsten Behrens  <tbehrens@novell.com>  [da9762a0da84a061fd2adadfdb51295357d5e270]

Changing a few more strings to read "LibreOffice"


2010-11-02  Petr Mladek  <pmladek@suse.cz>  [0315d708a1efa952063a6f3cdfc9f73a18ad9bf0]

Update BROffice branding for Windows installer (fdo#31089)


2010-11-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [65666ef4630f29b2f6b64a04a28d4fefce2e737a]

undoapi: finally removed Enter/LeaveBasicAction


2010-11-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [52f447dfb678bfe88d5cfd89e183f80f0e9a8c8f]

undoapi: removed SID_PLAYMACRO and SfxApplication::PlayMacro_Impl - this was dead code. (Also removed some other dead slot ID definitions which were unused, and which jumped upon me while removing SID_PLAYMACRO)


2010-11-02  eXine  <exine@jun.pl>  [c7a9ecc816d284eb2088dc86fa2c7355137b514b]

cui: more fixes of dead code, bogus and German


2010-11-02  Noel Power  <noel.power@novell.com>  [1d0e4a66596a9ae6e01bb0d17d5efc3d40888ad4]

initial import of latest cws container_controls


2010-11-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [76a546ac68c19f06001853b5628622c7318b6937]

vcl117: #i115056# change direct help texts to help ids to allow for proper help content


2010-11-02  Marcin eXine M  <exine@jun.pl>  [f4ec11f0e79e5c618850925d1f17e0f8396ef10c]

removed unnecessary comments and whitespaces, dead code


2010-11-02  Thomas Klausner  <wiz@NetBSD.org>  [cd74ca246ec77eeeb875ac0bc074d7aa0acdc296]

Add some more files to EXCEPTIONSFILES, needed on at least NetBSD.


2010-11-01  Norbert Thiebaud  <nthiebaud@gmail.com>  [a2aa667c60e05137867cffb68da715c8ae01aa0c]

use SolarMutexGuard to take a guard on the solar mutex.


2010-11-01  Vladimir Glazunov  <vg@openoffice.org>  [037bbc507e8035c73dc0d406776cbebae05994ed]

CWS-TOOLING: integrate CWS native334


2010-11-01  Vladimir Glazunov  <vg@openoffice.org>  [7912d548bc49af4388f96b9eea7ebb18328f5957]

CWS-TOOLING: integrate CWS svarray


2010-11-01  Caolán McNamara  <caolanm@redhat.com>  [9d9e34a0c0704388b718619eea0c74e533e178d0]

rhbz#648475# crash in scanner dialog, reset link in dtor


2010-11-01  Vladimir Glazunov  <vg@openoffice.org>  [3859a11c85735695f434f9caa9e5c0c21c0c7ec7]

#i10000# changes from OOO330 m13


2010-11-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [132e460faea683642a5cf9f2288d84cc9f54044a]

undoapi: moved the last remaining method of SfxMacroConfig (::Call) into the SfxApplication, and got rid of the class completely


2010-11-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [892dcffeabb0b5d945e39aef9b589472b65bfc43]

undoapi: get rid of the usage of SfxMacroConfig::GetSlotId: the only thing done here is creating an SfxMacroInfo instance, whose only usage is the macro name (nowadays: script name) it carries. This can be done cheaper, by just carrying the string. The slot ID was never actually used.


2010-11-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [099a901c5f3181fba5ed73ba3cca4b4500fecf89]

undoapi: removed unused SFX_CFGGROUP_* items


2010-11-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [33fc6e2303179f02a76af6a14bba49563a0f6952]

undoapi: removed the remaints of script type selection - this code is dead for *ages*


2010-11-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [20e7a021398ccd713ceb3f79d169e7b4ba788794]

undoapi: removed SfxApplication::IsInBasicCall It checked a counter for being != 0 which, effectively, was set to 1 at application startup, and never reset to 0 (though incremented and decremented by calls to Enter/LeaveBasicCall). So, IsInBasicCall was meaningless. Consequently, Enter/LeaveBasicCall collapse to empty operations, not doing anything anymore. Will (hopefully) remove those, too, but need them for the moment to track and judge, guess, basic calls ...


2010-11-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [edfac697bca7fde4b2b49e20d0a4d4c70b8ec8d4]

undoapi: removed the semi-dead ScriptDisplaySettings config settings (and their only client)


2010-11-01  Kalman Szalai - KAMI  <kami911@gmail.com>  [e81a71eaebcba04aeefd3b084cdd93b0960e2fd2]

Save 1MB on wizards per language

Bitmaps are packaged as language dependent files however, no
language dependency at all in bitmaps. This patch only pack one instance
so we can save 1MB diskspace for every language in multi lang installer.

2010-11-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [628e541b303e06a97104e3199ebb471779014acb]

dba34a: #i114403# when delivering our text (getText, plus notifications), and we're a filter list box created for a list box control, translate between display strings and values. (Filter list boxes (*not* combo boxes!) still messed up. This needs a follow-up issue.)


2010-11-01  Dirk Voelzke  <dv@openoffice.org>  [c10eee2c1bae3d12b0410d4430c9986003427f35]

dv22: merge with DEV300_m91


2010-11-01  Joseph Powers  <jpowers27@cox.net>  [8b982eb5a738ec431128fd6da906e9343e9a6b24]

Macro Cleanup in UNO land.


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [f965c94f564a8756e8fb9f462a5af77e2c05e2ed]

Use RTL_CONSTASCII_USTRINGPARAM macro


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [a534643c95475c096f233f3865d608aa25f2dd96]

Use RTL_CONSTASCII_USTRINGPARAM macro


2010-10-31  Kalman Szalai - KAMI  <kami911@gmail.com>  [b5b672a51cdb5a38656cb674336dfeb9189b818f]

Adding Barcode extension


2010-10-31  Kalman Szalai - KAMI  <kami911@gmail.com>  [78e529c4cfd37b8e0c575b8aa3e6eb7d620cfb3d]

Adding Validator extension


2010-10-30  Kalman Szalai - KAMI  <kami911@gmail.com>  [6026b4b0e222f9e3082aeddab22f52a86c07b174]

Adding Diagram extension

Diagram is an OpenOffice.org Draw and Impress extension that creates your favorite diagrams with few clicks.
http://wiki.services.openoffice.org/wiki/Diagram_Extension

2010-10-29  Mathias Bauer  <mba@openoffice.org>  [20213c783181808fe85b6bbef34d56c8fa524e5c]

CWS gnumake2: resolve conflicts and make sources buildable on Linux


2010-10-29  sb  <sb@openoffice.org>  [ea2d96b37b30cf16a716c67d59c019461ede41e2]

sb135: merged in CWS sb131


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4584a0ed11503af9d6a3575f1e7455a7f9d25fb2]

merge after pulling DEV300.m91


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [17316a5ec7157505b7ce91badeee7011ea923b25]

merge after pulling DEV300.m91


2010-10-29  sb  <sb@openoffice.org>  [b29345ab88c262bbfe6f57ba5efdf9758c6856ef]

sb132: merged in DEV300_m91


2010-10-28  Mathias Bauer  <mba@openoffice.org>  [df88e41a572b1c67877cf96b5cbb3b4a792d5e16]

CWS gnumake: resync to m91; conflicts unresolved


2010-10-28  Caolán McNamara  <caolanm@redhat.com>  [e1576214241a561a545d3b55933ad72a78d8df90]

include algorithm for std::lower_bound


2010-10-28  Michael Meeks  <michael.meeks@novell.com>  [929597e176808ad77520228ac8664b5c3d87b74e]

re-arrange options dialog to add experimental option


2010-10-28  Caolán McNamara  <caolanm@redhat.com>  [3ed7853ec303deead57261c0cac45fd093df872e]

add modelines to .hxx files as well


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [982ff2a77022e4a5888fd46e12cd9b1a92e4a495]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [38b3fb7df82446907eb384990522009ba9d187ad]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-10-28  Jesús Corrius  <jesus@softcatala.org>  [29cc3b7054864400bbb19deff561a4e8dbe801b8]

Make some stl functions less ambiguous (fixes VC++ 10 compilation)


2010-10-28  Jesús Corrius  <jesus@softcatala.org>  [b71588f1452a80b1543789a3e0b7adea9e1d692e]

Bump _WIN32_WINNT to 0x0403 (fixes VC++ 10 compilation)


2010-10-28  Joachim Lingner  <jl@openoffice.org>  [ea07b4edc99a838fbf599f0e1c72cb7093c8ff9a]

jl160 #i114794 adapting admin.pl to use unopg sync without further parameter


2010-10-28  Dirk Voelzke  <dv@openoffice.org>  [37e081573b530252985b45af8a00169c7c14c745]

#dv22#i115288# Allow user to ignore updates for an extension


2010-10-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [77ac06e023d9a94992c4cee79f2a4f825410b16c]

remove vos reference from uno xml descriptions


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [0a253250f92a6b91c15d5478cdebc1a00f492d0e]

Finally, gut the vos module out of the build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [0c84d2e38f652578daa0b08671b09e45b2559b49]

remvove vos/macros.h usage


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [1204c62140fbb37ebadbbf1dafe3135387544f0a]

rename osl::SolarMutexGuard -> SolarGuard to avoid namespace ambiguity


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [781d467f3b32b2cba007ff34325a87c0c75eccf5]

migrate vos::OModule to osl:Module


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [e3a51b3aa40ae14430395927b6727855b792e07f]

merge vosremoval-mutex.diff

In practice the changeset is 'inspired' by vosremoval-mutex.diff
but was essentially redone manually

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [d6181f976b230ce1cdc5f794e8d389518edfa02c]

merge vosremoval-reference.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [8956b3e47d307899fd9dec41a58a006dc5fac319]

migrate use of OClearableGuard(SolarMutex) to SolarMutexGuard

3 helper class and a site were using OClearableGuard on the SolarMutex
None of these actually needed the Clearable feature, so
they were replaced by a simple SolarMutexGuard.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [92f9cd7e03320c9b3123bd7f8730918d6d4a26d8]

remove the class TLBSolarMutex and use SolarMutexGuard instead

The class TBLSolarMutex is a wrapper guard arounf the SolarMutex.
the class SolarMutexGuard already provide this function.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [6ed5e648057e0b14b076c9bb7ded5368e5c4428c]

remove the class ALBSolarGuard and replace it's use with SolarMutexGuard

ALBSolarGuard is awrapper guard around the SolarMutex
SolarMutexGuard provide this function now.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [423b5185fa965a3d242a5016d2a3265b46359bc1]

replace BBSolarGuard with SolarMutexGuard

BBSloarGuard iw a simple guard wrapper around the SolarMutex.
the generic SolarMutexGuard provide this feature.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [bceba61c6cc7f4f141859bed9a34809cdc89d348]

forgot base clase init call


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [a2d37fc9e5feb7d48fb2b59354141e1cc0dde28f]

replace the now superfluous TCSolarGuard with SolarMutexGuard

TCSolarGuard is a class that basically wrapped a Guard around Application::GetSolarMutex()
This function is now provided directly by the SolarMutexGuard class.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [1ad06c7fab1a4bc871c0ebd9a65df1a55133e6c8]

use SolarMutexGuard to guard the SolarMutex


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [3f7fe354b2d9f608738ab04e8921c35efed68c3a]

merge vosremoval-pipe.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [9db5fb9aa736977261247a8cb58d5ffde234dc28]

merge vosremoval-timer.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [c2abeee82654e11cc6f15ff71609d32e816a5243]

merge vosremoval-conditn patch


2010-10-25  Gert Faller  <gertfaller@aliceadsl.fr>  [adcd1c248ee309b37dfdf00a768ece347bdd78b1]

cleanup obsolete comments


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [c091f4b33416e6adf5a9f91e28f35b832c95d95a]

#i109882# return early in unlikely event of failure


2010-10-25  Mathias Bauer  <mba@openoffice.org>  [e2e44bf26be2a0617c1b15fc8288c6b67a6a61fc]

CWS monogolianlayout: resync to m90


2010-10-24  Jan Holesovsky  <kendy@suse.cz>  [c16d1db2c8ed36dba7923fb64b9fe2e86e42102c]

Merge commit 'ooo/OOO330_m12'


2010-10-24  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [c9f363010e0ac5cf2447729e4d961cca64d1d5b1]

translate comment


2010-10-22  Carsten Driesner  <cd@openoffice.org>  [5efdc86002c25f2041f97924749b6a6405ea6688]

fwk149: Merge changes from DEV300_m90


2010-10-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1632cce461840389928554c1d059d45d2c5aff41]

undoapi: adjusted forward declaration SfxUndoManager->IUndoManager. Not sure why this slipped my (the compiler's) attention originally ...


2010-10-22  sb  <sb@openoffice.org>  [7a0b0976057f5321405441f1844cb49886763eb6]

sb131: #i115124# $(XSLTPROC) implies LIBXSLT:libxslt


2010-10-21  Bartosz Kosiorek  <gang65@openoffice.org>  [f24705758b39a5b4949830c605bd123499e6369f]

svarray: merge with DEV300 m90 again


2010-10-21  Noel Power  <noel.power@novell.com>  [6e3590dde1bbc168db9818f0025a09aed3c2aaf4]

get rid of extra PROPERTY_ID_VERTICAL_ALIGN define


2010-10-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [d134439908628a0d8f54ea87ed29d37343e05867]

rebase to DEV300_m90


2010-10-21  sb  <sb@openoffice.org>  [ae7f6bcaf48fab4f16c4cfa925a8050378230120]

sb131: merged in DEV300_m90


2010-10-21  Petr Mladek  <pmladek@suse.cz>  [cea59ca7d369a2ccd771a12e97d8efd2328cbfdc]

rename libreoffice-ure package to libreoffice-ure3

we removed the 3rd layer, so the extra package name does not longer makes sense;
it causes conflict with distro specific packages that are not versioned;
discussed on the mailing list

2010-10-21  Mathias Bauer  <mba@openoffice.org>  [318df0840a52a623274b05dea1fa8503f8d0767b]

CWS changehid: resync to m90


2010-10-21  sb  <sb@openoffice.org>  [9b70c3e75735b5f118c3b43de54af5d0c3f253f0]

sb132: merged in DEV300_m90


2010-10-21  sb  <sb@openoffice.org>  [c85b68bd5fea6cefeb2131fe25a9cdf513a424f9]

sb132: #i115169# missing dependency extensions -> curl


2010-10-20  Bartosz Kosiorek  <gang65@openoffice.org>  [a23043fe68bf33c33c085dab459153f49dd26996]

svarray: merge with DEV300 m90


2010-10-20  Kurt Zenker  <kz@openoffice.org>  [03cfe2c9032b9236d283735f95c58ba917e2786f]

CWS-TOOLING: integrate CWS dba33k


2010-10-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [05207acc21015bcf36237f82c18951051d7db5ee]

undoapi: made SfxUndoManager an implementation of the new, abstract ::svl::IUndoManager interface. Change the SfxShell's UndoManager attribute to be an IUndoManager. Did all the resulting changes up the source tree. This way, we'll hopefully be able to provide an IUndoManager implementation in Writer, which is not based on the SfxUndoManager, but on Writer's own Undo implementation.


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [792813f53579f4eea078678cea82c8761dceae1a]

#i101100# strict aliasing fixes


2010-10-19  Thorsten Behrens  <tbehrens@novell.com>  [50c86e0dbbcbafd6e99826f9b5aebb45ec38ef49]

Switch all urls from TDF to LibreOffice

Additionally, fixes fdo#30667 with new about dialog text, and a
link to http://libreoffice.org/credits.html

2010-10-19  Noel Power  <noel.power@novell.com>  [a472ff20aad64f386c27fdaa0152719e8097bc0d]

fix bogus SAL_N_ELEMENTS usage


2010-10-19  Ingo Schmidt  <is@openoffice.org>  [3528de4e8523c9d83fb600853a34bcc8cb9ec6dd]

native334 #i113163# trivial fix


2010-10-19  Ingo Schmidt  <is@openoffice.org>  [96fb1e22387af1cb0888a32fcb267463d64a898a]

native334 #163388# no more change of DS_Store file


2010-10-18  Florian Bircher  <florian.bi@gmx.net>  [85a262b0191750d2837929d326d819eb92430e55]

use SAL_N_ELEMENTS


2010-10-18  Tor Lillqvist  <tlillqvist@novell.com>  [d9da4b95cf16b01102b404d65e0ca77f3e10d5a6]

Two more SAL_N_ELEMENTS reverts

These files don't seem to use LibreOffice coding style and types
anyway.

2010-10-18  Tor Lillqvist  <tlillqvist@novell.com>  [34bc909febcde168393d9bfdab920b30fcead851]

Revert SAL_N_ELEMENTS change for one file

This source file does not seem to include any of the usual LibreOffice
headers, so we should not use SAL_N_ELEMENTS in it.

2010-10-18  Kenneth Venken  <kenneth.venken@gmail.com>  [baae1f2478f664054a264573bad0c8337f7f7d74]

WaE, fix this warning


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [36417ce675abc0f6e032adfbf0444ba383d5a145]

WaE remove annoying warning


2010-10-18  Vladimir Glazunov  <vg@openoffice.org>  [28d836bf43038a47ff00ada7736dd5bdc17f29cc]

CWS-TOOLING: integrate CWS vcl115


2010-10-18  Vladimir Glazunov  <vg@openoffice.org>  [308ffae2f05e0159e9fe2ea90369ea599261f193]

#i10000# changes from OOO330 m11


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [c7338392fbb10cc74bc8175cc997f8fc0668be6f]

WaE remove this duplicate define


2010-10-16  Kenneth Venken  <kenneth.venken@gmail.com>  [0fd4fdfa8e6536fb27f43dcd09766dcf9c7dce78]

some patches that replace sizeof(a)/sizeof(a[0]) with SAL_N_ELEMENTS(a)


2010-10-16  Florian Bircher  <florian.bi@gmx.net>  [6fa94490b3cf37b4b4313d58d7cc06d279ecad72]

Fix for setup_native win32 SAL_N_ELEMENTS


2010-10-15  Kenneth Venken  <kenneth.venken@gmail.com>  [359030e13cfba00f3151aa77e3ec2d09b788a520]

SAL_N_ELEMENTS changes for components


2010-10-15  Mathias Bauer  <mba@openoffice.org>  [52835d214a121d9225110834442804ce9af05e9e]

CWS changehid: some missing HIDs


2010-10-15  Noel Power  <noel.power@novell.com>  [f99ac70389ce3f060ff084c6e70797ad695e9fde]

fix fdo#30856 remove VBAForm property and associated geometry hack


2010-10-14  Mathias Bauer  <mba@openoffice.org>  [01fe878a346305635e5907e4629aa84c1e1cf6af]

CWS changehid: missing HID


2010-10-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [6a1534819edb7276bbc18056df92bbed2015e0d3]

CWS-TOOLING: integrate CWS native338


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [1719e62e2870715dca3b8ee4c44a54698443f9ab]

CWS-TOOLING: integrate CWS impress201


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [19ef5f3cb58cab07e66717b2ae183e1482092886]

CWS-TOOLING: integrate CWS sb123


2010-10-14  Mathias Bauer  <mba@openoffice.org>  [fd8f1c06b222c165231325c645d1550c49478ad9]

CWS changhid: some missing HIDs


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [9af3dbd29096e22162fa5ab3e55413a548fc59e5]

#i10000# changes from OOO330 m10


2010-10-14  Mathias Bauer  <mba@openoffice.org>  [54c1b0e2ca0ceb82f9ceefd42bef3b4fd9951556]

CWS changehid: some fixes for Writer update test


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [07d03e0a830bc3aba604d508d38ac7d7674fb299]

Merge branch 'feature/calc-key-binding-compat' of ssh://git.freedesktop.org/git/libreoffice/components into feature/calc-key-binding-compat


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [2f7fec2ae1631f4defe284f801bd18d8a6555700]

Merge branch 'master' into feature/calc-key-binding-compat


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [8e83621a3e9c13dedec0dab87dfa424cc5e15de3]

fix AIX build


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [dd03ec9de6ed05d0e1c11ce24c91f506d45f938b]

Add NetBSD/amd64.


2010-10-13  Noel Power  <noel.power@novell.com>  [458440d60f9b87206021d99a6dfb414260c5e9b3]

Merge branch 'master' of ssh://noelp@git.freedesktop.org/git/libreoffice/components


2010-10-13  Ingo Schmidt  <is@openoffice.org>  [ea7d547c4e26b9d025de502596d0ba2c8e2af773]

native338 #i115046# new jre6u22


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [4d811aa74de8e647b5c3f44058a0a1324af62dad]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/components


2010-10-13  Noel Power  <noel.power@novell.com>  [b4648cb5215c1b0f59c9a740d446031c03a3353b]

Merge commit 'origin/master'


2010-10-13  Michael Meeks  <michael.meeks@novell.com>  [920a6f80417cecb64028f3bfc0cda40f0e3933c0]

Default to evolution


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [8c7036a3592b0d2906cf10653b0ce05f3001c3d8]

Merge commit 'ooo/OOO330_m10'


2010-10-13  Noel Power  <noel.power@novell.com>  [ecf31cd7b1a8f623c644566710af1443e092e43d]

Merge branch 'vba' fix conflics ( below ), trailing ws and leading tabs

Conflicts:
	forms/source/component/RadioButton.cxx
	forms/source/inc/property.hrc

2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [e4ed769b795446b5a65eb5ae94ebb8db22c6bf4f]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-12  Caolán McNamara  <caolanm@redhat.com>  [ba23e2ddcff997af2e1575acd243d42c6375566b]

#i112786# make ConfigManager a well-behaved singleton


2010-10-12  Andras Timar  <timar@fsf.hu>  [4f07dfd83191870b691dfa0dd1e0cde0c63114bb]

removed German from the versioninfo


2010-10-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [e14606f2055520f5f12c78b20ba53404cb9934cd]

vos:removal: missed a couple of OThread


2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [d83d9d8310b5e06cdf8af8d3e5e7baedee61d943]

Added new tab page in the Options dialog.

This options tab page is for Calc's compatibility settings, e.g.
default key bindings between the old OOo Calc and Excel.

2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [38a1b4656278e4639ecc36f58f4d42fddc8dd529]

Fixed a build break.


2010-10-11  Alan Du  <alan_du22@yahoo.com>  [2cfd913cb28698c372f436cf32e8e5ab642d641f]

Removed a lot of the //CHINA001 comments.


2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [45e356969cccf091506ba46004fccaaa1c3210eb]

Added new tab page in the Options dialog.

This options tab page is for Calc's compatibility settings, e.g.
default key bindings between the old OOo Calc and Excel.

2010-10-11  Mathias Bauer  <mba@openoffice.org>  [706c24dfa9c5f9caa9ea1d3117fd47943de70659]

CWS changehid: generate former auto hids into src files


2010-10-11  Arnaud Versini  <arnaud.versini@gmail.com>  [e7c5a1e7e6ee2babf9acf1f20423a1a6caa2f60d]

Resolving issue 2838 of OOo.

It’s in two parts :
* autocorrection comparison function during the search of the word(s) takes care of the case.
* possibility to insert two times the same words with different
cases.

2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [f05bb54f3cdcff21793ca4676427a2659ec3883a]

vos/socket.hxx was removed, don't include it anymore


2010-10-11  Andras Timar  <timar@fsf.hu>  [e2ed0f18d046b626000c6ca90e7a0315040e5f05]

Added Croatian dictionary extension to setup_native


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [934603e069f0894b78278b39582e2c7f7a809897]

#i112602# use rtl::Static to wrap globals


2010-10-11  David Tardon  <dtardon@redhat.com>  [229aa0d171e529c154438d980230ac38578387c2]

#i114426# prevent possible use of a ref. to deleted LocaleDataWrapper


2010-10-11  Norbert Thiebaud  <nthiebaud@gmail.com>  [9844d74db3f40f966e8d70d5dc60c0ba8b6bd61a]

merge vosremoval-socket patch


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [1964b24bf2e3c4a1cd9e0b12993bfbeab263ba3d]

merge vosremoval-thread patch


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3dd131d0a971fb04916ecbffcc031e58d5a29529]

merge vosremoval-diagnoses patch


2010-10-09  Mathias Bauer  <mba@openoffice.org>  [321cd9ba4e50e94790bc78090a1fd7ca9edd08c0]

CWS changehid: resync to m89


2010-10-09  Thomas Klausner  <wiz@NetBSD.org>  [f919591f5183f316dec470347783748306857d31]

Use standard '=' comparison operator for test(1).


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [026ba5d9422d955d48ba30411f704bda6ea25194]

Merge branch 'master' of ssh://pmladek@git.freedesktop.org/git/libreoffice/components


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [e8b9d3c1f84a1ee4df6c8df79139a012b28472d5]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  obo  <obo@openoffice.org>  [3bc9d661ba15d406b8c168a21757773d26d0a5a3]

CWS-TOOLING: integrate CWS dict33a


2010-10-08  obo  <obo@openoffice.org>  [953d1c73f43de5e3df80b127f162d7a603965ad5]

CWS-TOOLING: integrate CWS dba33j


2010-10-07  Norbert Thiebaud  <nthiebaud@gmail.com>  [dff507298d65267c218e8bd9739215ab6542b8a6]

FASTBOOL to bool conversion


2010-10-07  Mathias Bauer  <mba@openoffice.org>  [34a0cde459d762702cdb36f428f363abed4a7df4]

merge minibranches


2010-10-07  Mathias Bauer  <mba@openoffice.org>  [1312385612a655f812e4243f90196c8c7a3f8086]

CWS changehid: some missing empty strings caused wrong offsets


2010-10-07  Caolán McNamara  <caolanm@redhat.com>  [5785e41ec3646ba5c602a2054002340855bfc4f1]

#i114425# fix a possible dangling reference


2010-10-07  Thorsten Behrens  <tbehrens@novell.com>  [ea8bd49449fb3b1af5f5f8962abe0a81e9013606]

Webservice URLs now point to documentfoundation

Changed places referencing OOo webservices to refer to
*.documentfoundation.org instead. Also, append coutry string to URL.

2010-10-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [00a86bf4a0fed83e8565e186e47c360029ff69d3]

dba34b: #i112779# use the SpinningProgress control, instead of the (now depreacted) Throbber


2010-10-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [43d366604fba1b2803666384c1593390cbb024e2]

dba34b: slightly simplified makefile


2010-10-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [7f7b52db73ae2529272d46732fa31a29807178e4]

fate#307731, fate#307730: Adds dotted and dashed border lines


2010-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f9d11c5d9c0360cdafe8b15d8cbceaff9c687941]

Use lzma which provides better compression


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [ef6e968454c64f874a284c807c062624eeb946d6]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/components


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [ec6a51873a939bdc95619c6d5da0c5bd8f6a4d9b]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Noel Power  <noel.power@novell.com>  [b3c30660b2a2c4d93f99d0b22ae192d928a23005]

initial commit for vba blob ( not including container_control stuff )


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [8e36ae20a5d9f9a4df87568229d4f4a87d028a0d]

#i111733# fflush on stdin


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [c3b94463f21c63d33fc260e87779ed80f15e6607]

Revert "This patch resolve the issue 2838 of OOo."

This reverts commit 5abaf7746c6c960d090b55ffc311ed018ecaf470.

The build breaks with this change.  Reverting for the time being.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [1583003ba9e0ec86a96c859af1b5b06e127a4fa0]

Ported dde-reconnect-on-load-*.diff from ooo-build.

Improve reliability of DDE connections between documents opened in LO.
With this change, LO tries to reconnect to a DDE server document upon
opening if that server document is being listened to by one of the
open documents.

Also, the old implementation would load a DDE server document
invisible, and would never close it when the user updates the link.
This had the consequence that when the user tries to open this
document while it's loaded hidden, it causes some weird focus issues,
and closing it and opening it again would disconnect the DDE
connection.  The new implementation closes the server document
immediately after the DDE link update is complete.

This change also fixes a bug in Calc where DDE link updates to cells
would fail when the formula syntax is set to something other than Calc
A1.

2010-10-05  Arnaud Versini  <arnaud.versini@gmail.com>  [5abaf7746c6c960d090b55ffc311ed018ecaf470]

This patch resolve the issue 2838 of OOo.

It’s in two parts :
   * autocorrection comparison function during the search of the
word(s) takes care of the case.
   * possibility to insert two times the same words with different
cases.

2010-10-05  Petr Mladek  <pmladek@suse.cz>  [10e3f3f098a6f511fb21d9aa087b64b10813e658]

Add back missing #endif into automation/source/testtool/objtest.cxx


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [54a0ce836f8d7390e59651ee10c824ad1f742add]

fixed cui includes after removing the guards


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [e22d09f9ec66473a89ce4c8cbc943c97ae450027]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [afdb74c7ef53628958aa6a9156e11ca2295f9c45]

remove include guards using fixguard.py


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [97a79787ef39e47fa0a9a223c472961291799291]

Ported calc-distributed-cell-text-*.diff from ooo-build.

This feature enables horizontal 'distributed' alignment and vertical
'justified' and 'distributed' alignments for cell contents in Calc.
Note that this feature relies on ODF 1.2 extended in order for the
relevant cell attributes to be saved in ODS.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [46e8e662367b15cbbd567f941a3e0604170eb11b]

Ported always-save-option-svx.diff from ooo-build.

Add new option in the Options dialog to allow document save even when
the document has not been "modified".

2010-10-05  Christian Lippka  <christian.lippka@oracle.com>  [ee2f336aff681c7cfb021da9e74abe8bf2b74bf4]

impress201: rebase m89


2010-10-05  Christian Lippka  <christian.lippka@oracle.com>  [4a4615def5f64241613c622f30315468985554bf]

impress201: merge


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [cd499611ca7ab71972d372b81d561d1f487215f4]

add some configure options to control external libtextcat and libtextcat data


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [18e69aa675aed764226eb496a34a8c0313e9c9d0]

#i113654# these event handler ids need to be a ULONG


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7b196617234fd2514ab7faf3ce1ab438e18fe7d7]

undoapi: pulled DEV300.m89 and sb123


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3320733d5588fd6f283999d211fd82fa59db3c25]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/sb123


2010-10-04  J. Graeme Lingard  <jgraeme+git@gmail.com>  [f72fa433e33a3673ef9db518016b0ccf5b5a0214]

Remove redundant #include directives & comments


2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [b51b1be53f417efd0992bdab4def5364d8d6f704]

Ported calc-insert-current-time-svx.diff from ooo-build.

To Make the semicolon and angular braces assignable of commands.

2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [cd69f2669155811826b3cd7495560401d37433d0]

dba34b: pulled DEV300:m89


2010-10-04  sb  <sb@openoffice.org>  [ce853d2d632fb5ad875fe9e76d981b0ba845cd2b]

sb132: merged in DEV300_m89


2010-10-04  sb  <sb@openoffice.org>  [1a6d356f9be48552c8d953e37b1cab776c5e209a]

sb132: merged in DEV300_m89


2010-10-04  sb  <sb@openoffice.org>  [fa8577f18df349e4f83b7bbf4a8c9c2f54a4b73e]

sb131: merged in DEV300_m89


2010-10-04  David Hobley  <davidh@sharpblue.org>  [2176141990ec94492309bf22d69b45917e471a3d]

Comments cleanup


2010-10-04  Jacopo Nespolo  <j.nespolo@gmail.com>  [9cb14e26b39b0442fe0868c6872a3ffe79f91faa]

dead comment removal


2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e27f4fb62ddcf759e096f4e00bbe60de77d81d4a]

dba34b: merge after pulling sb123


2010-10-04  Jacopo Nespolo  <j.nespolo@gmail.com>  [fcd0c3872276a891ddfb4b9753d14abbb7ec4443]

Code cleanup in cui


2010-10-02  Andras Timar  <timar@fsf.hu>  [130b6bc4fd3d96287ec3ff31b0f8e37e1429775e]

make CustomUnitText "Pixel" localisable, #i35956#


2010-10-02  Andras Timar  <timar@fsf.hu>  [7878b9ec6c41c871ad9290701a1d4996d9b55e97]

make CustomUnitText "%" consistent, #i35956#

Despite the state of issue #i35956# this patch was not integrated.

2010-10-02  Andras Timar  <timar@fsf.hu>  [1578b826a258801514588e234dc593517379b40b]

Fix name order for Hungarian on the UI, #i110287#


2010-10-01  jgraeme  <jgraeme+lists@gmail.com>  [e754622cfe54cd461a683614171a31ba5aed3871]

Cleanup commented-out code

* multiple comments containing //CHINA001
* a large section of commented out code

2010-10-01  Petr Mladek  <pmladek@suse.cz>  [80aee06918520fb2e71be0a6e6f9af28171730a0]

xmlsecurity-build-with-nss-3.12.0.diff: Support older system nss


2010-10-01  Vladimir Glazunov  <vg@openoffice.org>  [066c61778f9e1f858e901dad9118cddde1e323ec]

#i10000#


2010-10-01  Jacopo Nespolo  <j.nespolo@gmail.com>  [8d890248dc4e7ca5c5927ba938cd0182b0a9f45b]

Removing dead code and cleaning up some comments


2010-10-01  J. Graeme Lingard  <jgraeme+git@gmail.com>  [42426dd9cb88722572a6cf9a64c5a4d312b8d4f5]

Remove commented out code from cuigrfflt.cxx

This section was probably commented out when code was copied from
libreoffice/libs-core/svx/source/dialog/grfflt.cxx during a code move.

2010-10-01  Caolán McNamara  <caolanm@redhat.com>  [4964008b14dd70952be30466a34748d294483101]

#i112871# missing parentheses around || within &&


2010-10-01  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [35756d32676cb82e43db5e02c5d707cbddacf300]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34a


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [c0aaf73d6d561c092b4488affe4da5deacfe7531]

libsane leaks and threading crashes


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [653d2ad012009aff08d8a2939a694411f9821700]

#i100686# Euro converter didn't work when searching for ods in a dir


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [d25be311045b48c35e4b322e60ed1315831d7e25]

#i108246# fix crash in Appearance config dialog


2010-09-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c5f20b7291b01d62ed23b01600a11df8a99c99f8]

dba34b: tweaked the makefile


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [cb1d46258d7e2af041d8ac982cd8045d3fcd41e9]

Ported autocorrect-accidental-caps-lock-svx.diff from ooo-build.


2010-09-29  Noel Power  <noel.power@novell.com>  [c43ac455fe23c130a394c3a561e09697e08752e1]

fix for bugs.freedesktop.org/show_bug.cgi?id=30452


2010-09-29  Vladimir Glazunov  <vg@openoffice.org>  [09eb4408844f244eb190d9e4db2a82eceb31b4ae]

CWS-TOOLING: integrate CWS sb129


2010-09-29  Thomas Lange [tl]  <tl@openoffice.org>  [b45f5c99e4da40993a333c64001f87b0925ce1a3]

cws dict33a: #i114774 thesaurus patch applied


2010-09-29  Vladimir Glazunov  <vg@openoffice.org>  [56025bc5417c7f6fde9dfe99e741d88e9d25bdf6]

CWS-TOOLING: integrate CWS tl82


2010-09-29  Joachim Lingner  <jl@openoffice.org>  [fffac48b810e5bc2650f08863c7381031e691699]

jl160 #i114794# registration data folder of bundled extensions in the user installation references PREREG registration data in brand/share/prereg/bundled folder


2010-09-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [858fcfb8494e70d80b7eb2954fd0f271dab7be42]

dr77: rebase to DEV300_m88


2010-09-28  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [e4567b3a3e425d8e3cac6eb71ebf9556afcfb141]

fontdialog: Convert switch with only 1 case to an if ()

This is a switch statement that only ever checks 1 case and has no
default action, so make it an if().

Remove some commented out code in the switch while taking the git
blame anyway.

Signed-off: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-09-28  Vladimir Glazunov  <vg@openoffice.org>  [fd720a0326258c713414b5773385fd2273f029de]

CWS-TOOLING: integrate CWS sb126


2010-09-28  Vladimir Glazunov  <vg@openoffice.org>  [25c036fb42b6534a0fdf2317ca5d5ae0d0bde0f1]

#i10000# changes from OOO330 m9


2010-09-28  Joachim Lingner  <jl@openoffice.org>  [41ab1f57e0f01375d4206fce00352700c0c5acb4]

jl160 merge with DEV300_m88


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ba5f7597193d3a9a45d966b7184310b4268faee4]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-09-28  Mikhail Voytenko  <mav@openoffice.org>  [26c9517a67c984850d6cb33b32fcedaa489db289]

fwk149: #i112602# integrate the patch


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8de8dac8d7ad32dc992ac061d8f4960b43c1436a]

dba33k: merge


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3a3bcbdc1bf3dc804b738552c1c9f8bcf0ee74f8]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33j


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [111c5a951c1d292592547b303dde54f1acf23570]

dba34a: #i114792# restore m_nNULLPos/m_nBoundColumnType when old list data is still cached


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [720a931f98327e2ae92ed5c68c1b1504c8d4bcad]

dba33j: #i113631# loadData: restore m_nNULLPos/m_nBoundColumnType when old list data is still cached


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [37595835e78bd5fd6f7b1ab0d4b4caa5904751d6]

dba34a: #i114752# allow setting an empty reference, not only an empty Any, as ControlLabel


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4dafcb0b52527f39a02a25566825230f809ffcd9]

Fixing some merge errors


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4999ec8e3131ac3bd905c0846b642279fc2d2bf0]

LibreOffice branding: fix1


2010-09-28  Thorsten Behrens  <tbehrens@novell.com>  [632d09fb53cfef80e5119eeeefff1cc8af7ea019]

Update Mac installer image and icon config


2010-09-28  Thorsten Behrens  <thb@openoffice.org>  [b99e4e1cf3c6e9d104de8c050add04cc866ef7f8]

Updated nsis installer icon from Chris


2010-09-28  Thorsten Behrens  <thb@openoffice.org>  [f29b3575c33218883696926cf62285b75f254c9a]

Shrunk NSIS banner image by three pixel


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4f4e350c72b924a3fb5b0a226011386b7196099c]

LibreOffice branding: some more win32 imagery tweaks


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a4dab474af084c30975660657d09bacf35dfb0c1]

Replace the "Help Support" menu item by the "License Information" one


2010-09-28  Thorsten Behrens  <thb@openoffice.org>  [7242997a580c3ab95b8be38fd4ba990343877bbd]

new libreoffice artwork


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc61b68fed16e8432d42befb71525f7ae10bc1c6]

LibreOffice branding: fix1


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9ebd256348dc490ee78cd73144a7198d5474167]

LibreOffice Branding: first cut


2010-09-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4bfa3c9eab7f085e547e23392dee5b9074384255]

dba34a: #i31275# allow 'select as you type' aka 'quick selection' for tree list boxes (SvLBox derivees, to be precise), and enable this for Base main window, and the stylist


2010-09-27  Mikhail Voytenko  <mav@openoffice.org>  [8ebabd864fe0893432e7e3723751671db1a05b32]

fwk149: rebase to DEV300_m88


2010-09-24  Mathias Bauer  <mba@openoffice.org>  [824334b03de745425d7b2852f59aa512c796555b]

CWS changehid: several fixes to work with old testtool


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [414f16693f0828efb240d64cfa1a99fa8486ca4b]

CWS-TOOLING: integrate CWS native330


2010-09-23  sb  <sb@openoffice.org>  [e57bcd30b6601be7a3149d30b9d983f8a088920f]

sb132: #i113570# correctly pass char* to %s (patch by tono)


2010-09-23  sb  <sb@openoffice.org>  [951cff1555d460e16463f7c27ef85333924d03c8]

sb132: #i114422# adapted install_solaris.sh


2010-09-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a5bf3fe40bc2885b385828eebd2c2ad319e645d2]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34a


2010-09-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1d3dcc45a57fd118256479f9248ae9718d446cca]

dba34a: merged latest changes from CWS dba33j


2010-09-23  Christian Lippka  <christian.lippka@oracle.com>  [b0f8524b6cbef9c2f61bf7a1fa34ad9bf82651d7]

dba33j: #i111302# fixed truncated strings


2010-09-22  sb  <sb@openoffice.org>  [0cc07b46e58a202f353d95734683903cd02646a0]

sb123: merged in DEV300_m88


2010-09-22  Thomas Lange [tl]  <tl@openoffice.org>  [74c87f4612727c7e490c7772b0111094b6ae93c2]

cws dict33a: merge with OOO330_m8


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4ce3539fbfbf42c906ac1b76110f440c96a253a0]

dba34a: pulled DEV300.m88


2010-09-22  sb  <sb@openoffice.org>  [614d54c5d66ac50f8b246aa25aa4c795eed57c8d]

sb126: merged in DEV300_m88


2010-09-22  sb  <sb@openoffice.org>  [059ba912a59863f4d2bd590268583687fa48b63f]

sb123: #i114669# disabled forms.OListBoxControl for now


2010-09-22  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [39fcf528831b755d8c9aba32b0c7a3069fb7e84b]

rebase to DEV300_m88


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ed301187b6293430b4b2e7e1ac966462c4497067]

dba34a: merge after pulling latest changes from CWS dba33j


2010-09-22  sb  <sb@openoffice.org>  [0e279fe173ac38a5a8cdde3065e762b81eba7194]

sb132: merged in DEV300_m88


2010-09-22  sb  <sb@openoffice.org>  [ad329da969bb888b97eb01553ea165175cfe5840]

sb129: merged in DEV300_m88


2010-09-21  Christian Lippka  <christian.lippka@oracle.com>  [0742f20d3646967c1f6760e974881bd032c07e36]

impress201: #i112587# add display properties to control shapes


2010-09-21  Christian Lippka  <christian.lippka@oracle.com>  [d603dc28017861ce297a9d12b28f3971533cff7e]

dba33j: #i111302# fixed truncated strings


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8d654c02d90cabb746cd9222cef0d04b2f655548]

dba34a: merge


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a6b74bb2e5215f9e792f7b8ac941ba6430bf358c]

dba34a: merged latest changes from CWS dba33j


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3ec2516b75adca283670bfbfa30e2a46dc4586d4]

dba33j: merge after pulling OOO330.m8


2010-09-20  Christian Lippka  <christian.lippka@oracle.com>  [2464b956a2200da5e517a396f7dda7be01110637]

impress201: #i111302# applied patch to leave more room for strings


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a78d5ffe1df5637b129598cf08b9a5bead9a02e9]

dba34a: merge after pulling latest changes from CWS dba33j


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [90c37127c7040a74100a8e503150bec1f25829f2]

dba33j: #i114566# +getNormalizedStructuredFilter


2010-09-20  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [b38a4bbbefe43d789ac50ed25cfa4536a67647ae]

vcl115: #i114425# fix a possible dangling reference (thanks dtardon!)


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f5e81cfbb06f66a25566e0073ecb9203b71b60c8]

dba34a: #i111148# re-enabled the tests


2010-09-18  Tor Lillqvist  <tlillqvist@novell.com>  [ff75fde570ecca9c791915abd72eea33280ca83c]

Workaround for default_images symlink problem on Cygwin


2010-09-17  Bartosz Kosiorek  <gang65@openoffice.org>  [a8674138c5757b8d94f358198ff2b64c0c46a534]

svarray


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [09cfcedc6eae7af61e047a956d672702f1313c6d]

CWS-TOOLING: integrate CWS oooimprovement6


2010-09-17  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [c49d606ec400e60dff5a7c1c14c0e65ea8ab52e9]

mib19: branch merge


2010-09-17  Mikhail Voytenko  <mav@openoffice.org>  [7cd2c469d927b612bdbc807190fa5b0df19ae9eb]

mib19: #163585# allow to use Any(void) as parameter


2010-09-17  Ingo Schmidt  <is@openoffice.org>  [ce53dcd5bacb13b47afcec9662f98bc729dc1a5e]

native330 #i113835# fix


2010-09-17  Mathias Bauer  <mba@openoffice.org>  [018f15235aab32717200738071ea1c4c032ab6be]

CWS changehid: debug statements removed


2010-09-17  Mathias Bauer  <mba@openoffice.org>  [0536b2a29f0ee13fd33f1ad5e26761bad0db884d]

CWS changehid: doesn't compile on 64bit


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [64a24055319d82d1f5453d9760f661452a2d79b0]

CWS-TOOLING: integrate CWS cmcfixes78


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [9b673d46780182fb9af5a8f7db443b5a0372fc2f]

DEV300: changesets OOO330 up to m8


2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [53f834b408ecdc51ba6c5aff27ca72b8abdae38c]

dba33j: #i114273#


2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4c657bbcff57c3b439de61d72840d32dc847d9fd]

dba34a: merged latest changes from CWS dba33j


2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [d07b53d22dd8b3731776fe74947b514af1c4ffe3]

fit-list-to-size.diff: Shrink font automatically when text overflows.

i#94086

Scale-font-down if typing text in Impress and the text box becomes too small.

2010-09-17  Mikhail Voytenko  <mav@openoffice.org>  [0e3970f1eada4bd373fbdcfa5927c326b89e7bc9]

mib19: #163559# allow to call IDispatch methods/properties that are not available through ITypeInfo


2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6a1cc84ae6bca122d611b28baf825c5306ec92a2]

dba34a: #i114403# fixed the form-based filter for list boxes


2010-09-17  Michael E. Bohn  <mbn@openoffice.org>  [5b1dc9a9ce4b316a0fc56eb3dae807327e8d8b8e]

merged heads


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [2a32059a536a6562ea78a6dbb0fb6a21c640d922]

Update .gitignore for Windows builds


2010-09-16  sb  <sb@openoffice.org>  [1bf2dd454dd43e241de10a4dc8277ce3eb02e788]

sb126: merged in DEV300_m87


2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [6de7a038011cf9d7b7cb20c753769c7540378243]

calc-formula-variable-separators-svx.diff: formula separators changeable

n#447164, i#92056

Make the formula separators changeable per locale setting, and add new
configuration page for formula syntax and separators.

2010-09-15  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [446c43ac8d3f562d9735150f8b49d219b3b0f89f]

mib19: branch merge


2010-09-15  Andreas Bregas  <ab@openoffice.org>  [2499b3ab3981d78b4ce53aa33f23d4094cdd77c3]

mib19: #163639# IDE call stack: Don't try to display objects as string


2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [19d212bf57913073a69c8ce7b016da8c4699961a]

default-no-registration-menu.diff: Remove registration from menu.


2010-09-15  Tor Lillqvist  <tlillqvist@novell.com>  [47bf9a3750fbccb561961a623b766b901fc3a024]

Commit missing files in setup_native/source/win32/customactions/sellang/


2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0b7ae4e620a78e2b9732f51d4f8dbcf6dff23461]

cjk-default-compatibility.diff: Don't expand spaces with manual breaks

i#54320

2010-09-14  Kalman Szalai - KAMI  <kamihir@freemail.hu>  [0a6fc538714579edc7c613140ee60c44749c58ff]

premium-splitted-language-packages.diff: Language dependent definitions.


2010-09-14  Kalman Szalai - KAMI  <kamihir@freemail.hu>  [fc04f6fdba6a3e3a1ac3457cd8c84887447a30ae]

extensions_packinfo.diff: extension integration, setup_native part.


2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [403e72fe876d9131a3759d49ba3cdff3a5b9454a]

metric-field-limits.diff: maximum values were wrong when changing unit


2010-09-14  sb  <sb@openoffice.org>  [70bbdc9bc4a2000cf394fbb07b47285f0bafc37b]

sb129: #i113189# removed obviously unnecessary service registrations; allow empty <implementation/>


2010-09-14  Tor Lillqvist  <tlillqvist@novell.com>  [de753a15fecd0bf6b80feda4766b0d586e199b07]

win32-multi-lang-installer.diff: Multi-language installer stuff

i#66062, i#88638, i#88639

2010-09-14  Thorsten Behrens  <tbehrens@novell.com>  [cbab5dec38efe13dd50455a1a9e50caeb8a6949e]

win32-vs2005-compat.diff: Fix build with Visual Studio 2005


2010-09-14  Ingo Schmidt  <is@openoffice.org>  [9158068afebb908d7273ec6b4ee25936abec3192]

native330 #i114487# fixing installation on Cent OS


2010-09-14  obo  <obo@openoffice.org>  [9f245ff0a3cc039304c4a4e5205baedaf76dbacc]

CWS-TOOLING: integrate CWS dba33i


2010-09-14  obo  <obo@openoffice.org>  [214f5506324ab242201e140da8291cc3f33c22d6]

CWS-TOOLING: integrate CWS dba33h


2010-09-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [bf6e1c7c960ba3cc772a12f15b8637da5d43b02f]

dba34a: during #i114403#: allow list boxes to have a bound column of '0'


2010-09-13  Ingo Schmidt  <is@openoffice.org>  [2cab1ad00d080b85294350ed02a3d39e0522a15c]

native330 #163564# fixing installation on Cent OS


2010-09-13  Amelia Wang  <amwang@novell.com>  [b41159c14ec698e01b43a545e6b93419d0206d5d]

cjk-character-units-fix-376788.diff: add a new character unit

i#376788

2010-09-13  Amelia Wang  <amwang@novell.com>  [38d7e2c79e4207d8138a1740e077bf0e83c80856]

cjk-character-units-imp.diff: add a new unit 'character unit'


2010-09-10  sb  <sb@openoffice.org>  [04c708938a8232437119c13cabb6f7a65dcc19e0]

sb129: #i113189# change UNO components to use passive registration


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [ecd9e9d1a068915607ed0b4cc97e573839c9fe47]

Merge commit 'ooo/OOO330_m7'


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [5145c719bf38b11435c5562b1ef336ecb59b64ae]

Merge commit 'ooo/OOO330_m6'


2010-09-06  Thomas Lange [tl]  <tl@openoffice.org>  [c5ec61a3eda4e24cec1d22992e0c3c040438dcb7]

cws tl82: #i114160# SimplePasswordRequest and respective dialog


2010-09-04  Caolán McNamara  <cmc@openoffice.org>  [0592a281f80269864b30862e17f65cff977897c9]

cmcfixes78: #i111733# fflush on stdin


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9a9c56372103b87fb883d1aaf5af4ff03f7be998]

dba34a: removed SvLBox'es (and friends) Set/GetWindowBits. They were used in parallel to Window's Set/GetStyle, with WB_* values which overlapped with existing (generic) WB_* bits. Since this overlapping has been removed, there's no need to have both Style and WindowBits at those classes. Should remove some source of confusion and error (and, well, perhaps introduce some new errors :) ).


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [968a7374cfa3bd9b97fbe2fc7057144adec962f9]

dba34a: i113188# don't call into XWindow implementations with own mutex locked


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ccb77a8fb605b9c2c61fd3e591d85e2b8dd0a8b3]

merged in latest changes from CWS dba33i


2010-09-03  Kurt Zenker  <kz@openoffice.org>  [e8b8fec48b3ad2464b6ce6744e419190efeb45b3]

CWS-TOOLING: integrate CWS fwk155


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5b51809b189856062c286daf06f6e9222969b1a4]

dba34a: merged in CWS dba33i


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [61bf1db52942cc7a3d50181e078be2854a6e274a]

dba33i: #i111146# migrated all SFX-based applications to use named views


2010-09-01  Thomas Lange [tl]  <tl@openoffice.org>  [fe1ad466b2a14f05282b129d38da17a5c89ec1b7]

cws tl82: #i114233# add to dictionary fixed in spell check dialog


2010-08-31  Mikhail Voytenko  <mav@openoffice.org>  [86d169e89f39d3ddb7bac7f50d2adb1bb7e7d087]

fwk155: #i107615# integrate the patch from CD


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [73f2ed25b92c4ecdab26bf6cd9c97d8c2504a84a]

dr77: rebase to DEV300m87


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [80314fe96f02ae4638208da7f6f34604b4a7b313]

mib19: rebase to OOO330m6


2010-08-30  sb  <sb@openoffice.org>  [37fc1c0d9aab86889fec9d750499fbec55af012d]

sb123: #i114209# disabled forms.OGridControlModel::com::sun::star::view::XSelectionSupplier for now


2010-08-30  Caolán McNamara  <cmc@openoffice.org>  [a206b910c38f963e61d0fdd326adc46121658f09]

cmcfixes78: merge with DEV300 m87


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [59e0b235ca92801931c4c33abcbad5dc486719cb]

dba33h: merge after pulling DEV300.m87


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [fdcca5cd5d150e36a9697892ebeaaf95e99d6a75]

dba33h: merge after pulling OOO330.m6


2010-08-30  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [8b2c96fd22d708d5b498646991cad3570bf42a12]

rebase to DEV300_m87


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [55dfdd76abd05b897857f1790481171939050c13]

dba34a: fail the test on caught exceptions


2010-08-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2f78daf7769342a7016599915e1ae2ef8b6a74ea]

dba33h: #i114122# don't set GraphicObject-URLs at the image control/model, instead, just set the XGraphic, and let the implementation manage the respective XGraphicObject instance and its life time


2010-08-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [0e743fea1a7d8dac9dfd04ebe60c72b2108d52e3]

dba33h: #i113991# handle ImageURL and Graphic properties ourselves, do not leave this to the aggregate. Otherwise, both the aggregate and we try to sync those, which is good for some problems ...


2010-08-26  Ivo Hinkelmann  <ihi@openoffice.org>  [b221612dc355d7c219819db42207437eb4fe5fe5]

CWS-TOOLING: integrate CWS ooo33gsl07


2010-08-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6ceaf7dd12df2f66e0f3bbc42ad5ff8d14042e14]

dba33h: #i112659# ensure bound image controls never embed their image in the surrounding document


2010-08-25  Tor Lillqvist  <tlillqvist@novell.com>  [b14bcefa52ba52b714e62dc4f9b606344ae98e26]

novell-win32-odma.diff: ODMA dialog implementation.

i#6885, i#32741

2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [faea3cb5a9d96bfc897606130cfcb93e61db54bb]

CWS-TOOLING: integrate CWS codecleanup02


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [a5d4e56604f7cd7aced52d149e39613e1e69ce01]

CWS-TOOLING: integrate CWS cmcfixes77


2010-08-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a579e848e0b0e55eda9b9da94fc6e5d89ca995ca]

dba33h: #i114022# properly handle new/empty images


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [ac9fabd919941f9c6b4e8397f603d509253d4c8c]

DEV300: changesets OOO330 up to m5


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [478741dcff7b5393689eb67f81d977d99e50749a]

DEV300: merge 000330 till r. b727f1beb700


2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [4f48476894efff2739e6e25b7b2633d41904a252]

CWS-TOOLING: integrate CWS sw33bf08


2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [5f4ef9be8671cf2940b83ea83d6ad5315126bd83]

CWS-TOOLING: integrate CWS mib18


2010-08-25  Jan Holesovsky  <kendy@suse.cz>  [bc48f4a069a0d3c20c28e7a28d9c9afd39b02b93]

tango-prefer-over-industrial.diff: Kill the Industrial theme.

Jimmac, the author of the theme, recommended that, and use Tango instead - n#304615.

2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [b971d6fb022a90a9561a0d81343ddf7c18542b41]

Update .gitignore.


2010-08-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [622fdb67821d299bd8314cd9196e85c5d3d2ce84]

ooo33gsl07: #i114002# add missing license headers


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [a48d25e04631e6ea4390ef51d636a16b888afadb]

Create .gitignore.


2010-08-18  Thomas Lange [tl]  <tl@openoffice.org>  [09e35e845fc8941c56e54597ce679b258b97ba1c]

cws sw33bf08: #i113867# removing en-US dictionaries from Ukrainian language pack


2010-08-18  Thomas Lange [tl]  <tl@openoffice.org>  [825fb51589a6f29bedae00ee817edfc958597abc]

cws sw33bf08: #i113867# removing en-US dictionaries from Ukrainian language pack


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [ae0c34553de6ecabbc6420979a99829c11e472fa]

CWS-TOOLING: integrate CWS native324


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [19c39d8ca1d55ac1cd3349a319669ffd0bee7f18]

CWS-TOOLING: integrate CWS jl154


2010-08-16  Ingo Schmidt  <is@openoffice.org>  [d5b054dc43970313df80e253c78a424841a4eed4]

native324 #i113835# preparing rpm installation on debian systems


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [4fd95ed4edd92cff6667f6d237b9430d52ee5265]

mib18: rebase to OOO330m4


2010-08-13  Ingo Schmidt  <is@openoffice.org>  [9edf45e4490cbf5965cba1b7b80b5c20fab0f5bb]

native324 #i113835# preparing rpm installation on debian systems


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e56c03da11bea148347bc37cd317af862f083d32]

jl154: Local merge


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [ad50c65d6433ed7918c9326383708e44925a4e9e]

CWS-TOOLING: integrate CWS writerfilter08ooo330


2010-08-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [f250c783207d3c2f1d0515ebd1b1b21a7639aca7]

oooimprovement6: #i97340# disable show data button when no file exists


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bd8d6faa1fdb424a68e50b4ce0dd3f2f72796e78]

jl154: Local merge


2010-08-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [e7a9197c3ce682dfbf829aa6187390ddfb34a18e]

oooimprovement6: #i98561# clicking on show data closes the modal dialog


2010-08-09  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [9a1fdd1b00ecb6bbdc6482926c63aa6d3ff837fe]

oooimprovement6: #i100159# catching the OnLogRotate thread in a clean fashion


2010-08-09  Thomas Lange [tl]  <tl@openoffice.org>  [48de66ffe0bbfbae48abf3656f471193a129fe06]

cws tl82: #i113293# sspellimp.cxx fixed


2010-08-07  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [4b874d7bf2f834d8d6685a85e9578eec8f518b1f]

gnumake2: fixed linking against pathutils in extensions


2010-08-06  Thomas Lange [tl]  <tl@openoffice.org>  [c0d318700211aa8f0adb7f1eb511973bae6dc21a]

cws tl82: type fixed


2010-08-06  Andreas Bregas  <ab@openoffice.org>  [329c134bc2d01d41a2ab41cbe5a856b764dcf409]

mib18: #163121# Declare Rework


2010-08-05  Thomas Lange [tl]  <tl@openoffice.org>  [c1141aade116acee20e54859e75113775e011933]

cws tl82: merge with DEV300_m86


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [3f7fa1de3f53e902d417b62a18612923acae6881]

dr77: rebase to m86


2010-08-04  Caolán McNamara  <cmc@openoffice.org>  [69a891b5e7b1c0573080f029647a3791ffb382c2]

cmcfixes77: #i113654# 64bit events


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [92cc5ae9dcff421538ea7beb46e18136e9bab834]

CWS-TOOLING: integrate CWS native323


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [50493840e2f973d56540b826420fe52b0cf0dd5f]

CWS-TOOLING: integrate CWS mib17


2010-08-03  Caolán McNamara  <cmc@openoffice.org>  [23d8c6d019dd4918bbc3af0a199e095fd75dae65]

cmcfixes77: merge with DEV300 m86


2010-08-02  Ivo Hinkelmann  <ihi@openoffice.org>  [b45ea9fcb49c5d12507e6e08724830e55d33b27a]

CWS-TOOLING: integrate CWS native322


2010-08-02  Joachim Lingner  <jl@openoffice.org>  [64623c655d414eac4c0e2b266bee913a5456043a]

jl154 merging with OOO330m2


2010-07-30  Ingo Schmidt  <is@openoffice.org>  [953a5ed0735c12634ae6835d141c3a0cac7f7bd6]

native323 #i113447# setting Windows update path correctly


2010-07-29  Joachim Lingner  <jl@openoffice.org>  [28d217bc56c559e2439d39fdaa406380f32c9412]

jl154 #i162868# Copying from prereg/bundled to user/extensions/bundled failed because of file access right of temporary files in the registry data. The scripts run now chmod after unopkg sync


2010-07-29  obo  <obo@openoffice.org>  [f18da7dd3a28225ff2c34182a06f932addfcf022]

CWS-TOOLING: integrate CWS dv19


2010-07-29  obo  <obo@openoffice.org>  [951dc8fa6013d079f613cb40a9da685e6c0f81de]

CWS-TOOLING: integrate CWS vcl113


2010-07-29  obo  <obo@openoffice.org>  [474237ca22fbc0e5dbc62214a6df38f23508f772]

Integrate OOO330_m2 into DEV300 (merge)


2010-07-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [c1b8585f130b1f159fa10a85b3846f3e8524b127]

writerfilter08ooo330: merged OOO330_m2


2010-07-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [d78ab92882cb21e8da22e4180cf4cf421d8b3bb2]

writerfilter08ooo330: applied patch for writerfilter08


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [8f28b3c61f002a5a59953526a6465ef43d72f03d]

mib17: rebase to OOO330_m2


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [4d52a7c2b4a9af70a0d2e731bb51af0a5ff80d7a]

mib17: rebase to DEV300_m84


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [0d7f3413198b9e0d82cd62056e396883aeae5eee]

mib17: move VBA specific interfaces into vba subdir


2010-07-27  Andreas Bregas  <ab@openoffice.org>  [18d1073abac8ce066b6f54b61033f425fbd03c54]

mib17: #i110822# Fixed named parameter handling in automation bridge


2010-07-26  Thomas Lange [tl]  <tl@openoffice.org>  [c1a68ed683718e351567eb0fdd1b29e83313a012]

cws tl82: #i106993# thesaurus code clean-up


2010-07-23  Ingo Schmidt  <is@openoffice.org>  [6512191685b0f43b0938b44ee95b063de7463387]

jl154 #162868# solaris postinstall script


2010-07-23  Dirk Voelzke  <dv@openoffice.org>  [bd436ffc82fd0b6e4ea9134be863739d153bc9c7]

dv19:#i111166# removed syntax warning


2010-07-23  Ingo Schmidt  <is@openoffice.org>  [859ab84fcc0707bd6c895517325f1985e9d91d8c]

jl154 #162868# bundled folder in prereg folder


2010-07-22  Ingo Schmidt  <is@openoffice.org>  [ee943cf4436ff8adbd9440211c39a5c27768369a]

jl154 #162868# unopkg in shell script with several quotes


2010-07-22  Ingo Schmidt  <is@openoffice.org>  [6ef1482d39a33925b245d245fe6127b4744d0dfd]

jl154 #162868# unopkg in shell script with several quotes


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [c42035a4015f4db602e57c7362e70eecf31cabef]

CWS-TOOLING: integrate CWS native321


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [b1a36931e113b382b3ecb7822e4a46585f66862d]

CWS-TOOLING: integrate CWS impress194


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [66685a316fe60c2834b80e5dde813acd1078aefc]

CWS-TOOLING: integrate CWS tl81_OOO330


2010-07-22  Ingo Schmidt  <is@openoffice.org>  [b44a3485bc26255a3aa0ca92ad26188de65d6f4d]

native322 #i113364# new jre6 u21


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [afd1eb5b6c81f59342bd8ee7a1b96429289d98dc]

jl154: Local branch merge


2010-07-21  Thomas Lange [tl]  <tl@openoffice.org>  [5e106233b4f569aac628701fa00784b2ee65fa10]

cws tl82: #i113293# unify encoding detection for linguistic components


2010-07-21  Dirk Voelzke  <dv@openoffice.org>  [0ddee8736c51b0cb124c268c6d166f7e09bd3b97]

dv19#i111166# removed extra dispose, join with thread before shut down


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [eb577c4b90718acc2c3b25f9f0c830d40620d58c]

CWS-TOOLING: integrate CWS unoawt2


2010-07-21  Joachim Lingner  <jl@openoffice.org>  [e234443c641e4bc2f5d89b031bbb30f2d560cb95]

jl154 #i162868# changed RemoveExtensions custom action (windows) to delete brand/share/prereg/bundled


2010-07-21  Joachim Lingner  <jl@openoffice.org>  [62729bf5d94eb74bb1ff410cc543d8ffcf4f4bdc]

jl154 #i162868# unopkg sync removes share/prereg/bundled, changing registerExtensions


2010-07-21  Ingo Schmidt  <is@openoffice.org>  [c803ad8da4a88de0689afee5728f0407ff7d791f]

jl154 #162868# new share/prereg folder


2010-07-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a1e6245b5e0a359f1f7e707a263ed1e45dd82067]

jl154: Local merge


2010-07-19  Ingo Schmidt  <is@openoffice.org>  [ffa0e25150cabfc67705e3fc10cc02952b325966]

jl154 #162868# guarantee existence of extensions folder


2010-07-16  sb  <sb@openoffice.org>  [5104fed5cea8fe30b448e2b5cc9dcc9ad5fa6f7a]

sb123: #i113201# disabled forms.OEditModel::com::sun::star::form::validation::XValidatableFormComponent for now


2010-09-16  sb  <sb@openoffice.org>  [9f12eaae2f5b63886a1821e9d231bf3691d54c43]

sb123: merged in cws/sb126, to get fixes for i107490 and i113115


2010-09-16  sb  <sb@openoffice.org>  [8d7b6ab15ae2ee7ea2f4e6b8442560add7825a95]

sb123: merged in cws/oooimprovement6, to get fix for i100159


2010-09-10  sb  <sb@openoffice.org>  [955cf2ebc5887f9bd490de4397ae7d08ba7323b8]

sb123: merged in DEV300_m87


2010-08-23  Lars Langhans  <lla@openoffice.org>  [e0c05e9654a1317099e788c9fbd92cf953c8b317]

sb123:#i111449# remove all subdirs in complex tests


2010-07-16  Joachim Lingner  <jl@openoffice.org>  [3a7ba2ab93b4ec058d92064e7657497d9cbd4794]

jl154 merging with OOO300_m1


2010-07-16  Caolán McNamara  <cmc@openoffice.org>  [62eae17215e0b644dc5c37bcef883c4866e36b6b]

cmcfixes77: #i80021# system libtextcat


2010-07-16  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [79a7e5be46f38a302c897396570479a848097c5c]

vcl113: #i113191# remove debug printfs (thanks cmc!)


2010-07-16  Joachim Lingner  <jl@openoffice.org>  [8246234a96c80f2dcb29126cf8f9e96597aa3e16]

jl154 #162868# removing the package.txt from the extensions folder. Extensions folder will be created in a different way than installing a dummy file


2010-07-16  Caolán McNamara  <cmc@openoffice.org>  [36641ed089d3bcba1a13fcb018c2e46fa651c893]

cmcfixes77: #i80021# system libtextcat


2010-07-15  Joachim Lingner  <jl@openoffice.org>  [b8e2cf46d6a073c7fbcd51494a92d6da33181622]

jl154 #162868# remove basis/presets/bundled/bundled.ini, and create always share/extensions folder


2010-07-15  Joachim Lingner  <jl@openoffice.org>  [757f1ada9215c698c650eba559e05a70322848b7]

jl154 #162868# remove basis/presets/bundled/bundled.ini, and create always share/extensions folder


2010-07-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [93b7c5704a4f0d9bd3c6333a1a15a12fc9cf0193]

vcl113: #i90023# remove unused code (thanks cmc!)


2010-07-15  Daniel Rentz  <dr@openoffice.org>  [dc086646da22c436cd31a2e89ff93fb5565c2f1b]

dr77: #i113097# 'NULL' is not a shortcut for empty UNO sequences


2010-07-14  Ingo Schmidt  <is@openoffice.org>  [26cba7b52384a4c1085f7c26cc4eb20df9836005]

native321 #i111115# mac background images


2010-07-14  Joachim Lingner  <jl@openoffice.org>  [0809a24f900b5cf43a70d1f3ab11c681e1906692]

jl154 #162868# removing registration data folder if the last extension was removed


2010-07-14  sj  <sj@openoffice.org>  [1d4e95981465caadaef1be216a73b81589e282eb]

fixed build problem (missing header file)


2010-07-14  Ingo Schmidt  <is@openoffice.org>  [f4230d177ad95e04566dc95859491308b606fdc1]

jl154 #162868# unopkg is back in packaging and installation


2010-07-14  Joachim Lingner  <jl@openoffice.org>  [5e9dc05754c042aae338c22f91e35d6d19780be7]

jl154 #162868# windows custom action for running unopkg sync


2010-07-13  Ingo Schmidt  <is@openoffice.org>  [f423a7a32a7f0c9dc4740d21b3bfda2504eccd56]

jl154 #162868# unopkg is back in packaging and installation


2010-07-13  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [990f4f9b84c51089c5812ee47a5e3ee300081c0d]

CWS gnumake2: resync to DEV300_m84


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [f6b4bfd944feedf392c8b3168e9a9952f4dbd61f]

CWS-TOOLING: integrate CWS native317_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [73de5b75edcc33235a1c2edcef85edfbac7d9ca9]

CWS-TOOLING: integrate CWS jl153_OOO330


2010-07-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [46068e4621e831d808518228bd5d136ad9660eb7]

vcl113: #i113117# cleanup object life cycle (thanks cmc!)


2010-07-12  Ingo Schmidt  <is@openoffice.org>  [698b3cb962af8618f3e884ccdf9b9edf1df3b97f]

jl154 #162868# unopkg is back in packaging and installation


2010-07-12  Ingo Schmidt  <is@openoffice.org>  [929f5169397c101ec9fff3fb535376df3de09e2e]

jl154 #162868# unopkg is back in packaging and installation


2010-07-12  Ingo Schmidt  <is@openoffice.org>  [b5c165ca38d0f3c8417540a6f185462eb11904f6]

jl154 #162868# unopkg is back in packaging and installation


2010-07-12  Lars Langhans  <lla@openoffice.org>  [0910fb6956f0bb18e4f5a16a0f72d8e1424daa02]

sb123:merge


2010-07-08  Mikhail Voytenko  <mav@openoffice.org>  [0dbcd1302d027c2d3e722d7c61208d5a318013ab]

mib17: #162917# let basic byte use one byte, let olebridge convert sequence to safearray correctly


2010-07-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [9d01d2bfe3cc89d8c7642e4dd72bc9fd55e1cd60]

rebase to DEV300_m84


2010-07-07  Ingo Schmidt  <is@openoffice.org>  [c460fd22fc763c11e9a64cefa154c0323875ffb8]

native318 #i112699# setting version 3.4


2010-07-06  Mikhail Voytenko  <mav@openoffice.org>  [914589c59d1151b4f8f8f45cc7a03e23e5eb6e39]

mib17: #162858# allow to transport COM objects without TypeInfo as before


2010-07-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6ac9be3cccc701f00aa9105b65e6400d4ae18c0e]

unoawt2: removed unused file


2010-07-05  Thomas Lange [tl]  <tl@openoffice.org>  [e80e4bb1c457b646cf5432773741f24e5b09c902]

cws tl81: warning-free code


2010-07-02  Ingo Schmidt  <is@openoffice.org>  [b59794e8a6bc6af1feb97db1db78a44ebed2d5a8]

native317 #i112444# directories below optional components


2010-07-02  Malte Timmermann [mt]  <malte.timmermann@sun.com>  [2338e963493fef9009f3d58efa9c46cd47425e10]

codecleanup02: merge with DEV300_m84


2010-07-02  sb  <sb@openoffice.org>  [339c4d03a3991fcf39a6bcd04e630d43ee066fa8]

sb126: #i112871# missing parentheses around || within &&


2010-07-01  Thomas Lange [tl]  <tl@openoffice.org>  [7ffa7e8fdafc8d33ec4f8b9c1be68c7141cde543]

cws tl81: merge with DEV300_m84


2010-07-01  Malte Timmermann  <Malte.Timmermann@sun.com>  [68a29136f3eaf0e57e640900a46f420dc5c4a111]

codecleanup02: #i52551# Removed old stuff: VOS_NAMESPACE, use vos:: directly


2010-07-01  Dirk Voelzke  <dv@openoffice.org>  [a56b6d37c5cb0ba2a8f3f1e6490200c8102881ff]

dv19: merge with DEV300_m84


2010-06-30  Joachim Lingner  <jl@openoffice.org>  [a5c95fbe4b239c7be2ba0569922bab29d0c21ad3]

jl154 merge with DEV300_m84


2010-06-30  sb  <sb@openoffice.org>  [159ccf3d50a5cc6dee1bc8c8a58ff1225e4e4847]

sb126: merged in DEV300_m84


2010-06-30  Dirk Voelzke  <dv@openoffice.org>  [88d19dacc31fe6055fa0bdff2959d0d902000d01]

dv19#i110382# Check 'OpenWithList', too when looking for registered applications


2010-06-30  Malte Timmermann  <Malte.Timmermann@sun.com>  [81d75f650f4aded17a8e3e83def031d99ecb11bc]

codecleanup02: #i112685# Removed old stuff: _VOS_NO_NAMESPACE


2010-06-30  Malte Timmermann  <Malte.Timmermann@sun.com>  [533bfa01bbbde819210e293e84fd1d4e76415539]

codecleanup02: #i112685# Removed ifdefs and code for MAC


2010-06-29  Andreas Bregas  <ab@openoffice.org>  [c799303eb630864cc74f04119160c6cde5a13d18]

mib17: #i110821# Hot fix to avoid regression


2010-06-29  Lars Langhans  <lla@openoffice.org>  [4d0ad633d8e4c8309f8d0d4356d6140a948047c6]

sb123:#i111449# makefile cleanups for qa/complex tests


2010-06-28  Thomas Lange [tl]  <tl@openoffice.org>  [9e1e8344b45d6e3e90c71426547085a686e7b949]

cws tl81: #i112695# change in user data implementation for thesaurus dialog


2010-06-25  Malte Timmermann  <Malte.Timmermann@sun.com>  [ee2324dc21982342c33ffb4c52f3c96dd2c8ef64]

codecleanup02: #i112685# Removed ifdefs and code for WIN,W30,W31


2010-06-25  Mathias Bauer  <mba@openoffice.org>  [5f4c6b8c671eb7dff993048bb3ebf3c7eea59cb1]

CWS mongolianlayout: disable new direction until problems are fixed


2010-06-25  Andreas Bregas  <ab@openoffice.org>  [ffd8271996bff0bbbe5d63218e13d6d2a2063446]

mib17: #i110821# COM default member support


2010-06-24  Mathias Bauer  <mba@openoffice.org>  [909bc27a4aeccaf0c2fdde23eb88c61adf3ed82f]

CWS mongolianlayout: merge with m83; resolve easy conflicts


2010-06-24  Thomas Lange [tl]  <tl@openoffice.org>  [6059aecb42ff6a0a52076e0e7c3ebb5520b6ecfd]

cws tl81: #i112310# fixed duplicate short-cut problem


2010-06-24  Thomas Lange [tl]  <tl@openoffice.org>  [809f78bc45d6c8f2c939c9122f8eef63ecec3286]

cws tl81: #i112179# dictionary issue with context menus fixed


2010-06-23  Thomas Lange [tl]  <tl@openoffice.org>  [ed6b350b9fd385acd1a59a1bad3c244ba690a0de]

cws tl81: #i112363# patch for accessibility crash


2010-06-22  obo  <obo@openoffice.org>  [c04b3821d6d9bb01ea2520629175510e816cfd88]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  obo  <obo@openoffice.org>  [c48b72e7694a494e563aca31e4635f61ba4f1a6f]

CWS-TOOLING: integrate CWS cmcfixes75


2010-06-22  obo  <obo@openoffice.org>  [b6a705c9d40a88b57a070bf4a965fb2d8eb125ed]

CWS-TOOLING: integrate CWS jpropenable


2010-06-22  obo  <obo@openoffice.org>  [4fb3729ce4d65caa10a76101b69637789caa21b3]

CWS-TOOLING: integrate CWS mythes12


2010-06-22  obo  <obo@openoffice.org>  [cd4bed17f8230434d570153abbefb13954271630]

CWS-TOOLING: integrate CWS fwk143


2010-06-22  obo  <obo@openoffice.org>  [85ae6b65270f1d0154354581995c6e243c3d2d9b]

CWS-TOOLING: integrate CWS jl152


2010-06-22  obo  <obo@openoffice.org>  [8c63c354ff84cc759214dca253dc75c331a230b1]

CWS-TOOLING: integrate CWS mba33issues01


2010-06-22  Joachim Lingner  <jl@openoffice.org>  [1fad720c60b970adc87aba05dceadc512ab290fc]

jl152 merge with DEV300_m83


2010-06-22  obo  <obo@openoffice.org>  [a12a3ede76d101163e4d71fe3607569c8f2d278f]

CWS-TOOLING: integrate CWS mib16


2010-06-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [27aa3c5ba10e06dea75567b79007f6a7cf67e86f]

unoawt2: #i10000#


2010-06-21  obo  <obo@openoffice.org>  [4799f6835b9a05fae76c0535c95bf5309667dc14]

CWS-TOOLING: integrate CWS vcl112


2010-06-21  Daniel Rentz  <dr@openoffice.org>  [7c4c46e36d6cef86dba272ecebc0272b6c641473]

mib16: rebase to m83


2010-06-21  obo  <obo@openoffice.org>  [3358d612d6fc7d2f3d367bace0a2177719e9c3f9]

CWS-TOOLING: integrate CWS calctabcolor


2010-06-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [576af3ed3cca970801d12b0459e68d02b9264f92]

unoawt: now that the image control/model are not connected via XImageProducer/Consumer anymore, ensure that images loaded from a database document are displayed, too


2010-06-18  tono  <tono@openoffice.org>  [5b2962b98121baa350f247125128769e3b754b3b]

i#111956: MinGW port fix: dependency to shared library: pure porting fix again


2010-06-18  tono  <tono@openoffice.org>  [4d8960dcde5699ebed7f6eea21fc7ee8044bcc6f]

Merge backout


2010-06-18  tono  <tono@openoffice.org>  [130d6d4343a6a6ff1850941bd6db51251df22514]

Backed out changeset: f63af3433bcb


2010-06-18  tono  <tono@openoffice.org>  [1fa198c8c9ac8821bc15e1f574b172780c939db0]

Backed out changeset: d80a58fd55d9


2010-06-18  Joachim Lingner  <jl@openoffice.org>  [facb228d4aaf84e06d9c62bb6edfc528617185a4]

jl153 #i112218# correctly displaying issuer/subject names when they use multi-value RDN


2010-06-18  Mikhail Voytenko  <mav@openoffice.org>  [b6a4aa227db61ffcadf3ee72eac6354b37348e8a]

rebase to m83


2010-06-18  Lars Langhans  <lla@openoffice.org>  [a969a026854e20ac70236b3fd335765e9c355890]

merge DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [24944322be8a13a3ab062cb5729a3c7f3eabe74b]

masterfix: #i10000# remove DOS lineends


2010-06-18  obo  <obo@openoffice.org>  [56ccc391e96663769be229a99b49c4431d455fe8]

CWS-TOOLING: integrate CWS tl79


2010-06-18  Thomas Lange [tl]  <tl@openoffice.org>  [49a6b499efcc2c3ee0e329f56eeb276c35db9501]

cws tl79: merge with DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [a008fd3046c05c48f7436f7800fc29730377024a]

CWS-TOOLING: integrate CWS tl78


2010-06-17  Mathias Bauer  <mba@openoffice.org>  [e7e6981323685a588317fe4d9e11b984cb43d777]

CWS mba33issues01: rebase to m83


2010-06-17  Lars Langhans  <lla@openoffice.org>  [2aee307cfc12c4270a1db9b24bf5789df63bea4c]

sb123:#i111449# cleanups in forms qa/complex tests


2010-06-17  Daniel Rentz  <dr@openoffice.org>  [6d0e3a3739e40640f480d3454ecf5ebb5d2751cd]

mib16: rebase to m82


2010-06-16  Joachim Lingner  <jl@openoffice.org>  [a3ce05877c9e05377ca1bd5b253b87786491e6e6]

jl153 merge with DEV300_m82


2010-06-16  Ivo Hinkelmann  <ihi@openoffice.org>  [cc2aed7a097db8bd2d83196ff9ec4a54f2249ec7]

jpropenable: #i112445# exclude this file from l10n process


2010-06-16  Lars Langhans  <lla@openoffice.org>  [e5cebad9de591ac086674a8b971530414d0f9550]

sb123:#i111449# cleanups in beans qa/complex tests


2010-06-16  Release Engineering  <releng@openoffice.org>  [f86b554ecdad865978a821661c274d4b419c32cc]

masterfix: #i10000# PACKAGE_STORAGE to embed::StorageFormats::PACKAGE


2010-06-15  Daniel Rentz  <dr@openoffice.org>  [ceb017b15acd7b9d56aa3b1c4f194dcfb204cdb4]

mib16: contributed bugfixes and various new symbols in VBA compatibility implementation


2010-06-15  Helge Delfs [hde]  <hde@openoffice.org>  [a0ef8d2b25ee81150ac3adcaeb172eaeb8816347]

cws/tl78: issue 109976 and 112414


2010-06-15  tono  <tono@openoffice.org>  [0ea3d09c5834ef796251e92d8ce942de10dfe244]

i#111956: MinGW port fix: dependency to shared library: pure porting fix


2010-06-15  Thomas Lange [tl]  <tl@openoffice.org>  [1ed972c2c4115352419e036e7d57426063f192e3]

cws tl78: #i112304# help ids fixed


2010-06-15  obo  <obo@openoffice.org>  [909b86bd4b9a97da5971807df169e92809883715]

CWS-TOOLING: integrate CWS native305


2010-06-15  obo  <obo@openoffice.org>  [97447082af0fd8ff4b61f2c6f80df59c3207e5de]

CWS-TOOLING: integrate CWS unoawt


2010-06-15  obo  <obo@openoffice.org>  [09fad69b068c1afc9bcee4a74d10db0e64e30c21]

CWS-TOOLING: integrate CWS fwk139


2010-06-15  obo  <obo@openoffice.org>  [870016ea8a42c9c34aef2e2bf251b082ef3bd96c]

CWS-TOOLING: integrate CWS os140


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [8c5315828bbbf0119372a5b5b65087db0f22ffe8]

calctabcolor: rebased to DEV300_m82.


2010-06-14  obo  <obo@openoffice.org>  [de40500be30c475c686e52af82791e956fa47322]

CWS-TOOLING: integrate CWS tl80


2010-06-14  obo  <obo@openoffice.org>  [5d76742049fa669e3849834543fbd28f13a263f9]

CWS-TOOLING: integrate CWS dv12


2010-06-14  obo  <obo@openoffice.org>  [9476431526a6ca620334e286ee13893f9d5235f8]

CWS-TOOLING: integrate CWS calc54


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [c07d560d047d7ebb57364d106eb9fb078e1bce1c]

CWS tl80: merge with DEV300_m82


2010-06-14  obo  <obo@openoffice.org>  [3bc7caddd0b54c0f952091c7cd93d13f47a2bf7d]

CWS-TOOLING: integrate CWS automationdev300m79


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [8a488f3a9ab8cabbf344bd5741485a4e97601fb0]

cws tl78: #i112304# missing help ids added


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [237a8e441514d9c77b8daba9fbd02184029aa9e3]

jl152: Local merge


2010-06-11  Caolán McNamara  <cmc@openoffice.org>  [8360c03032e823606219e41da9c508caa78769a3]

cmcfixes75: merge with DEV300 m81


2010-06-11  Thomas Lange [tl]  <tl@openoffice.org>  [45135c615ad08542186e2339e8fe9f30f49cb159]

cws tl78: #i112304# missing help ids added


2010-06-11  Thomas Lange [tl]  <tl@openoffice.org>  [952c250d6c03b1c4ab92b2b2dd09db75b43bc02a]

cws tl78: #i112304# missing help ids added


2010-06-11  Carsten Driesner  <cd@openoffice.org>  [5f03177a5ce1291d8fe7328e6010ff851b9d82dc]

fwk143: #i104704# Hyperlink dialog needs its own HID to be accessible by the testtool


2010-06-11  obo  <obo@openoffice.org>  [c38d471b24924e0e413ff88b065f84b0f2fee52a]

masterfix: #10000# fix ambigous String


2010-06-10  Thomas Lange [tl]  <tl@openoffice.org>  [bc60661945e738f691f6bc2c2926c294a3e5cba9]

cws tl78: #i109634# late changes to the new password dialog


2010-06-09  obo  <obo@openoffice.org>  [550dbe616396cd31fd3616779a7086071a0f6177]

CWS-TOOLING: integrate CWS tl74


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [7f204b3bd94b02c4b81e6435932efad7b2ce32de]

cws tl74: merge with DEV300_m81


2010-06-09  Thorsten Bosbach  <tbo@OpenOffice.org>  [a6317cb5881eb9140fa915597bf773714f917369]

#i111784 CWS gridcontrol_03: Tablecontrol.select does not trigger selection event


2010-06-09  Caolán McNamara  <cmc@openoffice.org>  [9cc189c60aad0658239b5f5d8a5a04081dcd35b1]

cmcfixes75: merge with DEV300 m81


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [839f72fd931160136fb07042b9e47157526511cc]

jl152: Local branch merge


2010-06-08  Thomas Lange [tl]  <tl@openoffice.org>  [63149af3c1a4919cfbb6d00e1e84e0b2be4672a1]

cws tl78: #i109634# additional dialog parameter


2010-06-08  Ingo Schmidt  <is@openoffice.org>  [eb92a673099eea829e0dafe03de3c076e0e8167c]

nativejl152 #i77196# new modules for extensions


2010-06-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8846381e0e5e95221294f3db705db0cedda3a915]

Automated merge with http://x42-so4:8009/ooo


2010-06-07  Thomas Lange [tl]  <tl@openoffice.org>  [a288e2adb6064c5098dc265a3024d5e2f4c97f3b]

cws tl79: merge with DEV300_m80


2010-06-07  Lars Langhans  <lla@openoffice.org>  [672f12cc50a277519800e77d7bbaf011801f4e91]

sb123:#i111449# cleanups in extensions qa/complex tests


2010-06-07  Joachim Lingner  <jl@openoffice.org>  [bab4ecd934179a7dc801f9cdfadf5ce28d1536bf]

jl152 merge with DEV300_m80


2010-06-05  tono  <tono@openoffice.org>  [081003a22fc485eb1e679586a889edfaf4c75c3c]

mingwport30: merge with DEV300 m80


2010-06-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [37169bad784213ce98f4452f7ca94656a5a1e6d6]

vcl112: #i112119# check return value (thanks cmc!)


2010-06-04  Carsten Driesner  <cd@openoffice.org>  [d0d9cfb98d74fec94ff373b864ef0782e71353de]

fwk143: #i104704# Set unique ID for hyperlink dialog


2010-06-04  os  <os@openoffice.org>  [541cc24968ee11f46910c245943f421db3b921e8]

rebase to m80


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [425b65cd413c03652034814e5eeb38e4f4292cba]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [1051358a9bec0fa5213fd611757daeec5d028828]

CWS-TOOLING: integrate CWS slidecopy


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a69f5d42164a8d560fecc4717ad5bc2f34f53852]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Carsten Driesner  <cd@openoffice.org>  [0a790b00a4cc4acbffc9c4e3c18396fcecfa5d92]

fwk139: Merge changes


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4589de743453d38bef63b495fb6ece1cd532a234]

unoawt: merged in latest changes from CWS slidecopy (rebase to m80)


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [1737a185edc1c2d6ff626bae7d6347b502464d93]

masterfix: #i10000# #i112039# OOXML files not recognized fix


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [fb53a3aafa4f722f5b51ebb4abf9317f4b2a8b90]

fwk139: #i10000# avoid warnings on solaris


2010-06-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [69e70cd1eb142098ebb615d3177cc03fefca2a62]

vcl112: #i111983# remove unused code (thanks cmc !)


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [97976b89b60ad7ef90033cad8cbf70843f0378f3]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [a415e5b7cc6bd14f87c9a5b3b35af3389160ffaa]

rebase to DEV300_m80


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [de9bec206e78825df94595525c9e4659739e7e4c]

cws tl78: merge with DEV300_m80


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [cf9ea46b13aca8222a607cf1a75f141b271ffa86]

CWS-TOOLING: integrate CWS renaissance2


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [bddc062798472dccbf4a2b4db9a7d73dc43d38a4]

CWS mba33issues01: #i78637#: shorten text for conversion options


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [4791f73efd5adb9b63f9fb5aec370307b20195f3]

CWS mba33issues01: merge to m80


2010-06-02  Dirk Voelzke  <dv@openoffice.org>  [afb4f3e8decfeec6b5201a11961c294712a1a8a1]

jl152#i77196# better handling of extensions with unaccepted license


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [f249102862d1ed0246ca4476a2d6aca567321e0e]

cws renaissance2: rebase m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [dc03df1d22b1beae9aa872ac61ef32c083fe3094]

cmcfixes74: merge with DEV300 m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [7f598b7fcbfc5ffe9a7e4062ea655a3fba26687a]

cmcfixes75: merge with DEV300 m80


2010-05-31  tono  <tono@openoffice.org>  [18ccbe653ddd04e5625b3300a66072260c3e91ab]

i#111956: MinGW port fix: dependency to shared library


2010-05-28  Ingo Schmidt  <is@openoffice.org>  [7848af96a4e2882fa381e1ed0d9be1bedb5aa6c3]

native305 #i92977# new Windows INSTALLLOCATION settings


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [a4b2d226e819616bbc12a93ed831c7285d987956]

cws tl79: merge with DEV300_m79


2010-05-26  Niklas Nebel  <nn@openoffice.org>  [e0f5bef98bc3e954dcbbe5ddcfe0f77ab8bf9f84]

calc54: merge with DEV300_m79


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [26957a2d6d959003fa40c9806ae49ecc7f023797]

cmcfixes74: merge with DEV300 m79


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [01c2aa815576f8d002c20af25f0e0bba1c45f942]

fwk139: #i110803# integrate patch


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [bd4ddc58402f656afec30357952c1c529c98760d]

fwk139: #i110802# integrate patch


2010-05-26  Ingo Schmidt  <is@openoffice.org>  [56133f284b3bc53edf4e906a9519cfd38b59177f]

native305 #i92977# new Windows INSTALLLOCATION settings


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [0e3533213f0a4138b259463fae676e88ec7e7f35]

cmcfixes75: merge with DEV300 m79


2010-05-25  Ingo Schmidt  <is@openoffice.org>  [e9a0e36fdad318a7b6b087392701a8b48f0c12e1]

native307 #i111766# new mac background image for non oracle builds


2010-05-25  Ingo Schmidt  <is@openoffice.org>  [9d56617ad3c8c4c0059366cce21b670cf7c707d7]

native307 #i111766# new mac background image for non oracle builds


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [d43b86f08d263428b27334b12dd8bd680bb803b9]

CWS-TOOLING: integrate CWS fwk138


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [0ec485c4ad974213d481849c6cc899d4b6a1b2b0]

CWS-TOOLING: integrate CWS sb120


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7edce222ec464821b693f523e679d06ddda94ae5]

unoawt: onFinish does not need this parameter, it's always called with RET_OK


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [52fe8d4909fbad4955da20708a6c02d677cf3bcc]

unoawt: completely separated the controller functionality of a wizard page from the wizard page itself, by moving the canAdvance method from OWizardPage to the IWizardPage interface, which in this course has been renamed to IWizardPageController. This will later on allow to have implementations where the TabPage is provided by an external component (e.g. as UNO Service), but the controlling of those pages is still intercepted and handled internally.


2010-05-24  Caolán McNamara  <cmc@openoffice.org>  [c176f04b0423bfe395d5419983ad6e54c23a7caa]

cmcfixes75: #i111791# use hunspell api to free list


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [2b830505b8caa48d272d7344ac9104cdc303aa9f]

CWS-TOOLING: integrate CWS gridcontrol_03


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [c485c5461b1e50a5b4c4fb4021d2c460480b009f]

CWS-TOOLING: integrate CWS npower13_objectmodules


2010-05-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [191b4b8bfc6f766d431f0d12397129b736807dd6]

merge to actual m78


2010-05-21  Daniel Rentz  <dr@openoffice.org>  [1ad21f9374a57e025a94889e60d1ec6e4377453b]

npower13_objectmodules: rebase and merge with DEV300_m78


2010-05-20  sb  <sb@openoffice.org>  [71163038426c59d18793bd38a816024d8c68fda6]

sb123: merged in DEV300_m78 via cws/sb120


2010-05-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [16e57f17e608e9c42ce31349a108fdf6390f492d]

tl78: merge


2010-05-20  sb  <sb@openoffice.org>  [074ca334cbd8fa784d3fe71343bfa8eddabc0a37]

sb120: merged in DEV300_m78


2010-05-20  Caolán McNamara  <cmc@openoffice.org>  [4ad725d8b230a5c291e6fa2982932b9828a13a2c]

cmcfixes75: merge with DEV300 m78


2010-05-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4cd66ec230ebda5d958cd95c8f5ba977d36befa7]

unoawt: UNO API for generic wizards, wrapping around the existing C++ RoadmapWizard


2010-05-19  Thomas Lange [tl]  <tl@openoffice.org>  [e6d6202169631279336dd19c87f913bb188e01ff]

cws tl79: #i110254# new security tap page in 'File/Properties'


2010-05-18  Ivo Hinkelmann  <ihi@openoffice.org>  [d0ce41584132aca59485a711c8b3a72e593a4d8a]

#i10000# fixed transplanted nativeb


2010-05-17  Thomas Lange [tl]  <tl@openoffice.org>  [e82587b80eff753029e4ed809c11f0359691b7c3]

cws tl78: branch merge


2010-05-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [18c0ce35576b5f4b010918761f582d69cbf3d0ff]

mongolianlayout: Merge with DEV300_m53


2010-05-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [a0a1f594a66ef1fd2ac85767b7120015610af188]

mongolianlayout: Merge with DEV300_m49


2010-05-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [99d43e35f08d5097e4dea5cc864bc0cb7f5d106e]

mongolianlayout: Merge with DEV300_m45


2010-05-12  Dirk Voelzke  <dv@openoffice.org>  [f9360560d9e217e4d1d18babb387829effce32ec]

dv12# merged with master fixes


2010-05-11  Kohei Yoshida  <kyoshida@novell.com>  [ce633b2bc8b549c4d4426f528f1b5d900f9786e3]

rebased to DEV300_m77.


2010-05-11  Carsten Driesner  <cd@openoffice.org>  [c923dbbdebe707a6fcbdf70c9210e8f2304393f8]

fwk139: Rebase to DEV300m77


2010-05-11  Thomas Lange [tl]  <tl@openoffice.org>  [777174a7df7b6fb08736c984572b2ff5446aec16]

cws tl80: merge with DEV300 m77


2010-05-11  Thomas Lange [tl]  <tl@openoffice.org>  [e7f5e03255be4564af1e723f36b3cd33bdec4ca0]

cws tl78: #i109634# changes to password to open/modify dialog


2010-05-10  Niklas Nebel  <nn@openoffice.org>  [8cf1c1b8f9408c9a63ed3e76ea08451a4c312607]

calc54: #i111482# use right variable for loop in ApplyLanguageOptions


2010-05-07  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [9702cbffaa829004fe07c52ad439a2e0ec73570d]

CWS gnumake2: merging minibranches


2010-05-06  Mikhail Voytenko  <mav@openoffice.org>  [5e8a994e2e6efaa3cbbc076725679289d8f623e8]

fwk139: #i110801# integrate the patch


2010-05-06  Mathias Bauer  <mba@openoffice.org>  [0cfb4b64c91f3f580e649c5508b05c457de72ac2]

CWS gnumake2: don't create static libs in tools


2010-05-06  npower Developer  <npower@openoffice.org>  [ad36d82ce9acb84859a09c915422ac142b1e0885]

npower13_objectmodules: #i111419#


2010-05-06  Joachim Lingner  <jl@openoffice.org>  [877e9a65436f984490eae8b377719421f8e510c4]

jl152 merging with sb122


2010-05-06  Dirk Voelzke  <dv@openoffice.org>  [2473699f909806bf2236401d807a6f4c203f97a2]

dv12#i88957# improved handling of downloading new versions


2010-05-05  npower Developer  <npower@openoffice.org>  [3ef7b4affccb7fdd28aa43c965fecf63b4da00af]

fix for insert


2010-05-03  sb  <sb@openoffice.org>  [b484bd91c159bde975640b156ecaef880eb636a2]

sb120: #i111333# disabled failing tests for now


2010-05-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [11705da2555d6e53dd9c45e2d1c9f8e6a147a890]

slidecopy: what a stupid idea to hard-code numeric resource IDs in Java files - this *cries* for breakage ...


2010-04-30  sb  <sb@openoffice.org>  [adc79521f77e348bb71607bc86b73bc70ed37666]

sb120: #i111285# disabled failing tests for now


2010-04-30  npower Developer  <npower@openoffice.org>  [798fb7324ef4ed26cbb51c978d8e5c661de92ee8]

npower13_objectmodules: #i111245# fix core dump on rename


2010-04-30  Mihaela Kedikova  <misheto@openoffice.org>  [7cc7c75e95f63ef42dd94965fc36f9737fe74cc0]

gridcontrol_03: bug fixes


2010-04-29  sb  <sb@openoffice.org>  [3f528676392bdd79013d45166d6566873abd3555]

sb120: #i111148# disabled failing tests for now


2010-04-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [47226ecd54d8d6645cda1e733ce094883a41f1ae]

fs33a: #i111238# ensure that form control list boxes, which override the StringItemListProperty, update it when the aggregated toolkit list box changes it


2010-05-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [49bfe17405f78c6ce20dda2aad391a942f4adaed]

unoawt: merge after pulling from CWS slidecopy


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [65730916611b0bb4823209a696bd0c8c964745a8]

cws tl78: merge with DEV300 m77


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [3630d9a5949009c38ec869e893dc8cc64f1dc666]

renaissance2: rebase m77


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [505916b71e4357b636d71e683ec12b7551871bcb]

#i107213# use toolbox item window as parent for popup menu


2010-04-28  Thomas Lange [tl]  <tl@openoffice.org>  [fd23c35e4ac47fe68c5277ad4e80afc071123a47]

cws tl79: merge


2010-04-28  sb  <sb@openoffice.org>  [2c85c7ad301c8e0d623a3fa1205fd66fd0c434cc]

sb120: #i109939# disabled failing tests for now


2010-04-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [49567b3c4f725e40ea0612fbd8154e51ae85d35d]

slidecopy: make compile on unxsol[i|s]4.pro and unxmacxi[.pro]


2010-04-27  Mihaela Kedikova  <misheto@openoffice.org>  [4bda3989e172ff4051e514797eaf42a39fd9206f]

gridcontrol_03: merge with DEV300_m77


2010-04-27  Rene Engelhard  <rene@openoffice.org>  [2708b65f978df4b7d63dd1d2e162a7d83f6ad6db]

mythes12: move to proper external mythes module


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [c42aa3c2b51dfdfd801642503d37f845b3f065ad]

cws tl79: merge with DEV300_m77


